nextcloud-desktop (3.9.3-20230822.183932.0aec14efd-1.0~testing1) testing; urgency=medium

  * Merge tag 'v3.9.3' into HEAD

 -- Drone User <drone@noemail.invalid>  Tue, 22 Aug 2023 18:46:11 +0000

nextcloud-desktop (3.9.3-20230818.122748.0aec14efd-1.0~testing1) testing; urgency=medium

  * prepare release 3.9.3

 -- allexzander <blackslayer4@gmail.com>  Fri, 18 Aug 2023 14:27:48 +0200

nextcloud-desktop (3.9.2-20230818.085237.d582f46f9-1.0~testing1) testing; urgency=medium

  * Merge pull request #5974 from nextcloud/bugfix/fixFilenameEncodingTestOnWindows-stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Fri, 18 Aug 2023 10:52:37 +0200

nextcloud-desktop (3.9.2-20230814.164049.46ce879c1-1.0~testing1) testing; urgency=medium

  * on windows file names can always be encoded: fix wrong test

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 14 Aug 2023 18:40:49 +0200

nextcloud-desktop (3.9.2-20230814.174331.37571ae79-1.0~testing1) testing; urgency=medium

  * test that discovery of file names with UTF-8 is working

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 14 Aug 2023 19:43:31 +0200

nextcloud-desktop (3.9.2-20230817.024637.5f6ec827d-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Thu, 17 Aug 2023 02:46:37 +0000

nextcloud-desktop (3.9.2-20230816.023433.8f4e8d8b0-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Wed, 16 Aug 2023 02:34:33 +0000

nextcloud-desktop (3.9.2-20230815.031239.990c9bf5f-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Tue, 15 Aug 2023 03:12:39 +0000

nextcloud-desktop (3.9.2-20230814.024135.def07223c-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Mon, 14 Aug 2023 02:41:35 +0000

nextcloud-desktop (3.9.2-20230813.023454.07eb7295c-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sun, 13 Aug 2023 02:34:54 +0000

nextcloud-desktop (3.9.2-20230812.024142.9da4bdf65-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sat, 12 Aug 2023 02:41:42 +0000

nextcloud-desktop (3.9.2-20230811.024045.cec2303a0-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Fri, 11 Aug 2023 02:40:45 +0000

nextcloud-desktop (3.9.2-20230810.024206.319b8367c-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Thu, 10 Aug 2023 02:42:06 +0000

nextcloud-desktop (3.9.2-20230809.030332.1931835b9-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Wed, 9 Aug 2023 03:03:32 +0000

nextcloud-desktop (3.9.2-20230808.122942.37981aad4-1.0~testing1) testing; urgency=medium

  * prepare release 3.9.2

 -- allexzander <blackslayer4@gmail.com>  Tue, 8 Aug 2023 14:29:42 +0200

nextcloud-desktop (3.9.1-20230808.043927.f22db467a-1.0~testing1) testing; urgency=medium

  * Merge pull request #5958 from nextcloud/backport/5872/stable-3.9

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 8 Aug 2023 12:39:27 +0800

nextcloud-desktop (3.9.1-20230807.002443.832f0f876-1.0~testing1) testing; urgency=medium

  * Set modificationHappened to also depend on file size change

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 7 Aug 2023 08:24:43 +0800

nextcloud-desktop (3.9.1-20230713.130407.09d7db480-1.0~testing1) testing; urgency=medium

  * Add test for unmodified local files not getting mtimes changed upon upload to server

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 13 Jul 2023 21:04:07 +0800

nextcloud-desktop (3.9.1-20230711.073729.e94407ac4-1.0~testing1) testing; urgency=medium

  * Add find method to DiskFileModifier class in SyncEngineTestUtils

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 11 Jul 2023 15:37:29 +0800

nextcloud-desktop (3.9.1-20230710.050028.d8390b2bc-1.0~testing1) testing; urgency=medium

  * Ensure file modification time is set if item modtime differs from journal modtime

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 10 Jul 2023 13:00:28 +0800

nextcloud-desktop (3.9.1-20230707.111554.568f9e50b-1.0~testing1) testing; urgency=medium

  * Only attempt conversion to placeholder on new file if VFS enabled in SyncEngine::slotItemDiscovered

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 7 Jul 2023 19:15:54 +0800

nextcloud-desktop (3.9.1-20230707.111503.4e5f9e5f0-1.0~testing1) testing; urgency=medium

  * Only change modification time if any modifications were actually made on downsynced file

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 7 Jul 2023 19:15:03 +0800

nextcloud-desktop (3.9.1-20230707.111409.3fd8e2037-1.0~testing1) testing; urgency=medium

  * Return bool from FileSystem::setFileReadOnlyWeak depending on whether permission change was actually made or not

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 7 Jul 2023 19:14:09 +0800

nextcloud-desktop (3.9.1-20230707.111159.584ffe630-1.0~testing1) testing; urgency=medium

  * Unify else and if in SyncEngine::slotItemDiscovered for filesystem setmodtime check

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 7 Jul 2023 19:11:59 +0800

nextcloud-desktop (3.9.1-20230808.024334.dfd5fa57c-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Tue, 8 Aug 2023 02:43:34 +0000

nextcloud-desktop (3.9.1-20230807.024121.10056c487-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Mon, 7 Aug 2023 02:41:21 +0000

nextcloud-desktop (3.9.1-20230806.023701.074a54523-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sun, 6 Aug 2023 02:37:01 +0000

nextcloud-desktop (3.9.1-20230805.024056.81890a3a0-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sat, 5 Aug 2023 02:40:56 +0000

nextcloud-desktop (3.9.1-20230804.024328.7efefe11f-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Fri, 4 Aug 2023 02:43:28 +0000

nextcloud-desktop (3.9.1-20230803.024037.c3c190125-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Thu, 3 Aug 2023 02:40:37 +0000

nextcloud-desktop (3.9.1-20230802.030515.da3d47de9-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Wed, 2 Aug 2023 03:05:15 +0000

nextcloud-desktop (3.9.1-20230801.023857.37580f4e3-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Tue, 1 Aug 2023 02:38:57 +0000

nextcloud-desktop (3.9.1-20230731.023813.88516789a-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Mon, 31 Jul 2023 02:38:13 +0000

nextcloud-desktop (3.9.1-20230730.023345.caa13f5b5-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sun, 30 Jul 2023 02:33:45 +0000

nextcloud-desktop (3.9.1-20230728.084558.5bc90e011-1.0~testing1) testing; urgency=medium

  * Merge pull request #5934 from nextcloud/backport/4977/stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Fri, 28 Jul 2023 10:45:58 +0200

nextcloud-desktop (2.7.0-20230616.145415.8909387cc-1.0~testing1) testing; urgency=medium

  * Updated the libavcodec dependency

 -- István Váradi <ivaradi@varadiistvan.hu>  Fri, 16 Jun 2023 16:54:15 +0200

nextcloud-desktop (2.7.0-20230519.180058.db2a62f2b-1.0~testing1) testing; urgency=medium

  * Updated branch to stable-3.9

 -- István Váradi <ivaradi@varadiistvan.hu>  Fri, 19 May 2023 20:00:58 +0200

nextcloud-desktop (2.7.0-20230312.130126.45d12cf1b-1.0~testing1) testing; urgency=medium

  * Updated the sane CMake patch

 -- István Váradi <ivaradi@varadiistvan.hu>  Sun, 12 Mar 2023 14:01:26 +0100

nextcloud-desktop (2.7.0-20221124.193038.b8227ffe5-1.0~testing1) testing; urgency=medium

  * Updated the list of files to be installed into the Dolphin plugin package

 -- István Váradi <ivaradi@varadiistvan.hu>  Thu, 24 Nov 2022 20:30:38 +0100

nextcloud-desktop (2.7.0-20221124.190431.3a005a8ee-1.0~testing1) testing; urgency=medium

  * Updated the patch for the Dolphin plugin

 -- István Váradi <ivaradi@varadiistvan.hu>  Thu, 24 Nov 2022 20:04:31 +0100

nextcloud-desktop (3.9.1-20221008.214248.af420f3c9-1.0~testing1) testing; urgency=medium

  * Adapt test 2

 -- tomdereub <pbtom@lamonerie.net>  Sat, 8 Oct 2022 23:42:48 +0200

nextcloud-desktop (3.9.1-20221008.194909.488decb2f-1.0~testing1) testing; urgency=medium

  * Adapt test to silent exclusion

 -- tomdereub <pbtom@lamonerie.net>  Sat, 8 Oct 2022 21:49:09 +0200

nextcloud-desktop (3.9.1-20220927.112234.d47e955a1-1.0~testing1) testing; urgency=medium

  * windows reserved word silently excluded - csync exclude.cpp

 -- tomdereub <pbtom@lamonerie.net>  Tue, 27 Sep 2022 13:22:34 +0200

nextcloud-desktop (3.9.1-20230728.024625.429366129-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Fri, 28 Jul 2023 02:46:25 +0000

nextcloud-desktop (3.9.1-20230727.110850.edcc8ebfc-1.0~testing1) testing; urgency=medium

  * Merge pull request #5928 from nextcloud/backport/5621/stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Thu, 27 Jul 2023 13:08:50 +0200

nextcloud-desktop (3.9.1-20230424.131558.5fa950c0d-1.0~testing1) testing; urgency=medium

  * Fix review comments.

 -- alex-z <blackslayer4@gmail.com>  Mon, 24 Apr 2023 15:15:58 +0200

nextcloud-desktop (3.9.1-20230419.185251.76d6890c1-1.0~testing1) testing; urgency=medium

  * Iteration.

 -- alex-z <blackslayer4@gmail.com>  Wed, 19 Apr 2023 20:52:51 +0200

nextcloud-desktop (3.9.1-20230419.150016.9d09b207a-1.0~testing1) testing; urgency=medium

  * Check server's 204 endpoint every minute and restore connection immidiately after successful status code.

 -- alex-z <blackslayer4@gmail.com>  Wed, 19 Apr 2023 17:00:16 +0200

nextcloud-desktop (3.9.1-20230727.023121.c0d6fb49a-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Thu, 27 Jul 2023 02:31:21 +0000

nextcloud-desktop (3.9.1-20230722.141002.10734dad2-1.0~testing1) testing; urgency=medium

  * Remove Ubuntu Kinetic, add Mantic

 -- István Váradi <ivaradi@varadiistvan.hu>  Sat, 22 Jul 2023 16:10:02 +0200

nextcloud-desktop (3.9.1-20230726.030759.24af345a5-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Wed, 26 Jul 2023 03:07:59 +0000

nextcloud-desktop (3.9.1-20230725.193730.ac1297e82-1.0~testing1) testing; urgency=medium

  * force MSI package to install all files

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 25 Jul 2023 21:37:30 +0200

nextcloud-desktop (3.9.1-20230725.023310.2c359df1a-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Tue, 25 Jul 2023 02:33:10 +0000

nextcloud-desktop (3.9.1-20230724.140543.d02a998aa-1.0~testing1) testing; urgency=medium

  * prepare release 3.9.1

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 24 Jul 2023 16:05:43 +0200

nextcloud-desktop (3.9.0-20230724.093608.434b60acd-1.0~testing1) testing; urgency=medium

  * Merge pull request #5914 from nextcloud/backport/5468/stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Mon, 24 Jul 2023 11:36:08 +0200

nextcloud-desktop (3.9.0-20230713.101307.0eec4ab5a-1.0~testing1) testing; urgency=medium

  * Convert directly from QUrl to NSURL

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 13 Jul 2023 18:13:07 +0800

nextcloud-desktop (3.9.0-20230223.151047.2248069e2-1.0~testing1) testing; urgency=medium

  * Clean up declaration in SparkleUpdater header

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 23 Feb 2023 16:10:47 +0100

nextcloud-desktop (3.9.0-20230223.150849.2d1799fc3-1.0~testing1) testing; urgency=medium

  * Fix localisation of updater status strings

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 23 Feb 2023 16:08:49 +0100

nextcloud-desktop (3.9.0-20230223.142047.e85df6a79-1.0~testing1) testing; urgency=medium

  * Properly handle skipping auto update checks in the sparkle updater

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 23 Feb 2023 15:20:47 +0100

nextcloud-desktop (3.9.0-20230223.140351.eb6118f35-1.0~testing1) testing; urgency=medium

  * Only instantiate sparkle updater if autoupdating is available

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 23 Feb 2023 15:03:51 +0100

nextcloud-desktop (3.9.0-20230223.133435.989fc2034-1.0~testing1) testing; urgency=medium

  * Fix qbytearray related clazy warnings in objective-c++ sparkle updater side

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 23 Feb 2023 14:34:35 +0100

nextcloud-desktop (3.9.0-20230223.132503.ecd5f663d-1.0~testing1) testing; urgency=medium

  * Only enable check for update button when the sparkle updater is not working

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 23 Feb 2023 14:25:03 +0100

nextcloud-desktop (3.9.0-20230223.132333.acb4f16ca-1.0~testing1) testing; urgency=medium

  * Implement proper notifying of sparkle updater state changes

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 23 Feb 2023 14:23:33 +0100

nextcloud-desktop (3.9.0-20230223.124210.658033633-1.0~testing1) testing; urgency=medium

  * Also record sparkle updater state

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 23 Feb 2023 13:42:10 +0100

nextcloud-desktop (3.9.0-20230223.120507.feb4188b2-1.0~testing1) testing; urgency=medium

  * Properly display status string for changes in updater

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 23 Feb 2023 13:05:07 +0100

nextcloud-desktop (3.9.0-20230223.011846.757ea941e-1.0~testing1) testing; urgency=medium

  * Add ability for sparkle updater to notify UI when state has changed

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 23 Feb 2023 02:18:46 +0100

nextcloud-desktop (3.9.0-20230222.220650.84251b25b-1.0~testing1) testing; urgency=medium

  * Add q pointer to SparkleInterface

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 22 Feb 2023 23:06:50 +0100

nextcloud-desktop (3.9.0-20230222.220048.51d6bcba7-1.0~testing1) testing; urgency=medium

  * Replace private class with an interfacing class to bridge Obj-C delegate class and owner CPP class

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 22 Feb 2023 23:00:48 +0100

nextcloud-desktop (3.9.0-20230222.214542.ecb129932-1.0~testing1) testing; urgency=medium

  * Name sparkle updater delegate more reasonably

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 22 Feb 2023 22:45:42 +0100

nextcloud-desktop (3.9.0-20230222.214417.04192b491-1.0~testing1) testing; urgency=medium

  * Use std::unique_ptr in sparkle updater class rather than manual management

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 22 Feb 2023 22:44:17 +0100

nextcloud-desktop (3.9.0-20230724.023131.375f260cd-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Mon, 24 Jul 2023 02:31:31 +0000

nextcloud-desktop (3.9.0-20230723.023305.349821212-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sun, 23 Jul 2023 02:33:05 +0000

nextcloud-desktop (3.9.0-20230722.075740.0167fcdaf-1.0~testing1) testing; urgency=medium

  * Merge pull request #5913 from nextcloud/backport/5912/stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Sat, 22 Jul 2023 09:57:40 +0200

nextcloud-desktop (3.9.0-20230721.104040.b54866f70-1.0~testing1) testing; urgency=medium

  * Fix build of sharemodel.cpp on MSVC

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 21 Jul 2023 18:40:40 +0800

nextcloud-desktop (3.9.0-20230722.023758.84d977d67-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sat, 22 Jul 2023 02:37:58 +0000

nextcloud-desktop (3.9.0-20230721.164300.f59f34ded-1.0~testing1) testing; urgency=medium

  * Merge pull request #5909 from nextcloud/backport/5666/stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Fri, 21 Jul 2023 18:43:00 +0200

nextcloud-desktop (3.9.0-20230720.110133.733bb7ced-1.0~testing1) testing; urgency=medium

  * Remove empty statement, standalone semicolon

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 20 Jul 2023 19:01:33 +0800

nextcloud-desktop (3.9.0-20230509.064354.9d04c6f14-1.0~testing1) testing; urgency=medium

  * Extract custom color svg image finding into separate function

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 9 May 2023 14:43:54 +0800

nextcloud-desktop (3.9.0-20230509.063715.12ad4edee-1.0~testing1) testing; urgency=medium

  * Simplify findSvgFilePath, define result value on definition

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 9 May 2023 14:37:15 +0800

nextcloud-desktop (3.9.0-20230721.153653.6a919bd41-1.0~testing1) testing; urgency=medium

  * Merge pull request #5907 from nextcloud/backport/5659/stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Fri, 21 Jul 2023 17:36:53 +0200

nextcloud-desktop (3.9.0-20230508.120312.694d8550a-1.0~testing1) testing; urgency=medium

  * Track invalid input in ShareDetailsPage expireDateSpinBoxTextField

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 8 May 2023 20:03:12 +0800

nextcloud-desktop (3.9.0-20230508.120243.9d51facdb-1.0~testing1) testing; urgency=medium

  * Add ability for NCInputTextField to display red border when invalid input provided

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 8 May 2023 20:02:43 +0800

nextcloud-desktop (3.9.0-20230508.120034.b34f057ca-1.0~testing1) testing; urgency=medium

  * Ensure the text for the expire date spin box is updated even in situations when the expire date is forced back down to the same one being currently held

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 8 May 2023 20:00:34 +0800

nextcloud-desktop (3.9.0-20230508.095901.d56fc14c7-1.0~testing1) testing; urgency=medium

  * Make sure to imperatively set text for spinbox textfield after user breaks binding by editing

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 8 May 2023 17:59:01 +0800

nextcloud-desktop (3.9.0-20230508.091650.a34358249-1.0~testing1) testing; urgency=medium

  * Rename "moreMenu" ColumnLayout to "scrollContentsColumn" in ShareView, stop treating like menu which it used to be

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 8 May 2023 17:16:50 +0800

nextcloud-desktop (3.9.0-20230721.115850.3ea815cec-1.0~testing1) testing; urgency=medium

  * Merge pull request #5908 from nextcloud/backport/5717/stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Fri, 21 Jul 2023 13:58:50 +0200

nextcloud-desktop (3.9.0-20230608.091647.67ef758d5-1.0~testing1) testing; urgency=medium

  * Simplify loop to write bytes to password

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 8 Jun 2023 17:16:47 +0800

nextcloud-desktop (3.9.0-20230608.091428.a306acee9-1.0~testing1) testing; urgency=medium

  * Use std::array to store hash bytes

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 8 Jun 2023 17:14:28 +0800

nextcloud-desktop (3.9.0-20230520.163454.fc03a0fa3-1.0~testing1) testing; urgency=medium

  * Replace use of std::rand with improved C++11 random

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sun, 21 May 2023 00:34:54 +0800

nextcloud-desktop (3.9.0-20230520.153012.3e8ef436b-1.0~testing1) testing; urgency=medium

  * Guarantee that the generated password for share will have all the types of characters needed to pass server check

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 20 May 2023 23:30:12 +0800

nextcloud-desktop (3.9.0-20230520.151231.282fcad0a-1.0~testing1) testing; urgency=medium

  * Simplify password generation in sharemodel

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 20 May 2023 23:12:31 +0800

nextcloud-desktop (3.9.0-20230519.075206.61c0cec5f-1.0~testing1) testing; urgency=medium

  * Generate better passwords for shares

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 19 May 2023 15:52:06 +0800

nextcloud-desktop (3.9.0-20230721.023105.3c19ed29d-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Fri, 21 Jul 2023 02:31:05 +0000

nextcloud-desktop (3.9.0-20230720.195443.ecb5b5c05-1.0~testing1) testing; urgency=medium

  * Merge pull request #5906 from nextcloud/backport/5890/stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Thu, 20 Jul 2023 21:54:43 +0200

nextcloud-desktop (3.9.0-20230715.220520.241101b91-1.0~testing1) testing; urgency=medium

  * Create placeholder while dehydrating if needed

 -- Dries Mys <dries.mys@my-dreams.be>  Sun, 16 Jul 2023 00:05:20 +0200

nextcloud-desktop (3.9.0-20230720.134346.f8dae6402-1.0~testing1) testing; urgency=medium

  * Merge pull request #5904 from nextcloud/backport/5853/stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Thu, 20 Jul 2023 15:43:46 +0200

nextcloud-desktop (3.9.0-20230719.085536.470a983b4-1.0~testing1) testing; urgency=medium

  * Small coding improvements

 -- Dries Mys <dries.mys@my-dreams.be>  Wed, 19 Jul 2023 10:55:36 +0200

nextcloud-desktop (3.9.0-20230718.204916.6ac29eea2-1.0~testing1) testing; urgency=medium

  * Remove warning when querying pin state on non-placeholder file

 -- Dries Mys <dries.mys@my-dreams.be>  Tue, 18 Jul 2023 22:49:16 +0200

nextcloud-desktop (3.9.0-20230702.170537.45f1a3339-1.0~testing1) testing; urgency=medium

  * Set VFS PinState to Excluded for ignored files.

 -- Dries Mys <dries.mys@my-dreams.be>  Sun, 2 Jul 2023 19:05:37 +0200

nextcloud-desktop (3.9.0-20230720.023445.d4041fb61-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Thu, 20 Jul 2023 02:34:45 +0000

nextcloud-desktop (3.9.0-20230719.023453.057199186-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Wed, 19 Jul 2023 02:34:53 +0000

nextcloud-desktop (3.9.0-20230718.232248.21dc0aea9-1.0~testing1) testing; urgency=medium

  * Merge pull request #5900 from nextcloud/backport/5885/stable-3.9

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 19 Jul 2023 01:22:48 +0200

nextcloud-desktop (3.9.0-20230718.084033.cb58ff43d-1.0~testing1) testing; urgency=medium

  * Swap folder nullness assert for return

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 18 Jul 2023 16:40:33 +0800

nextcloud-desktop (3.9.0-20230713.044206.5dc36c0a1-1.0~testing1) testing; urgency=medium

  * Compress share page tab button width and height when sharing API is disabled

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 13 Jul 2023 12:42:06 +0800

nextcloud-desktop (3.9.0-20230713.044151.33474d438-1.0~testing1) testing; urgency=medium

  * Make swipeIndex properties readonly

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 13 Jul 2023 12:41:51 +0800

nextcloud-desktop (3.9.0-20230713.023627.abc9be075-1.0~testing1) testing; urgency=medium

  * Fix background of tabbar in file details page

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 13 Jul 2023 10:36:27 +0800

nextcloud-desktop (3.9.0-20230713.022831.b8ce198ea-1.0~testing1) testing; urgency=medium

  * Do not handle setting page to sharing page if sharing not available

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 13 Jul 2023 10:28:31 +0800

nextcloud-desktop (3.9.0-20230713.022810.682f4fffc-1.0~testing1) testing; urgency=medium

  * Do not display sharing entry if sharing is not available on server

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 13 Jul 2023 10:28:10 +0800

nextcloud-desktop (3.9.0-20230713.012854.9f81ae5f1-1.0~testing1) testing; urgency=medium

  * Set sharingAvailable property in FileDetails from Folder account capabilities

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 13 Jul 2023 09:28:54 +0800

nextcloud-desktop (3.9.0-20230713.012707.cb41950d9-1.0~testing1) testing; urgency=medium

  * Add sharingAvailable property to FileDetails class

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 13 Jul 2023 09:27:07 +0800

nextcloud-desktop (3.9.0-20230718.105543.18b64d3a4-1.0~testing1) testing; urgency=medium

  * Merge pull request #5897 from nextcloud/backport/5879/stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Tue, 18 Jul 2023 12:55:43 +0200

nextcloud-desktop (3.9.0-20230718.075312.4b833e3e9-1.0~testing1) testing; urgency=medium

  * try to force use of python 3.8 for windows as required by craft

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 18 Jul 2023 09:53:12 +0200

nextcloud-desktop (3.9.0-20230710.202044.996847dea-1.0~testing1) testing; urgency=medium

  * Fix crash in _finalList removal loop. Fix incorrect implementation of seen chat notifications removal. Improved notifications fetch code to avoid multiple calls from different threads.

 -- alex-z <blackslayer4@gmail.com>  Mon, 10 Jul 2023 22:20:44 +0200

nextcloud-desktop (3.9.0-20230718.023336.9a3216907-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Tue, 18 Jul 2023 02:33:36 +0000

nextcloud-desktop (3.9.0-20230717.152426.c953c557f-1.0~testing1) testing; urgency=medium

  * Merge pull request #5894 from nextcloud/backport/5848/stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Mon, 17 Jul 2023 17:24:26 +0200

nextcloud-desktop (3.9.0-20230628.171839.e4816de83-1.0~testing1) testing; urgency=medium

  * Added new state and new job to check if /index.php/204 is being redirected.

 -- alex-z <blackslayer4@gmail.com>  Wed, 28 Jun 2023 19:18:39 +0200

nextcloud-desktop (3.9.0-20230717.023143.f295689d6-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Mon, 17 Jul 2023 02:31:43 +0000

nextcloud-desktop (3.9.0-20230716.023357.c47b868ff-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sun, 16 Jul 2023 02:33:57 +0000

nextcloud-desktop (3.9.0-20230715.023310.c7eb61419-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sat, 15 Jul 2023 02:33:10 +0000

nextcloud-desktop (3.9.0-20230714.023638.fe7cad816-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Fri, 14 Jul 2023 02:36:38 +0000

nextcloud-desktop (3.9.0-20230713.134031.beb3f9a6a-1.0~testing1) testing; urgency=medium

  * Merge pull request #5887 from nextcloud/ci/sign-drone-stable-3.9

 -- Joas Schilling <213943+nickvergessen@users.noreply.github.com>  Thu, 13 Jul 2023 15:40:31 +0200

nextcloud-desktop (3.9.0-20230713.094434.473fb2f48-1.0~testing1) testing; urgency=medium

  * chore(CI): Sign .drone.yml file

 -- Joas Schilling <coding@schilljs.com>  Thu, 13 Jul 2023 11:44:34 +0200

nextcloud-desktop (3.9.0-20230713.023936.6f5454ea5-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Thu, 13 Jul 2023 02:39:36 +0000

nextcloud-desktop (3.9.0-20230712.130907.1438bb42a-1.0~testing1) testing; urgency=medium

  * Merge pull request #5883 from nextcloud/backport/5841/stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Wed, 12 Jul 2023 15:09:07 +0200

nextcloud-desktop (3.9.0-20230712.113817.55d64432c-1.0~testing1) testing; urgency=medium

  * set read only/read file on the newly downloaded file

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 12 Jul 2023 13:38:17 +0200

nextcloud-desktop (3.9.0-20230711.083534.7ab841f63-1.0~testing1) testing; urgency=medium

  * fix failing tests by using FileSystem::setFileReadOnlyWeak

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 11 Jul 2023 10:35:34 +0200

nextcloud-desktop (3.9.0-20230710.155616.a67b7b2f0-1.0~testing1) testing; urgency=medium

  * enable debug log for some automated tests

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 10 Jul 2023 17:56:16 +0200

nextcloud-desktop (3.9.0-20230623.114922.0640fbd05-1.0~testing1) testing; urgency=medium

  * always propagate locked status to read-only or read/write for real file

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 23 Jun 2023 13:49:22 +0200

nextcloud-desktop (3.9.0-20230712.101744.61de6ba9d-1.0~testing1) testing; urgency=medium

  * Merge pull request #5880 from nextcloud/backport/5864/stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Wed, 12 Jul 2023 12:17:44 +0200

nextcloud-desktop (3.9.0-20230705.074140.1c1637406-1.0~testing1) testing; urgency=medium

  * add link in readme to nextcloud-releases correct page with binaries

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 5 Jul 2023 09:41:40 +0200

nextcloud-desktop (3.9.0-20230712.022732.890185992-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Wed, 12 Jul 2023 02:27:32 +0000

nextcloud-desktop (3.9.0-20230711.023946.b70f39c67-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Tue, 11 Jul 2023 02:39:46 +0000

nextcloud-desktop (3.9.0-20230710.221653.b2cbc3dfa-1.0~testing1) testing; urgency=medium

  * Merge pull request #5878 from nextcloud/backport/5871/stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Tue, 11 Jul 2023 00:16:53 +0200

nextcloud-desktop (3.9.0-20230710.131534.d5e168d0b-1.0~testing1) testing; urgency=medium

  * do not use a mirror for KDE's Craft binary cache

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 10 Jul 2023 15:15:34 +0200

nextcloud-desktop (3.9.0-20230707.091846.f37bda0e4-1.0~testing1) testing; urgency=medium

  * fix bulk upload of empty files

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 7 Jul 2023 11:18:46 +0200

nextcloud-desktop (3.9.0-20230710.024040.7a4b2cc81-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Mon, 10 Jul 2023 02:40:40 +0000

nextcloud-desktop (3.9.0-20230709.024115.3b677c5b5-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sun, 9 Jul 2023 02:41:15 +0000

nextcloud-desktop (3.9.0-20230708.023621.cd63dbd66-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sat, 8 Jul 2023 02:36:21 +0000

nextcloud-desktop (3.9.0-20230707.023252.802ef3baa-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Fri, 7 Jul 2023 02:32:52 +0000

nextcloud-desktop (3.9.0-20230706.090109.f5be46c1d-1.0~testing1) testing; urgency=medium

  * Merge pull request #5869 from nextcloud/backport/5851/stable-3.9

 -- allexzander <allexzander@users.noreply.github.com>  Thu, 6 Jul 2023 11:01:09 +0200

nextcloud-desktop (3.9.0-20230629.182032.684344122-1.0~testing1) testing; urgency=medium

  * Remove seen Talk notificatios from Tray window.

 -- alex-z <blackslayer4@gmail.com>  Thu, 29 Jun 2023 20:20:32 +0200

nextcloud-desktop (3.9.0-20230706.023734.777bcea41-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Thu, 6 Jul 2023 02:37:34 +0000

nextcloud-desktop (3.9.0-20230704.152404.ea188e237-1.0~testing1) testing; urgency=medium

  * Merge pull request #5859 from nextcloud/backport/5763/stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Tue, 4 Jul 2023 17:24:04 +0200

nextcloud-desktop (3.9.0-20230602.120533.5947293e3-1.0~testing1) testing; urgency=medium

  * Fix typos found by codespell

 -- Dimitri Papadopoulos <3234522+DimitriPapadopoulos@users.noreply.github.com>  Fri, 2 Jun 2023 14:05:33 +0200

nextcloud-desktop (3.9.0-20230602.115508.50c370041-1.0~testing1) testing; urgency=medium

  * Fix typos found by codespell

 -- Dimitri Papadopoulos <3234522+DimitriPapadopoulos@users.noreply.github.com>  Fri, 2 Jun 2023 13:55:08 +0200

nextcloud-desktop (3.9.0-20230704.095955.ec7ecad3c-1.0~testing1) testing; urgency=medium

  * Merge pull request #5858 from nextcloud/backport/5844/stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Tue, 4 Jul 2023 11:59:55 +0200

nextcloud-desktop (3.9.0-20230627.201125.4299b1e91-1.0~testing1) testing; urgency=medium

  * Update the documentation with information on how 'Edit locally' works.

 -- Camila <hello@camila.codes>  Tue, 27 Jun 2023 22:11:25 +0200

nextcloud-desktop (3.9.0-20230704.083841.c378dd10f-1.0~testing1) testing; urgency=medium

  * Merge pull request #5857 from nextcloud/backport/5611/stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Tue, 4 Jul 2023 10:38:41 +0200

nextcloud-desktop (3.9.0-20230417.154929.cd0195128-1.0~testing1) testing; urgency=medium

  * Documentation for mass deployment and account wizard override.

 -- alex-z <blackslayer4@gmail.com>  Mon, 17 Apr 2023 17:49:29 +0200

nextcloud-desktop (3.9.0-20230704.023514.96d80faf1-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Tue, 4 Jul 2023 02:35:14 +0000

nextcloud-desktop (3.9.0-20230703.024031.719c6b2cb-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Mon, 3 Jul 2023 02:40:31 +0000

nextcloud-desktop (3.9.0-20230702.023658.98bda5ad6-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sun, 2 Jul 2023 02:36:58 +0000

nextcloud-desktop (3.9.0-20230701.023344.9ec24e11d-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sat, 1 Jul 2023 02:33:44 +0000

nextcloud-desktop (3.9.0-20230630.134323.d50c32af9-1.0~testing1) testing; urgency=medium

  * Merge pull request #5850 from nextcloud/backport/5845/stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Fri, 30 Jun 2023 15:43:23 +0200

nextcloud-desktop (3.9.0-20230628.140433.df4eeb636-1.0~testing1) testing; urgency=medium

  * prevent crash by resetting common pointer after deleting gobject menu

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 28 Jun 2023 16:04:33 +0200

nextcloud-desktop (3.9.0-20230629.024939.87c6d709e-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Thu, 29 Jun 2023 02:49:39 +0000

nextcloud-desktop (3.9.0-20230628.024157.c8795fac4-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Wed, 28 Jun 2023 02:41:57 +0000

nextcloud-desktop (3.9.0-20230627.024641.e84147d7a-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Tue, 27 Jun 2023 02:46:41 +0000

nextcloud-desktop (3.9.0-20230626.023904.47e55b2e4-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Mon, 26 Jun 2023 02:39:04 +0000

nextcloud-desktop (3.9.0-20230625.023712.5f72d989b-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sun, 25 Jun 2023 02:37:12 +0000

nextcloud-desktop (3.9.0-20230624.023344.a1ff045bf-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sat, 24 Jun 2023 02:33:44 +0000

nextcloud-desktop (3.9.0-20230623.033229.4473822a0-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Fri, 23 Jun 2023 03:32:29 +0000

nextcloud-desktop (3.9.0-20230622.024040.a16baf845-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Thu, 22 Jun 2023 02:40:40 +0000

nextcloud-desktop (3.9.0-20230621.024255.8840cdee0-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Wed, 21 Jun 2023 02:42:55 +0000

nextcloud-desktop (3.9.0-20230620.131241.9d3ebff44-1.0~testing1) testing; urgency=medium

  * Merge pull request #5827 from nextcloud/backport/5688/stable-3.9

 -- allexzander <allexzander@users.noreply.github.com>  Tue, 20 Jun 2023 15:12:41 +0200

nextcloud-desktop (3.9.0-20230512.115031.5b8c1eaf8-1.0~testing1) testing; urgency=medium

  * Implemented a class ChecksumCalculator to allow stopping the checksum calculation thread on parent destruction.

 -- alex-z <blackslayer4@gmail.com>  Fri, 12 May 2023 13:50:31 +0200

nextcloud-desktop (3.9.0-20230620.023455.bc203a1af-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Tue, 20 Jun 2023 02:34:55 +0000

nextcloud-desktop (3.9.0-20230619.022856.d2c3800a3-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Mon, 19 Jun 2023 02:28:56 +0000

nextcloud-desktop (3.9.0-20230618.022227.85ca2e7fa-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sun, 18 Jun 2023 02:22:27 +0000

nextcloud-desktop (3.9.0-20230617.022329.ee97d16f0-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sat, 17 Jun 2023 02:23:29 +0000

nextcloud-desktop (3.9.0-20230616.094346.32d61bdac-1.0~testing1) testing; urgency=medium

  * Merge pull request #5820 from nextcloud/backport/5814/stable-3.9

 -- István Váradi <ivaradi@users.noreply.github.com>  Fri, 16 Jun 2023 11:43:46 +0200

nextcloud-desktop (3.9.0-20230614.171824.499c9f211-1.0~testing1) testing; urgency=medium

  * Build for Debian Bookworm

 -- István Váradi <ivaradi@varadiistvan.hu>  Wed, 14 Jun 2023 19:18:24 +0200

nextcloud-desktop (3.9.0-20230616.022330.9deb0453b-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Fri, 16 Jun 2023 02:23:30 +0000

nextcloud-desktop (3.9.0-20230615.113340.fb26fba6b-1.0~testing1) testing; urgency=medium

  * Merge pull request #5817 from nextcloud/backport/5783/stable-3.9

 -- allexzander <allexzander@users.noreply.github.com>  Thu, 15 Jun 2023 13:33:40 +0200

nextcloud-desktop (3.9.0-20230607.164724.7c2808e31-1.0~testing1) testing; urgency=medium

  * Remove stale caseclash conflicts when one of conflicting files has been removed from server

 -- alex-z <blackslayer4@gmail.com>  Wed, 7 Jun 2023 18:47:24 +0200

nextcloud-desktop (3.9.0-20230613.071220.4f1300df8-1.0~testing1) testing; urgency=medium

  * prepare for 3.9.0 release

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 13 Jun 2023 09:12:20 +0200

nextcloud-desktop (3.9.0-20230615.022212.42f7a72c3-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Thu, 15 Jun 2023 02:22:12 +0000

nextcloud-desktop (3.9.0-20230614.152609.ecb6e7201-1.0~testing1) testing; urgency=medium

  * Merge pull request #5812 from nextcloud/backport/5801/stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Wed, 14 Jun 2023 17:26:09 +0200

nextcloud-desktop (3.9.0-20230614.130143.861906b24-1.0~testing1) testing; urgency=medium

  * Fix clang compile error.

 -- alex-z <blackslayer4@gmail.com>  Wed, 14 Jun 2023 15:01:43 +0200

nextcloud-desktop (3.9.0-20230612.175053.4afff6b86-1.0~testing1) testing; urgency=medium

  * Correctly handle errors for unsupported filenames on the server. Allow user to rename those via dialog.

 -- allexzander <blackslayer4@gmail.com>  Mon, 12 Jun 2023 19:50:53 +0200

nextcloud-desktop (3.9.0-20230614.022648.e8631deed-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Wed, 14 Jun 2023 02:26:48 +0000

nextcloud-desktop (3.9.0-20230613.022807.6d73b188f-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Tue, 13 Jun 2023 02:28:07 +0000

nextcloud-desktop (3.9.0-20230612.172244.d75d63541-1.0~testing1) testing; urgency=medium

  * prepare 3.9.0-rc4

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 12 Jun 2023 19:22:44 +0200

nextcloud-desktop (3.9.0-20230612.171319.fe8564056-1.0~testing1) testing; urgency=medium

  * Merge pull request #5799 from nextcloud/backport/5796/stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Mon, 12 Jun 2023 19:13:19 +0200

nextcloud-desktop (3.9.0-20230612.105717.d0c0d8dc7-1.0~testing1) testing; urgency=medium

  * rotate logs based on the lines count instead of teh file size

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 12 Jun 2023 12:57:17 +0200

nextcloud-desktop (3.9.0-20230612.090216.245e7837b-1.0~testing1) testing; urgency=medium

  * less info logs during discovery

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 12 Jun 2023 11:02:16 +0200

nextcloud-desktop (3.9.0-20230612.083303.44bcfe2e4-1.0~testing1) testing; urgency=medium

  * enable "Processing" log lines again but with some removed data

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 12 Jun 2023 10:33:03 +0200

nextcloud-desktop (3.9.0-20230612.081842.03f5f24b5-1.0~testing1) testing; urgency=medium

  * avoid info level for new entries in ActivityListModel

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 12 Jun 2023 10:18:42 +0200

nextcloud-desktop (3.9.0-20230609.173652.7ca95f9f7-1.0~testing1) testing; urgency=medium

  * by default hide most discovery log traces

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 9 Jun 2023 19:36:52 +0200

nextcloud-desktop (3.9.0-20230609.173606.69df414d2-1.0~testing1) testing; urgency=medium

  * downgrade some log lines to be less verbose

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 9 Jun 2023 19:36:06 +0200

nextcloud-desktop (3.9.0-20230609.165850.53d5bbee8-1.0~testing1) testing; urgency=medium

  * fully hide some logs from release builds

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 9 Jun 2023 18:58:50 +0200

nextcloud-desktop (3.9.0-20230612.171025.3f7f75aea-1.0~testing1) testing; urgency=medium

  * Merge pull request #5795 from nextcloud/backport/5792/stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Mon, 12 Jun 2023 19:10:25 +0200

nextcloud-desktop (3.9.0-20230609.134107.80cf8bf37-1.0~testing1) testing; urgency=medium

  * rotate the logs less often (around every 3 MB of compressed logs)

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 9 Jun 2023 15:41:07 +0200

nextcloud-desktop (3.9.0-20230612.022515.f44ed616d-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Mon, 12 Jun 2023 02:25:15 +0000

nextcloud-desktop (3.9.0-20230611.024244.3b4376c7a-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sun, 11 Jun 2023 02:42:44 +0000

nextcloud-desktop (3.9.0-20230610.022336.ea5281b01-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sat, 10 Jun 2023 02:23:36 +0000

nextcloud-desktop (3.9.0-20230609.154716.4c9d27d86-1.0~testing1) testing; urgency=medium

  * Merge pull request #5794 from nextcloud/backport/5736/stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Fri, 9 Jun 2023 17:47:16 +0200

nextcloud-desktop (3.9.0-20230601.142653.e7ad1872b-1.0~testing1) testing; urgency=medium

  * chore: update workflows from templates

 -- John Molakvoæ <skjnldsv@protonmail.com>  Thu, 1 Jun 2023 16:26:53 +0200

nextcloud-desktop (3.9.0-20230609.145159.d46a1d69a-1.0~testing1) testing; urgency=medium

  * Merge pull request #5790 from nextcloud/backport/5786/stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Fri, 9 Jun 2023 16:51:59 +0200

nextcloud-desktop (3.9.0-20230608.073848.bb6cabb13-1.0~testing1) testing; urgency=medium

  * Fix colouring of NCRadioButton

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 8 Jun 2023 15:38:48 +0800

nextcloud-desktop (3.9.0-20230609.141452.4e787f381-1.0~testing1) testing; urgency=medium

  * Merge pull request #5789 from nextcloud/backport/5773/stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Fri, 9 Jun 2023 16:14:52 +0200

nextcloud-desktop (3.9.0-20230606.103334.52ae22496-1.0~testing1) testing; urgency=medium

  * addd a cmake option to enable single account desktop client

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 6 Jun 2023 12:33:34 +0200

nextcloud-desktop (3.9.0-20230609.022541.6002b7b9d-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Fri, 9 Jun 2023 02:25:41 +0000

nextcloud-desktop (3.9.0-20230608.093014.112b80933-1.0~testing1) testing; urgency=medium

  * Merge pull request #5785 from nextcloud/backport/5764/stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Thu, 8 Jun 2023 11:30:14 +0200

nextcloud-desktop (3.9.0-20230605.161420.a191910e4-1.0~testing1) testing; urgency=medium

  * Fix UnifiedSearch text field placeholder text color for light and dark theme.

 -- alex-z <blackslayer4@gmail.com>  Mon, 5 Jun 2023 18:14:20 +0200

nextcloud-desktop (3.9.0-20230608.074132.60772e9d0-1.0~testing1) testing; urgency=medium

  * prepare 3.9.0-rc3

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 8 Jun 2023 09:41:32 +0200

nextcloud-desktop (3.8.82-20230608.073929.c49348d0f-1.0~testing1) testing; urgency=medium

  * Merge tag 'v3.9.0-rc2' into stable-3.9

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 8 Jun 2023 09:39:29 +0200

nextcloud-desktop (3.8.81-20230608.072630.4a928abc1-1.0~testing1) testing; urgency=medium

  * Merge pull request #5782 from nextcloud/backport/5768/stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Thu, 8 Jun 2023 09:26:30 +0200

nextcloud-desktop (3.8.81-20230607.154137.b50146323-1.0~testing1) testing; urgency=medium

  * sonarcloud action will run on ubuntu:22.04

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 7 Jun 2023 17:41:37 +0200

nextcloud-desktop (3.9.0-20230530.144348.1b2c5f4a7-1.0~testing1) testing; urgency=medium

  * Bump version for 3.9.0-rc2 release.

 -- Camila <hello@camila.codes>  Tue, 30 May 2023 16:43:48 +0200

nextcloud-desktop (3.9.0-20230201.144426.d89b59456-1.0~testing1) testing; urgency=medium

  * disable one definition rule sanitizer check

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 1 Feb 2023 15:44:26 +0100

nextcloud-desktop (3.9.0-20230606.161643.f43c0b611-1.0~testing1) testing; urgency=medium

  * use a better user message for network errors

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 6 Jun 2023 18:16:43 +0200

nextcloud-desktop (3.9.0-20221011.141053.4c883382b-1.0~testing1) testing; urgency=medium

  * add more metadata to sync errors to allow filtering

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 11 Oct 2022 16:10:53 +0200

nextcloud-desktop (3.9.0-20221011.201350.86c4ddb25-1.0~testing1) testing; urgency=medium

  * declare ErrorCategory enum class and declare its metatype

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 11 Oct 2022 22:13:50 +0200

nextcloud-desktop (3.9.0-20230606.084747.37fadf356-1.0~testing1) testing; urgency=medium

  * display subject when we have sync issues like network errors

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 6 Jun 2023 10:47:47 +0200

nextcloud-desktop (3.9.0-20230608.022208.ae697a8b2-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Thu, 8 Jun 2023 02:22:08 +0000

nextcloud-desktop (3.9.0-20230607.100959.20bd460be-1.0~testing1) testing; urgency=medium

  * Merge pull request #5777 from nextcloud/backport/5766/stable-3.9

 -- Camila <hello@camila.codes>  Wed, 7 Jun 2023 07:09:59 -0300

nextcloud-desktop (3.9.0-20230605.175557.2fb2535c6-1.0~testing1) testing; urgency=medium

  * Bugfix. Conflict resolution button not clickable.

 -- alex-z <blackslayer4@gmail.com>  Mon, 5 Jun 2023 19:55:57 +0200

nextcloud-desktop (3.9.0-20230606.140152.21c5decc0-1.0~testing1) testing; urgency=medium

  * Revert "Merge pull request #5527 from nextcloud/feature/file-provider-try-2"

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 6 Jun 2023 22:01:52 +0800

nextcloud-desktop (3.9.0-20230606.140135.1929c4885-1.0~testing1) testing; urgency=medium

  * Revert "Merge pull request #5742 from nextcloud/backport/5707/stable-3.9"

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 6 Jun 2023 22:01:35 +0800

nextcloud-desktop (3.9.0-20230607.085608.e88b2f76c-1.0~testing1) testing; urgency=medium

  * Merge pull request #5775 from nextcloud/backport/5769/stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Wed, 7 Jun 2023 10:56:08 +0200

nextcloud-desktop (3.9.0-20230606.124518.1b65818cd-1.0~testing1) testing; urgency=medium

  * do not log twice in debug mode

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 6 Jun 2023 14:45:18 +0200

nextcloud-desktop (3.9.0-20230606.124502.747c4dcf2-1.0~testing1) testing; urgency=medium

  * rotate log files every 3 MBs

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 6 Jun 2023 14:45:02 +0200

nextcloud-desktop (3.9.0-20230606.124417.e151b043c-1.0~testing1) testing; urgency=medium

  * by default disable debug log level

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 6 Jun 2023 14:44:17 +0200

nextcloud-desktop (3.9.0-20230606.140746.542f4646d-1.0~testing1) testing; urgency=medium

  * Merge pull request #5762 from nextcloud/backport/5757/stable-3.9

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 6 Jun 2023 22:07:46 +0800

nextcloud-desktop (3.9.0-20230602.065304.f419cb729-1.0~testing1) testing; urgency=medium

  * Revert "Annotated version of Big Sur icon"

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 2 Jun 2023 14:53:04 +0800

nextcloud-desktop (3.9.0-20230603.022136.5f8b2ef73-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sat, 3 Jun 2023 02:21:36 +0000

nextcloud-desktop (3.9.0-20230602.085150.838665716-1.0~testing1) testing; urgency=medium

  * Merge pull request #5748 from nextcloud/backport/5745/stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Fri, 2 Jun 2023 10:51:50 +0200

nextcloud-desktop (3.9.0-20230531.134509.e703b4c5e-1.0~testing1) testing; urgency=medium

  * fix build on windows by adding missing archive name properties on libs

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 31 May 2023 15:45:09 +0200

nextcloud-desktop (3.9.0-20230602.022029.277ceac4e-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Fri, 2 Jun 2023 02:20:29 +0000

nextcloud-desktop (3.9.0-20230601.091338.edc2401ee-1.0~testing1) testing; urgency=medium

  * Merge pull request #5744 from nextcloud/backport/5743/stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Thu, 1 Jun 2023 11:13:38 +0200

nextcloud-desktop (3.9.0-20230531.074745.3d3ac0989-1.0~testing1) testing; urgency=medium

  * Use Style constants for UnifiedSearchInputContainer measurements

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 31 May 2023 15:47:45 +0800

nextcloud-desktop (3.9.0-20230531.073607.81fc212f7-1.0~testing1) testing; urgency=medium

  * Fix switching from dark/light mode for checkboxes in file details window

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 31 May 2023 15:36:07 +0800

nextcloud-desktop (3.9.0-20230531.060233.bd4936756-1.0~testing1) testing; urgency=medium

  * Fix faulty dark/light mode switching in UnifiedSearchInputContainer

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 31 May 2023 14:02:33 +0800

nextcloud-desktop (3.9.0-20230601.051015.5118bcfab-1.0~testing1) testing; urgency=medium

  * Merge pull request #5742 from nextcloud/backport/5707/stable-3.9

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 1 Jun 2023 13:10:15 +0800

nextcloud-desktop (3.9.0-20230526.020206.d7063494b-1.0~testing1) testing; urgency=medium

  * Remove redundant definition addition for BUILD_FILE_PROVIDER_MODULE

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 26 May 2023 10:02:06 +0800

nextcloud-desktop (3.9.0-20230524.065843.ae4c29088-1.0~testing1) testing; urgency=medium

  * Added BUILD_FILE_PROVIDER_MODULE to config.h.in

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 24 May 2023 14:58:43 +0800

nextcloud-desktop (3.9.0-20230517.061934.8c795d5dc-1.0~testing1) testing; urgency=medium

  * Fix macOS build when file provider module build is disabled

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 17 May 2023 14:19:34 +0800

nextcloud-desktop (3.9.0-20230531.022843.d9603fc84-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Wed, 31 May 2023 02:28:43 +0000

nextcloud-desktop (3.9.0-20230530.094102.c389ced21-1.0~testing1) testing; urgency=medium

  * Merge pull request #5741 from nextcloud/backport/5715/stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Tue, 30 May 2023 11:41:02 +0200

nextcloud-desktop (3.9.0-20230527.160058.15c9cbf14-1.0~testing1) testing; urgency=medium

  * Declare hoverEnabled: true explicitly in CustomButton

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sun, 28 May 2023 00:00:58 +0800

nextcloud-desktop (3.9.0-20230525.042830.9a02dd594-1.0~testing1) testing; urgency=medium

  * Fix highlight in activity list

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 25 May 2023 12:28:30 +0800

nextcloud-desktop (3.9.0-20230525.041615.3ec4e1baf-1.0~testing1) testing; urgency=medium

  * Fix caret colour in basic combo box

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 25 May 2023 12:16:15 +0800

nextcloud-desktop (3.9.0-20230525.041234.85ebf8c99-1.0~testing1) testing; urgency=medium

  * Remove unnecessary background components

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 25 May 2023 12:12:34 +0800

nextcloud-desktop (3.9.0-20230525.035151.8b3cf6ddb-1.0~testing1) testing; urgency=medium

  * Always use palette colours for colouring UI elements

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 25 May 2023 11:51:51 +0800

nextcloud-desktop (3.9.0-20230525.023220.4272a5d26-1.0~testing1) testing; urgency=medium

  * Define all QML windows as ApplicationWindows, define palettes here

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 25 May 2023 10:32:20 +0800

nextcloud-desktop (3.9.0-20230523.164931.d0ef0bdf8-1.0~testing1) testing; urgency=medium

  * Fix contentwidth of dialogbuttonbox in ShareDetailsPage

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 24 May 2023 00:49:31 +0800

nextcloud-desktop (3.9.0-20230523.163053.afdf4f0eb-1.0~testing1) testing; urgency=medium

  * Fix dark mode in ResolveConflictsDialog

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 24 May 2023 00:30:53 +0800

nextcloud-desktop (3.9.0-20230523.161926.9fc46aeab-1.0~testing1) testing; urgency=medium

  * Fix outline for progress bar in fusion

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 24 May 2023 00:19:26 +0800

nextcloud-desktop (3.9.0-20230523.161606.1738de8f8-1.0~testing1) testing; urgency=medium

  * Fix checkbox palettes in share details

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 24 May 2023 00:16:06 +0800

nextcloud-desktop (3.9.0-20230523.160042.818299840-1.0~testing1) testing; urgency=medium

  * Unify small icon sizes in file details components

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 24 May 2023 00:00:42 +0800

nextcloud-desktop (3.9.0-20230523.152730.9ee669a75-1.0~testing1) testing; urgency=medium

  * Fix dark mode switching issues with main tray window

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 23 May 2023 23:27:30 +0800

nextcloud-desktop (3.9.0-20230523.152511.5356733d7-1.0~testing1) testing; urgency=medium

  * Fix large number of warnings related to unavailable property

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 23 May 2023 23:25:11 +0800

nextcloud-desktop (3.9.0-20230519.152348.c881a2211-1.0~testing1) testing; urgency=medium

  * Fix image sizing and positioning in NCButtonContents

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 19 May 2023 23:23:48 +0800

nextcloud-desktop (3.9.0-20230519.145836.f090853f3-1.0~testing1) testing; urgency=medium

  * Increase size of dismiss button

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 19 May 2023 22:58:36 +0800

nextcloud-desktop (3.9.0-20230519.145828.a1346dc90-1.0~testing1) testing; urgency=medium

  * Reduce minimum size of activity

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 19 May 2023 22:58:28 +0800

nextcloud-desktop (3.9.0-20230519.145817.f7447ef65-1.0~testing1) testing; urgency=medium

  * Add darker hover to make hovering on an item within an item with lightHover visible

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 19 May 2023 22:58:17 +0800

nextcloud-desktop (3.9.0-20230519.143830.fdb6d9c4c-1.0~testing1) testing; urgency=medium

  * Respect icon.height and width in custom button contents

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 19 May 2023 22:38:30 +0800

nextcloud-desktop (3.9.0-20230519.143830.29ddf1a86-1.0~testing1) testing; urgency=medium

  * Respect icon.height and width in custom button contents

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 19 May 2023 22:38:30 +0800

nextcloud-desktop (3.9.0-20230519.143809.bf451020a-1.0~testing1) testing; urgency=medium

  * Limit the max height of images inside CustomButton

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 19 May 2023 22:38:09 +0800

nextcloud-desktop (3.9.0-20230519.100048.6ccf9ffb8-1.0~testing1) testing; urgency=medium

  * Simplify and fix activity content layout by going back to using RowLayout instead of Item

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 19 May 2023 18:00:48 +0800

nextcloud-desktop (3.9.0-20230519.094946.dd29f1887-1.0~testing1) testing; urgency=medium

  * Use standard size instead of unncessary additional value

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 19 May 2023 17:49:46 +0800

nextcloud-desktop (3.9.0-20230519.092002.c37143cfe-1.0~testing1) testing; urgency=medium

  * Fix text lines, don't leave only one line

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 19 May 2023 17:20:02 +0800

nextcloud-desktop (3.9.0-20230519.091736.fbcd9e299-1.0~testing1) testing; urgency=medium

  * Move filedetails button to activity top row

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 19 May 2023 17:17:36 +0800

nextcloud-desktop (3.9.0-20230519.091337.5f92d35a8-1.0~testing1) testing; urgency=medium

  * Make dismiss button slightly larger

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 19 May 2023 17:13:37 +0800

nextcloud-desktop (3.9.0-20230519.091327.d974fa3ee-1.0~testing1) testing; urgency=medium

  * Fix more button icon when in dark mode

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 19 May 2023 17:13:27 +0800

nextcloud-desktop (3.9.0-20230519.091318.7ab21d91f-1.0~testing1) testing; urgency=medium

  * Use custombutton with filedetails button to make it not look horrible

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 19 May 2023 17:13:18 +0800

nextcloud-desktop (3.9.0-20230519.091259.c96e7f91c-1.0~testing1) testing; urgency=medium

  * Hide second subject line in activity when nothing is visible

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 19 May 2023 17:12:59 +0800

nextcloud-desktop (3.9.0-20230519.091240.ae4973b38-1.0~testing1) testing; urgency=medium

  * Fix alignment of main subject line with time line in activity

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 19 May 2023 17:12:40 +0800

nextcloud-desktop (3.9.0-20230519.091216.d4cc414eb-1.0~testing1) testing; urgency=medium

  * Use custombutton for dismiss button, give hover feedback

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 19 May 2023 17:12:16 +0800

nextcloud-desktop (3.9.0-20230530.022418.32c1b9dca-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Tue, 30 May 2023 02:24:18 +0000

nextcloud-desktop (3.9.0-20230528.022325.01a2c93fa-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sun, 28 May 2023 02:23:25 +0000

nextcloud-desktop (3.9.0-20230527.022220.ec0f1e560-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sat, 27 May 2023 02:22:20 +0000

nextcloud-desktop (3.9.0-20230526.022207.d7050678d-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Fri, 26 May 2023 02:22:07 +0000

nextcloud-desktop (3.9.0-20230525.133912.146272147-1.0~testing1) testing; urgency=medium

  * Merge pull request #5733 from nextcloud/backport/5731/stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Thu, 25 May 2023 15:39:12 +0200

nextcloud-desktop (3.9.0-20230524.143745.907b35c65-1.0~testing1) testing; urgency=medium

  * ensure that the file to test monitoring is hidden

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 24 May 2023 16:37:45 +0200

nextcloud-desktop (3.9.0-20230525.022937.c91d15c23-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Thu, 25 May 2023 02:29:37 +0000

nextcloud-desktop (3.9.0-20230524.022321.b0609b6cd-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Wed, 24 May 2023 02:23:21 +0000

nextcloud-desktop (3.9.0-20230523.125942.b596b08b9-1.0~testing1) testing; urgency=medium

  * Merge pull request #5725 from nextcloud/backport/5724/stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Tue, 23 May 2023 14:59:42 +0200

nextcloud-desktop (3.9.0-20230522.153356.c84bf309d-1.0~testing1) testing; urgency=medium

  * align activity text with "Sync now" text

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 22 May 2023 17:33:56 +0200

nextcloud-desktop (3.9.0-20230523.122025.9f1fb2ffc-1.0~testing1) testing; urgency=medium

  * Merge pull request #5723 from nextcloud/backport/5712/stable-3.9

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Tue, 23 May 2023 14:20:25 +0200

nextcloud-desktop (3.9.0-20230519.035644.72696ebdd-1.0~testing1) testing; urgency=medium

  * Fix colour of downward caret in tray folders button

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 19 May 2023 11:56:44 +0800

nextcloud-desktop (3.9.0-20230519.035629.ec311ed15-1.0~testing1) testing; urgency=medium

  * Fix colour of icon for tray folders button

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 19 May 2023 11:56:29 +0800

nextcloud-desktop (3.9.0-20230523.022408.e92365187-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Tue, 23 May 2023 02:24:08 +0000

nextcloud-desktop (3.9.0-20230521.022327.4a67b0f3f-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sun, 21 May 2023 02:23:27 +0000

nextcloud-desktop (3.9.0-20230520.022529.1d214b0d5-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sat, 20 May 2023 02:25:29 +0000

nextcloud-desktop (3.9.0-20230518.210410.3831d76e9-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Thu, 18 May 2023 21:04:10 +0000

nextcloud-desktop (3.9.0-20230518.022701.78f3d777f-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Thu, 18 May 2023 02:27:01 +0000

nextcloud-desktop (3.9.0-20230517.163420.d68c04b58-1.0~testing1) testing; urgency=medium

  * Bump version to 3.8.81

 -- Camila <hello@camila.codes>  Wed, 17 May 2023 18:34:20 +0200

nextcloud-desktop (3.8.50-20230517.162359.b98887b5f-1.0~testing1) testing; urgency=medium

  * Merge pull request #5377 from nextcloud/feature/optimalLayoutForNotificationsAndActionButtons

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Wed, 17 May 2023 18:23:59 +0200

nextcloud-desktop (3.8.50-20230517.154000.1accd60b8-1.0~testing1) testing; urgency=medium

  * just use padding to ensure a good width for "Sync now" button

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 17 May 2023 17:40:00 +0200

nextcloud-desktop (3.8.50-20230517.153721.ce9540a25-1.0~testing1) testing; urgency=medium

  * do not color file details 3 dots button

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 17 May 2023 17:37:21 +0200

nextcloud-desktop (3.8.50-20230517.133147.607d0da67-1.0~testing1) testing; urgency=medium

  * use a much more compact layout for activities

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 17 May 2023 15:31:47 +0200

nextcloud-desktop (3.8.50-20230517.133051.9dd5cc35f-1.0~testing1) testing; urgency=medium

  * use a more compact format to display date of activities

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 17 May 2023 15:30:51 +0200

nextcloud-desktop (3.8.50-20230515.151232.ddeb62915-1.0~testing1) testing; urgency=medium

  * always enable entries in activity list to have consistent look and feel

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 15 May 2023 17:12:32 +0200

nextcloud-desktop (3.8.50-20230515.114841.39c70c1f2-1.0~testing1) testing; urgency=medium

  * make highlight indicator in activity list have rounded corners

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 15 May 2023 13:48:41 +0200

nextcloud-desktop (3.8.50-20230130.165414.f8feb6403-1.0~testing1) testing; urgency=medium

  * to dismiss an activity use a round button with hover enabled

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 30 Jan 2023 17:54:14 +0100

nextcloud-desktop (3.8.50-20230510.101044.4c1ab7092-1.0~testing1) testing; urgency=medium

  * use Fusion qml style

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 10 May 2023 12:10:44 +0200

nextcloud-desktop (3.8.50-20230221.081650.7d03007fa-1.0~testing1) testing; urgency=medium

  * use standard and existing property to set icon url in buttons

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 21 Feb 2023 09:16:50 +0100

nextcloud-desktop (3.8.50-20230221.081518.e69a544b7-1.0~testing1) testing; urgency=medium

  * improve again qml bindings to notifications data

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 21 Feb 2023 09:15:18 +0100

nextcloud-desktop (3.8.50-20230213.220823.98ec08097-1.0~testing1) testing; urgency=medium

  * make the API easier to read

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 13 Feb 2023 23:08:23 +0100

nextcloud-desktop (3.8.50-20230213.220729.0d2742d88-1.0~testing1) testing; urgency=medium

  * provide the full OCC::Activity instance to ActivityItemContent

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 13 Feb 2023 23:07:29 +0100

nextcloud-desktop (3.8.50-20230213.220700.f51af1734-1.0~testing1) testing; urgency=medium

  * expose some properties of OCC::Activity gadget class

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 13 Feb 2023 23:07:00 +0100

nextcloud-desktop (3.8.50-20230213.210325.ce69856bf-1.0~testing1) testing; urgency=medium

  * improve qml binding for more element of OCC::Activity

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 13 Feb 2023 22:03:25 +0100

nextcloud-desktop (3.8.50-20230213.201841.10f9ef5cd-1.0~testing1) testing; urgency=medium

  * to store subjectRichParameters use a QVariantMap that is qml friendly

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 13 Feb 2023 21:18:41 +0100

nextcloud-desktop (3.8.50-20230213.181258.bc9b7a05f-1.0~testing1) testing; urgency=medium

  * repay some desbt in ActivityListModel::data

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 13 Feb 2023 19:12:58 +0100

nextcloud-desktop (3.8.50-20230213.174646.9a90f15ce-1.0~testing1) testing; urgency=medium

  * remove scary warning that is a false alarm

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 13 Feb 2023 18:46:46 +0100

nextcloud-desktop (3.8.50-20230213.170815.ad868daeb-1.0~testing1) testing; urgency=medium

  * remove custom property to set a source model in a sort proxy model

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 13 Feb 2023 18:08:15 +0100

nextcloud-desktop (3.8.50-20230213.170214.32ee1a962-1.0~testing1) testing; urgency=medium

  * remove custom property and use standard sourceModel for our proxy model

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 13 Feb 2023 18:02:14 +0100

nextcloud-desktop (3.8.50-20230213.141954.9bbabd3ba-1.0~testing1) testing; urgency=medium

  * prevent a 0 size to assert when creating icon from svg

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 13 Feb 2023 15:19:54 +0100

nextcloud-desktop (3.8.50-20230213.141914.d6d1a6dcd-1.0~testing1) testing; urgency=medium

  * fix a few debug logs to use proper categorized logging

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 13 Feb 2023 15:19:14 +0100

nextcloud-desktop (3.8.50-20230516.144830.dc66a1254-1.0~testing1) testing; urgency=medium

  * add missing copyright notices and upgrade qml module imports

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 16 May 2023 16:48:30 +0200

nextcloud-desktop (3.8.50-20230517.161010.b62ea907b-1.0~testing1) testing; urgency=medium

  * Merge pull request #5706 from nextcloud/update/changelog

 -- Camila <hello@camila.codes>  Wed, 17 May 2023 13:10:10 -0300

nextcloud-desktop (3.8.50-20230516.153329.bbb723d1d-1.0~testing1) testing; urgency=medium

  * Update CHANGELOG.

 -- Camila <hello@camila.codes>  Tue, 16 May 2023 17:33:29 +0200

nextcloud-desktop (3.8.50-20230517.083504.d7d52a11c-1.0~testing1) testing; urgency=medium

  * Merge pull request #5635 from nextcloud/feature/resolveAllConflicts

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Wed, 17 May 2023 10:35:04 +0200

nextcloud-desktop (3.8.50-20230516.095432.6c7f81009-1.0~testing1) testing; urgency=medium

  * improve code in activity list model

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 16 May 2023 11:54:32 +0200

nextcloud-desktop (3.8.50-20230516.093659.8f60518d6-1.0~testing1) testing; urgency=medium

  * small qml cleanup to make code faster to read

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 16 May 2023 11:36:59 +0200

nextcloud-desktop (3.8.50-20230516.093646.8faab817a-1.0~testing1) testing; urgency=medium

  * improve automated tests

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 16 May 2023 11:36:46 +0200

nextcloud-desktop (3.8.50-20230516.093045.14bce6fdc-1.0~testing1) testing; urgency=medium

  * improve reliability of memeory management when creating conflicts dialog

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 16 May 2023 11:30:45 +0200

nextcloud-desktop (3.8.50-20230516.083740.534939506-1.0~testing1) testing; urgency=medium

  * model improvements

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 16 May 2023 10:37:40 +0200

nextcloud-desktop (3.8.50-20230516.075409.8d81257db-1.0~testing1) testing; urgency=medium

  * improve translations for strings with placeholder to display numbers

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 16 May 2023 09:54:09 +0200

nextcloud-desktop (3.8.50-20230516.073745.b285b8960-1.0~testing1) testing; urgency=medium

  * define minimum sizes of conflict dialogs in Style component

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 16 May 2023 09:37:45 +0200

nextcloud-desktop (3.8.50-20230516.070411.635b1ec72-1.0~testing1) testing; urgency=medium

  * define constants specific for font sizes in conflict dialog

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 16 May 2023 09:04:11 +0200

nextcloud-desktop (3.8.50-20230516.073745.31e4dede6-1.0~testing1) testing; urgency=medium

  * refactor common parts of conflict delegate into a separate component

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 16 May 2023 09:37:45 +0200

nextcloud-desktop (3.8.50-20230512.130128.230e2de23-1.0~testing1) testing; urgency=medium

  * solve multiple conflicts from choose resolution

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 12 May 2023 15:01:28 +0200

nextcloud-desktop (3.8.50-20230512.111738.739c56c04-1.0~testing1) testing; urgency=medium

  * allow selecting conflict resolutions for many conflicts

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 12 May 2023 13:17:38 +0200

nextcloud-desktop (3.8.50-20230504.142350.8d52d4e4c-1.0~testing1) testing; urgency=medium

  * implement more feedback

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 4 May 2023 16:23:50 +0200

nextcloud-desktop (3.8.50-20230504.103013.fa135a422-1.0~testing1) testing; urgency=medium

  * ensure the URL to mimetype icons are correct

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 4 May 2023 12:30:13 +0200

nextcloud-desktop (3.8.50-20230504.102954.382a58c6b-1.0~testing1) testing; urgency=medium

  * allow the conflicts dialog to close

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 4 May 2023 12:29:54 +0200

nextcloud-desktop (3.8.50-20230504.102941.30bba4c90-1.0~testing1) testing; urgency=medium

  * fix automated tests

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 4 May 2023 12:29:41 +0200

nextcloud-desktop (3.8.50-20230504.084745.2e501f0c7-1.0~testing1) testing; urgency=medium

  * add some margins at bottom of items in conflicts list view

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 4 May 2023 10:47:45 +0200

nextcloud-desktop (3.8.50-20230504.083256.6efa9f81b-1.0~testing1) testing; urgency=medium

  * prevent close of conflicts dialog on focus lost

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 4 May 2023 10:32:56 +0200

nextcloud-desktop (3.8.50-20230503.171711.779cc3a75-1.0~testing1) testing; urgency=medium

  * display icons for files when solving many conflicts

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 3 May 2023 19:17:11 +0200

nextcloud-desktop (3.8.50-20230503.164015.789ca7230-1.0~testing1) testing; urgency=medium

  * plug models into the dialog

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 3 May 2023 18:40:15 +0200

nextcloud-desktop (3.8.50-20230503.163319.f799d8c69-1.0~testing1) testing; urgency=medium

  * tune the pipes to really get a dialog to show for many conflicts

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 3 May 2023 18:33:19 +0200

nextcloud-desktop (3.8.50-20230503.162855.c118958d3-1.0~testing1) testing; urgency=medium

  * do not show many conflicts dialog for a single conflict

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 3 May 2023 18:28:55 +0200

nextcloud-desktop (3.8.50-20230503.160912.72b78c901-1.0~testing1) testing; urgency=medium

  * replace "Sync now" button by "Solve all conflicts" for many conflicts

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 3 May 2023 18:09:12 +0200

nextcloud-desktop (3.8.50-20230502.115517.280094b22-1.0~testing1) testing; urgency=medium

  * model: first step

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 2 May 2023 13:55:17 +0200

nextcloud-desktop (3.8.50-20230503.115929.8f61d539d-1.0~testing1) testing; urgency=medium

  * replace "OK" button by "Resolve conflicts" to help users

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 3 May 2023 13:59:29 +0200

nextcloud-desktop (3.8.50-20230502.125353.4bd93e39d-1.0~testing1) testing; urgency=medium

  * more qml feedback

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 2 May 2023 14:53:53 +0200

nextcloud-desktop (3.8.50-20230428.125455.396accd20-1.0~testing1) testing; urgency=medium

  * feedback from design review

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 28 Apr 2023 14:54:55 +0200

nextcloud-desktop (3.8.50-20230428.104304.1491c134c-1.0~testing1) testing; urgency=medium

  * basic implementation of a dialog to resolve conflicts as a batch

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 28 Apr 2023 12:43:04 +0200

nextcloud-desktop (3.8.50-20230428.104341.7b4245a3c-1.0~testing1) testing; urgency=medium

  * fix #include header style

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 28 Apr 2023 12:43:41 +0200

nextcloud-desktop (3.8.50-20230517.022351.37bd3f3db-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Wed, 17 May 2023 02:23:51 +0000

nextcloud-desktop (3.8.50-20230516.140100.6ff45bf34-1.0~testing1) testing; urgency=medium

  * Merge pull request #5654 from nextcloud/bugfix/ask-before-importing-legacy

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 16 May 2023 22:01:00 +0800

nextcloud-desktop (3.8.50-20230508.122420.3dd838d28-1.0~testing1) testing; urgency=medium

  * Rename forcelegacyimport option to clearer forcelegacyconfigimport

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 8 May 2023 20:24:20 +0800

nextcloud-desktop (3.8.50-20230505.024449.b864bef2e-1.0~testing1) testing; urgency=medium

  * Add application argument to force import of legacy accounts

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 5 May 2023 10:44:49 +0800

nextcloud-desktop (3.8.50-20230508.122441.c8f8c9cd2-1.0~testing1) testing; urgency=medium

  * Don't ask user whether to import legacy account configs if forcing legacy import

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 8 May 2023 20:24:41 +0800

nextcloud-desktop (3.8.50-20230505.024410.e43f627c9-1.0~testing1) testing; urgency=medium

  * Add forceLegacyImport property to accountmanager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 5 May 2023 10:44:10 +0800

nextcloud-desktop (3.8.50-20230505.023643.efce1b6ab-1.0~testing1) testing; urgency=medium

  * Declare void setters and methods in accountmanager as slots

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 5 May 2023 10:36:43 +0800

nextcloud-desktop (3.8.50-20230505.023411.c3fda69e3-1.0~testing1) testing; urgency=medium

  * Place signals and slots for accountmanager in line with how this is done in other classes

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 5 May 2023 10:34:11 +0800

nextcloud-desktop (3.8.50-20230505.022238.6eb2fd1cc-1.0~testing1) testing; urgency=medium

  * Notify result of attempted account import with messagebox

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 5 May 2023 10:22:38 +0800

nextcloud-desktop (3.8.50-20230505.021745.fba808103-1.0~testing1) testing; urgency=medium

  * Ask before attempting to import legacy accounts

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 5 May 2023 10:17:45 +0800

nextcloud-desktop (3.8.50-20230516.131852.4dfab45d5-1.0~testing1) testing; urgency=medium

  * Merge pull request #5672 from nextcloud/bugfix/provide-feedback-on-share-link-copy

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 16 May 2023 21:18:52 +0800

nextcloud-desktop (3.8.50-20230511.061047.a9375c4d6-1.0~testing1) testing; urgency=medium

  * Animate copy share link button in share delegate

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 11 May 2023 14:10:47 +0800

nextcloud-desktop (3.8.50-20230511.061030.0419e2939-1.0~testing1) testing; urgency=medium

  * Also customise appearance of copy button in sharedelegate when clicked

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 11 May 2023 14:10:30 +0800

nextcloud-desktop (3.8.50-20230510.043827.191d8350c-1.0~testing1) testing; urgency=medium

  * Replace use of magic numbers for animation durations in copy share link button with constants defined in Style.qml

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 10 May 2023 12:38:27 +0800

nextcloud-desktop (3.8.50-20230510.032532.4e12bbf3e-1.0~testing1) testing; urgency=medium

  * Smoothly animate change of state for copy share link button

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 10 May 2023 11:25:32 +0800

nextcloud-desktop (3.8.50-20230510.032518.7db143469-1.0~testing1) testing; urgency=medium

  * Reset state of copy share link button after 3 seconds

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 10 May 2023 11:25:18 +0800

nextcloud-desktop (3.8.50-20230510.032455.c345b22bf-1.0~testing1) testing; urgency=medium

  * Upon copying share link, trigger a change in the button to make copy action completed obvious

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 10 May 2023 11:24:55 +0800

nextcloud-desktop (3.8.50-20230510.032237.eab342fad-1.0~testing1) testing; urgency=medium

  * Add positive colour to Style.qml

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 10 May 2023 11:22:37 +0800

nextcloud-desktop (3.8.50-20230516.113333.79c0fdc9f-1.0~testing1) testing; urgency=medium

  * Merge pull request #5686 from nextcloud/bugfix/edit-locally-allow-opening-item-in-root

 -- allexzander <allexzander@users.noreply.github.com>  Tue, 16 May 2023 13:33:33 +0200

nextcloud-desktop (3.8.50-20230516.111257.90c34e9df-1.0~testing1) testing; urgency=medium

  * Merge pull request #5596 from nextcloud/feature/file-detail-tags

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 16 May 2023 19:12:57 +0800

nextcloud-desktop (3.8.50-20230511.162958.81ecba8da-1.0~testing1) testing; urgency=medium

  * Allow opening a file or folder in the local sync root.

 -- alex-z <blackslayer4@gmail.com>  Thu, 11 May 2023 18:29:58 +0200

nextcloud-desktop (3.8.50-20230427.140828.b440e3011-1.0~testing1) testing; urgency=medium

  * Display tooltip showing names of overflowing tags in FileDetailsPage's overflow tag

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 27 Apr 2023 22:08:28 +0800

nextcloud-desktop (3.8.50-20230427.132340.30830b44c-1.0~testing1) testing; urgency=medium

  * Add overflow tag string property to filetagmodel which stringifies omitted tags

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 27 Apr 2023 21:23:40 +0800

nextcloud-desktop (3.8.50-20230425.141836.ce22c409e-1.0~testing1) testing; urgency=medium

  * Test important properties in testfiletagmodel

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 25 Apr 2023 22:18:36 +0800

nextcloud-desktop (3.8.50-20230425.034508.73b94bcf2-1.0~testing1) testing; urgency=medium

  * Add test for maxTags in FileTagModel

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 25 Apr 2023 11:45:08 +0800

nextcloud-desktop (3.8.50-20230425.034447.1bab57b17-1.0~testing1) testing; urgency=medium

  * Notify change in tags when maxTags set in filetagmodel

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 25 Apr 2023 11:44:47 +0800

nextcloud-desktop (3.8.50-20230424.110742.6c6834142-1.0~testing1) testing; urgency=medium

  * Add test for tags in filetagmodel

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 24 Apr 2023 19:07:42 +0800

nextcloud-desktop (3.8.50-20230424.110202.ccb07af56-1.0~testing1) testing; urgency=medium

  * Provide different propfind replies depending on request props in testfiletagmode

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 24 Apr 2023 19:02:02 +0800

nextcloud-desktop (3.8.50-20230424.110118.89d7e1767-1.0~testing1) testing; urgency=medium

  * Add FakePropfindReply that accepts raw QByteArray as payload

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 24 Apr 2023 19:01:18 +0800

nextcloud-desktop (3.8.50-20230424.074933.955f4de7d-1.0~testing1) testing; urgency=medium

  * Add initial testing setup for file tag model

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 24 Apr 2023 15:49:33 +0800

nextcloud-desktop (3.8.50-20230420.131724.b79a038d9-1.0~testing1) testing; urgency=medium

  * Add support for system tags in filetagmodel

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 20 Apr 2023 21:17:24 +0800

nextcloud-desktop (3.8.50-20230420.131457.045541d32-1.0~testing1) testing; urgency=medium

  * Implement support for system tags in propfindjob

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 20 Apr 2023 21:14:57 +0800

nextcloud-desktop (3.8.50-20230420.125348.bfb720fc3-1.0~testing1) testing; urgency=medium

  * Extract propfind tag xml node processing into separate method

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 20 Apr 2023 20:53:48 +0800

nextcloud-desktop (3.8.50-20230420.125013.29c17132e-1.0~testing1) testing; urgency=medium

  * Properly parse tags in propfind request

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 20 Apr 2023 20:50:13 +0800

nextcloud-desktop (3.8.50-20230420.115435.b5cc4b41c-1.0~testing1) testing; urgency=medium

  * Extract propfind result data processing into separate method

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 20 Apr 2023 19:54:35 +0800

nextcloud-desktop (3.8.50-20230420.114837.6e9fed019-1.0~testing1) testing; urgency=medium

  * Clean up includes in networkjobs

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 20 Apr 2023 19:48:37 +0800

nextcloud-desktop (3.8.50-20230420.114141.a386d8f00-1.0~testing1) testing; urgency=medium

  * Do not use magic string for propfind prop element tag name

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 20 Apr 2023 19:41:41 +0800

nextcloud-desktop (3.8.50-20230420.114121.9324fe0d7-1.0~testing1) testing; urgency=medium

  * Use constexpr in networkjobs notModifiedStatusCode

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 20 Apr 2023 19:41:21 +0800

nextcloud-desktop (3.8.50-20230420.073546.43bcecdeb-1.0~testing1) testing; urgency=medium

  * Simplify Propfind XML parsing using QDomDocument instead of complex QXmlStreamReader-based parsing

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 20 Apr 2023 15:35:46 +0800

nextcloud-desktop (3.8.50-20230419.153449.06b3dc9cc-1.0~testing1) testing; urgency=medium

  * Modernise PropfindJob with new for and const auto

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 19 Apr 2023 23:34:49 +0800

nextcloud-desktop (3.8.50-20230412.041133.e2bd9e69e-1.0~testing1) testing; urgency=medium

  * Fix layout of tags with differing sizes and oversized tags

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 12 Apr 2023 12:11:33 +0800

nextcloud-desktop (3.8.50-20230412.033701.65e7f6da9-1.0~testing1) testing; urgency=medium

  * Simplify file tag model updating in filedetails, only require folder pointer

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 12 Apr 2023 11:37:01 +0800

nextcloud-desktop (3.8.50-20230411.173035.cb8cab6f4-1.0~testing1) testing; urgency=medium

  * Display filetags in file details window

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 12 Apr 2023 01:30:35 +0800

nextcloud-desktop (3.8.50-20230411.172941.a3fc467cf-1.0~testing1) testing; urgency=medium

  * Simplify FileTag component

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 12 Apr 2023 01:29:41 +0800

nextcloud-desktop (3.8.50-20230411.163609.791eb87af-1.0~testing1) testing; urgency=medium

  * Instantiate FileTagModel in FileDetails

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 12 Apr 2023 00:36:09 +0800

nextcloud-desktop (3.8.50-20230411.154359.c6d29e7d7-1.0~testing1) testing; urgency=medium

  * Add ability to limit maximum amount of tags displayed

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 11 Apr 2023 23:43:59 +0800

nextcloud-desktop (3.8.50-20230411.153439.213e3743e-1.0~testing1) testing; urgency=medium

  * Expose account and serverRelativePath of FileTagModel as QPROPERTYs

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 11 Apr 2023 23:34:39 +0800

nextcloud-desktop (3.8.50-20230411.152633.49b5fb32f-1.0~testing1) testing; urgency=medium

  * Implement FileTagModel QAbstractListModel methods

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 11 Apr 2023 23:26:33 +0800

nextcloud-desktop (3.8.50-20230411.152117.9cc241bf9-1.0~testing1) testing; urgency=medium

  * Add capability for FileTagModel to fetch tags

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 11 Apr 2023 23:21:17 +0800

nextcloud-desktop (3.8.50-20230411.094156.84c839249-1.0~testing1) testing; urgency=medium

  * Get account and relativeserverpath in constructor for FileTagModel

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 11 Apr 2023 17:41:56 +0800

nextcloud-desktop (3.8.50-20230410.112731.f763bd00f-1.0~testing1) testing; urgency=medium

  * Add a FileTagModel

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 10 Apr 2023 19:27:31 +0800

nextcloud-desktop (3.8.50-20230410.111511.0bdab1ee5-1.0~testing1) testing; urgency=medium

  * Add FileTag QML component

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 10 Apr 2023 19:15:11 +0800

nextcloud-desktop (3.8.50-20230516.101224.2d27e4a0c-1.0~testing1) testing; urgency=medium

  * Merge pull request #5687 from nextcloud/bugfix/notifications

 -- Camila <hello@camila.codes>  Tue, 16 May 2023 07:12:24 -0300

nextcloud-desktop (3.8.50-20230512.144623.d6db8fcbd-1.0~testing1) testing; urgency=medium

  * Add a dismiss link for notifications without it.

 -- Camila <hello@camila.codes>  Fri, 12 May 2023 16:46:23 +0200

nextcloud-desktop (3.8.50-20230515.140237.6d6f9a8e9-1.0~testing1) testing; urgency=medium

  * Merge pull request #5680 from nextcloud/bugfix/putmultifilejob-crash-mac

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 15 May 2023 22:02:37 +0800

nextcloud-desktop (3.8.50-20230515.120530.49bb5a005-1.0~testing1) testing; urgency=medium

  * Modernise BandwidthManager::absoluteLimitTimerExpired

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 15 May 2023 20:05:30 +0800

nextcloud-desktop (3.8.50-20230515.120419.23890b7d4-1.0~testing1) testing; urgency=medium

  * Use modern for loop in BandwidthManager::relativeDownloadDelayTimerExpired

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 15 May 2023 20:04:19 +0800

nextcloud-desktop (3.8.50-20230515.120318.dbdce4579-1.0~testing1) testing; urgency=medium

  * Bring improvements of new cpp to BandwidthManager::relativeDownloadMeasuringTimerExpired

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 15 May 2023 20:03:18 +0800

nextcloud-desktop (3.8.50-20230515.120028.350fa7247-1.0~testing1) testing; urgency=medium

  * Modernise and improve readability of BandwidthManager::relativeUploadDelayTimerExpired

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 15 May 2023 20:00:28 +0800

nextcloud-desktop (3.8.50-20230515.115441.c8e78673c-1.0~testing1) testing; urgency=medium

  * Modernise BandwidthManager::relativeUploadMeasuringTimerExpired with const auto, readability, etc

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 15 May 2023 19:54:41 +0800

nextcloud-desktop (3.8.50-20230515.113027.a547f55f2-1.0~testing1) testing; urgency=medium

  * Fix deadlock when using putmultifilejob with rate limits enabled

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 15 May 2023 19:30:27 +0800

nextcloud-desktop (3.8.50-20230515.074358.f28a1a368-1.0~testing1) testing; urgency=medium

  * Modernise BandwidthManager::switchingTimerExpired

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 15 May 2023 15:43:58 +0800

nextcloud-desktop (3.8.50-20230511.133106.7d763fa6b-1.0~testing1) testing; urgency=medium

  * Log if PutMultiFileJob oneDevice has error

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 11 May 2023 21:31:06 +0800

nextcloud-desktop (3.8.50-20230511.132706.651615ce9-1.0~testing1) testing; urgency=medium

  * Do not close putmultifilejob devices if not open, log when they are not open

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 11 May 2023 21:27:06 +0800

nextcloud-desktop (3.8.50-20230511.125854.35b05fca8-1.0~testing1) testing; urgency=medium

  * Increase logging around emission of putmultifilejobs

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 11 May 2023 20:58:54 +0800

nextcloud-desktop (3.8.50-20230511.121339.811a4036c-1.0~testing1) testing; urgency=medium

  * Don't bother creating a unique ptr for computeChecksum as we never use the guarded ptr

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 11 May 2023 20:13:39 +0800

nextcloud-desktop (3.8.50-20230511.121107.afddc1bca-1.0~testing1) testing; urgency=medium

  * Improve general readability of bulkpropagatorjob.cpp

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 11 May 2023 20:11:07 +0800

nextcloud-desktop (3.8.50-20230511.120214.98b8fde2f-1.0~testing1) testing; urgency=medium

  * Remove unnecessary double declaration of namespace in bulkpropagatorjob

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 11 May 2023 20:02:14 +0800

nextcloud-desktop (3.8.50-20230511.115728.4375a24f0-1.0~testing1) testing; urgency=medium

  * Clean up and const autofy BulkPropagatorJob::scheduleSelfOrChild

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 11 May 2023 19:57:28 +0800

nextcloud-desktop (3.8.50-20230511.114755.37cf71a9a-1.0~testing1) testing; urgency=medium

  * Don't bother creating a unique ptr for PutMultiFileJob as we never use the guarded ptr

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 11 May 2023 19:47:55 +0800

nextcloud-desktop (3.8.50-20230511.030957.311dcf29c-1.0~testing1) testing; urgency=medium

  * Clean up putmultifilejob class definition

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 11 May 2023 11:09:57 +0800

nextcloud-desktop (3.8.50-20230515.043303.ec4d5a69e-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Mon, 15 May 2023 04:33:03 +0000

nextcloud-desktop (3.8.50-20230514.043131.ade138cb1-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sun, 14 May 2023 04:31:31 +0000

nextcloud-desktop (3.8.50-20230513.043213.57215a3bd-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sat, 13 May 2023 04:32:13 +0000

nextcloud-desktop (3.8.50-20230512.090525.c4d12115a-1.0~testing1) testing; urgency=medium

  * Merge pull request #5527 from nextcloud/feature/file-provider-try-2

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 12 May 2023 17:05:25 +0800

nextcloud-desktop (3.8.50-20230512.075156.23855a128-1.0~testing1) testing; urgency=medium

  * Do not exclude file provider config entries from compile on non-macOS platforms

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 12 May 2023 15:51:56 +0800

nextcloud-desktop (3.8.50-20230512.051429.b7d982687-1.0~testing1) testing; urgency=medium

  * Build macOS shell extensions with debug configuration in xcodebuild when CMAKE build type set to debug

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 12 May 2023 13:14:29 +0800

nextcloud-desktop (3.8.50-20230512.040919.246347f88-1.0~testing1) testing; urgency=medium

  * Do not initialise file provider module if not enabled in config

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 12 May 2023 12:09:19 +0800

nextcloud-desktop (3.8.50-20230512.040405.ab070fc7c-1.0~testing1) testing; urgency=medium

  * Add config entry for file provider module enabling

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 12 May 2023 12:04:05 +0800

nextcloud-desktop (3.8.50-20230406.090359.ace8dbc83-1.0~testing1) testing; urgency=medium

  * Add support for thumbnails in FileProviderExtension

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 6 Apr 2023 17:03:59 +0800

nextcloud-desktop (3.8.50-20230404.131257.7d47e2371-1.0~testing1) testing; urgency=medium

  * Add convenience method to get thumbnailUrl in NextcloudItemMetadataTable

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 4 Apr 2023 21:12:57 +0800

nextcloud-desktop (3.8.50-20230404.083730.486c1a255-1.0~testing1) testing; urgency=medium

  * Split local file related metadata management into own extension in NextcloudFilesDatabaseManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 4 Apr 2023 16:37:30 +0800

nextcloud-desktop (3.8.50-20230404.082417.4cb1e08d8-1.0~testing1) testing; urgency=medium

  * Split directory item metadata handling in database to new NextcloudFilesDatabaseManager extension

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 4 Apr 2023 16:24:17 +0800

nextcloud-desktop (3.8.50-20230404.075629.2b55b43e7-1.0~testing1) testing; urgency=medium

  * Correctly report child item count for folders in FileProviderItem

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 4 Apr 2023 15:56:29 +0800

nextcloud-desktop (3.8.50-20230404.075220.16a28a7cc-1.0~testing1) testing; urgency=medium

  * Add convenience method for NextcloudFilesDatabaseManager to get child items of a directory

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 4 Apr 2023 15:52:20 +0800

nextcloud-desktop (3.8.50-20230404.074933.0c7863070-1.0~testing1) testing; urgency=medium

  * Fix query of childDirectoriesForDirectory in NextcloudFilesDatabaseManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 4 Apr 2023 15:49:33 +0800

nextcloud-desktop (3.8.50-20230403.102238.6797e12f6-1.0~testing1) testing; urgency=medium

  * Properly report modification date for FileProviderItem

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 3 Apr 2023 18:22:38 +0800

nextcloud-desktop (3.8.50-20230322.132957.3d6acb537-1.0~testing1) testing; urgency=medium

  * Use consistent if defined in application.cpp

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 22 Mar 2023 14:29:57 +0100

nextcloud-desktop (3.8.50-20230322.132515.2c3fa7140-1.0~testing1) testing; urgency=medium

  * Rename FileProviderDomainManager::Private to FileProviderDomainManager::MacImplementation

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 22 Mar 2023 14:25:15 +0100

nextcloud-desktop (3.8.50-20230321.152921.e245ec0d2-1.0~testing1) testing; urgency=medium

  * Set interpolated log strings in FileProvider logs to public

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 21 Mar 2023 16:29:21 +0100

nextcloud-desktop (3.8.50-20230321.122848.7e1ebed8c-1.0~testing1) testing; urgency=medium

  * Split client interfacing code into FileProviderExtension extension

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 21 Mar 2023 13:28:48 +0100

nextcloud-desktop (3.8.50-20230321.122151.ebf96e3e8-1.0~testing1) testing; urgency=medium

  * Make NKError extension code more Swift-like, clean up

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 21 Mar 2023 13:21:51 +0100

nextcloud-desktop (3.8.50-20230320.170441.f37e7cc3b-1.0~testing1) testing; urgency=medium

  * Remove readdFileProviderDomain hack in FileProviderDomainManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 20 Mar 2023 18:04:41 +0100

nextcloud-desktop (3.8.50-20230320.151539.0f578fabd-1.0~testing1) testing; urgency=medium

  * Use specific signalEnumerator method in FileProviderExtension item renaming instead of reinventing wheel

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 20 Mar 2023 16:15:39 +0100

nextcloud-desktop (3.8.50-20230320.151459.a7344ba3f-1.0~testing1) testing; urgency=medium

  * Fix unused/unmodified variable definition warnings in FileProviderEnumerator

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 20 Mar 2023 16:14:59 +0100

nextcloud-desktop (3.8.50-20230320.151435.67daae262-1.0~testing1) testing; urgency=medium

  * Ensure we return deleted metadata directory copy rather than live fire realm object in recursive delete of NextcloudFilesDatabaseManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 20 Mar 2023 16:14:35 +0100

nextcloud-desktop (3.8.50-20230320.140229.766ecf410-1.0~testing1) testing; urgency=medium

  * Parallelise conversion of NKFiles to NextcloudItemMetadataTables

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 20 Mar 2023 15:02:29 +0100

nextcloud-desktop (3.8.50-20230320.135641.7550ed7a1-1.0~testing1) testing; urgency=medium

  * Properly handle metadata delete after item deletion in FileProviderExtension

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 20 Mar 2023 14:56:41 +0100

nextcloud-desktop (3.8.50-20230320.135154.c088f0eb8-1.0~testing1) testing; urgency=medium

  * Fix recursive metadata delete in NextcloudFilesDatabaseManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 20 Mar 2023 14:51:54 +0100

nextcloud-desktop (3.8.50-20230320.132914.2853b8825-1.0~testing1) testing; urgency=medium

  * Move NKFile to metadata conversion methods to a new extension for NextcloudItemMetadataTable, where they are better placed

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 20 Mar 2023 14:29:14 +0100

nextcloud-desktop (3.8.50-20230320.121624.616959486-1.0~testing1) testing; urgency=medium

  * Prevent multi-thread modification of the same array with serial array modification dispatch queue when enumerating items in FileProviderEnumerator

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 20 Mar 2023 13:16:24 +0100

nextcloud-desktop (3.8.50-20230318.223625.9c1a035e3-1.0~testing1) testing; urgency=medium

  * Reintegrate sync engine into FileProviderEnumerator class

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 18 Mar 2023 23:36:25 +0100

nextcloud-desktop (3.8.50-20230318.223510.bd50f753f-1.0~testing1) testing; urgency=medium

  * Simplify initial item enumeration, no need to fetch from database in FileProviderEnumerator

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 18 Mar 2023 23:35:10 +0100

nextcloud-desktop (3.8.50-20230318.203512.fe7ca12d9-1.0~testing1) testing; urgency=medium

  * Perform slow metadata to FileProviderItem conversion concurrently in FileProviderEnumerator

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 18 Mar 2023 21:35:12 +0100

nextcloud-desktop (3.8.50-20230318.203302.808f976ae-1.0~testing1) testing; urgency=medium

  * Fix children serverurl rename in file provider nc files database

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 18 Mar 2023 21:33:02 +0100

nextcloud-desktop (3.8.50-20230318.203226.384093cbc-1.0~testing1) testing; urgency=medium

  * Remove redundant double read of serverUrl when often we always want to do a depth 1 read in NextcloudSyncEngine

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 18 Mar 2023 21:32:26 +0100

nextcloud-desktop (3.8.50-20230318.191136.27a177ab3-1.0~testing1) testing; urgency=medium

  * Make sure to include new metadatas in folders to scan for changes in recursive scan of NextcloudSyncEngine

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 18 Mar 2023 20:11:36 +0100

nextcloud-desktop (3.8.50-20230318.190735.34a43fea6-1.0~testing1) testing; urgency=medium

  * Make sure to notify when folder moved in FileProviderExtension

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 18 Mar 2023 20:07:35 +0100

nextcloud-desktop (3.8.50-20230318.190153.9fadc89ff-1.0~testing1) testing; urgency=medium

  * Fix unsetting of etags on directories (and only) directories on update

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 18 Mar 2023 20:01:53 +0100

nextcloud-desktop (3.8.50-20230318.190129.02e1d6a47-1.0~testing1) testing; urgency=medium

  * Fix recursive directory metadata renaming order

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 18 Mar 2023 20:01:29 +0100

nextcloud-desktop (3.8.50-20230318.180110.9cc05457c-1.0~testing1) testing; urgency=medium

  * Do not do specific enumeration of items working set in FileProviderEnumerator

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 18 Mar 2023 19:01:10 +0100

nextcloud-desktop (3.8.50-20230318.180025.289f7f2c9-1.0~testing1) testing; urgency=medium

  * Ensure we do not set etag if we have set updateDirectoryEtags to false in NextcloudFilesDatabaseManager updateItemMetadatas

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 18 Mar 2023 19:00:25 +0100

nextcloud-desktop (3.8.50-20230318.170419.35570a316-1.0~testing1) testing; urgency=medium

  * Move remote sync functionality out of enumerator and into separate NextcloudSyncEngine class

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 18 Mar 2023 18:04:19 +0100

nextcloud-desktop (3.8.50-20230318.154430.1524fc01f-1.0~testing1) testing; urgency=medium

  * Progressively enumerate items as we get them for working set

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 18 Mar 2023 16:44:30 +0100

nextcloud-desktop (3.8.50-20230318.153559.5154a57ac-1.0~testing1) testing; urgency=medium

  * Move conversion from NSData to NSFileProviderPage to separate func

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 18 Mar 2023 16:35:59 +0100

nextcloud-desktop (3.8.50-20230318.152732.6202f3d70-1.0~testing1) testing; urgency=medium

  * Split metadata parsing to complete enumerator into own function

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 18 Mar 2023 16:27:32 +0100

nextcloud-desktop (3.8.50-20230318.125827.8c729fb2f-1.0~testing1) testing; urgency=medium

  * Simplify enumerateItems of working set by using fullRecursiveScan in FileProviderEnumerator

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 18 Mar 2023 13:58:27 +0100

nextcloud-desktop (3.8.50-20230318.150534.b369b5d51-1.0~testing1) testing; urgency=medium

  * Handle invalidation of enumerator during long recursive scans in FileProviderEnumerator

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 18 Mar 2023 16:05:34 +0100

nextcloud-desktop (3.8.50-20230318.144920.213893b13-1.0~testing1) testing; urgency=medium

  * Fix recursive scan when scanChangesOnly is false in FileProviderEnumerator

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 18 Mar 2023 15:49:20 +0100

nextcloud-desktop (3.8.50-20230318.131024.d0b4b6853-1.0~testing1) testing; urgency=medium

  * Move deleted/updated conflict check to fullRecursiveScan in FileProviderEnumerator+RemoteSync

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 18 Mar 2023 14:10:24 +0100

nextcloud-desktop (3.8.50-20230318.125702.3c2c360a2-1.0~testing1) testing; urgency=medium

  * Properly report and handle critical errors during recursive enumeration in FileProviderEnumerator

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 18 Mar 2023 13:57:02 +0100

nextcloud-desktop (3.8.50-20230318.124131.245129de9-1.0~testing1) testing; urgency=medium

  * Move remote sync stuff in FileProviderEnumerator to own file

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 18 Mar 2023 13:41:31 +0100

nextcloud-desktop (3.8.50-20230318.122437.b2d2f9586-1.0~testing1) testing; urgency=medium

  * Properly report deleted metadatas in recursive directory delete in FileProviderEnumerator

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 18 Mar 2023 13:24:37 +0100

nextcloud-desktop (3.8.50-20230318.122353.a779fe76c-1.0~testing1) testing; urgency=medium

  * Favour straight return in updateItemMetadatas rather than unnecessary completionHandler in NextcloudFilesDatabaseManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 18 Mar 2023 13:23:53 +0100

nextcloud-desktop (3.8.50-20230318.034147.052607950-1.0~testing1) testing; urgency=medium

  * Fix renaming directories remotely fixing local sync state in file provider

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 18 Mar 2023 04:41:47 +0100

nextcloud-desktop (3.8.50-20230318.013502.29b495335-1.0~testing1) testing; urgency=medium

  * Do not update etags for child folders acquired in a depth 1 readServerUrl in FileProviderEnumerator

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 18 Mar 2023 02:35:02 +0100

nextcloud-desktop (3.8.50-20230318.004305.872186248-1.0~testing1) testing; urgency=medium

  * Remove redundant directory metadata tables in File Provider

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 18 Mar 2023 01:43:05 +0100

nextcloud-desktop (3.8.50-20230317.223821.2e70c8266-1.0~testing1) testing; urgency=medium

  * Prevent premature running of completion handler when modifying folder in FileProviderExtension

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 17 Mar 2023 23:38:21 +0100

nextcloud-desktop (3.8.50-20230317.222759.3538ce942-1.0~testing1) testing; urgency=medium

  * Change fullRecursiveScan function to enable more than just look for changes, also do proper full scan

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 17 Mar 2023 23:27:59 +0100

nextcloud-desktop (3.8.50-20230317.193722.97d2b354d-1.0~testing1) testing; urgency=medium

  * Ensure we are not marking items as both updated and deleted in FileProviderEnumerator

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 17 Mar 2023 20:37:22 +0100

nextcloud-desktop (3.8.50-20230317.150417.2c64e4b6b-1.0~testing1) testing; urgency=medium

  * Ensure xcodebuild uses the Info.plist file verbatim

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 17 Mar 2023 16:04:17 +0100

nextcloud-desktop (3.8.50-20230317.141827.0bdbc956b-1.0~testing1) testing; urgency=medium

  * Fix FileProviderExt bundle identifier

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 17 Mar 2023 15:18:27 +0100

nextcloud-desktop (3.8.50-20230317.120143.9bcc017fb-1.0~testing1) testing; urgency=medium

  * Only set CODE_SIGN_INJECT_BASE_ENTITLEMENTS=NO in FileProviderExt for release configuration.

 -- Ivan Sein <ivan@nextcloud.com>  Fri, 17 Mar 2023 13:01:43 +0100

nextcloud-desktop (3.8.50-20230317.101902.ecd55ae37-1.0~testing1) testing; urgency=medium

  * Set CODE_SIGN_INJECT_BASE_ENTITLEMENTS=NO in FileProviderExt.

 -- Ivan Sein <ivan@nextcloud.com>  Fri, 17 Mar 2023 11:19:02 +0100

nextcloud-desktop (3.8.50-20230316.214857.a859107ec-1.0~testing1) testing; urgency=medium

  * Disable automatically manage signing in FileProviderExt target.

 -- Ivan Sein <ivan@nextcloud.com>  Thu, 16 Mar 2023 22:48:57 +0100

nextcloud-desktop (3.8.50-20230316.151858.169b1a765-1.0~testing1) testing; urgency=medium

  * Use Nextcloud team id.

 -- Ivan Sein <ivan@nextcloud.com>  Thu, 16 Mar 2023 16:18:58 +0100

nextcloud-desktop (3.8.50-20230315.165656.9fff10fd5-1.0~testing1) testing; urgency=medium

  * Do not use QSharedPointer to store FileProviderSocketControllers, use QPointer

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 15 Mar 2023 17:56:56 +0100

nextcloud-desktop (3.8.50-20230315.162131.d3c3181c0-1.0~testing1) testing; urgency=medium

  * Ensure we are logging error description itself and not NKError wrapper or any Error type

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 15 Mar 2023 17:21:31 +0100

nextcloud-desktop (3.8.50-20230315.162110.4f1f4388a-1.0~testing1) testing; urgency=medium

  * Rewrite modifyItem to make it non-blocking on the main thread in FileProviderExtension

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 15 Mar 2023 17:21:10 +0100

nextcloud-desktop (3.8.50-20230315.153218.a85d93450-1.0~testing1) testing; urgency=medium

  * Make CMake BUILD_FILE_PROVIDER_MODULE option only available on Apple

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 15 Mar 2023 16:32:18 +0100

nextcloud-desktop (3.8.50-20230315.152525.4327b152f-1.0~testing1) testing; urgency=medium

  * Move accountStateFromFileProviderDomainIdentifier to FileProviderDomainManager where we have methods to guarantee conversion

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 15 Mar 2023 16:25:25 +0100

nextcloud-desktop (3.8.50-20230315.151815.95c6e7a3f-1.0~testing1) testing; urgency=medium

  * Add informative messages after Q_ASSERTs for sockets in FileProviderSocketController for release mode

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 15 Mar 2023 16:18:15 +0100

nextcloud-desktop (3.8.50-20230315.150503.3254595fa-1.0~testing1) testing; urgency=medium

  * Do not emit socketDestroyed twice in FileProviderSocketController

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 15 Mar 2023 16:05:03 +0100

nextcloud-desktop (3.8.50-20230315.150441.6e84aa67a-1.0~testing1) testing; urgency=medium

  * Clean up header for FileProviderSocketController

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 15 Mar 2023 16:04:41 +0100

nextcloud-desktop (3.8.50-20230315.150412.578e8ea2d-1.0~testing1) testing; urgency=medium

  * Clean up FileProviderSocketServer header, remove unnecessary ifdefs

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 15 Mar 2023 16:04:12 +0100

nextcloud-desktop (3.8.50-20230315.145410.22fc43e7b-1.0~testing1) testing; urgency=medium

  * Improve initialisation of C++ FileProvider class

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 15 Mar 2023 15:54:10 +0100

nextcloud-desktop (3.8.50-20230315.133753.ccad81949-1.0~testing1) testing; urgency=medium

  * Make enumeration of working set changes non-blocking in FileProviderEnumerator

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 15 Mar 2023 14:37:53 +0100

nextcloud-desktop (3.8.50-20230315.132411.60005d89b-1.0~testing1) testing; urgency=medium

  * Ensure we are editing realm database on main thread in FileProviderEnumerator

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 15 Mar 2023 14:24:11 +0100

nextcloud-desktop (3.8.50-20230315.130319.52fe107ec-1.0~testing1) testing; urgency=medium

  * Fix blocking main thread when enumerating working set items in FileProviderEnumerator

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 15 Mar 2023 14:03:19 +0100

nextcloud-desktop (3.8.50-20230315.122428.073db8182-1.0~testing1) testing; urgency=medium

  * Log errors in fetching local temporary file provider path

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 15 Mar 2023 13:24:28 +0100

nextcloud-desktop (3.8.50-20230315.115902.762aee8e4-1.0~testing1) testing; urgency=medium

  * Simplify temp local file creation while fetching contents, use File Provider volume

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 15 Mar 2023 12:59:02 +0100

nextcloud-desktop (3.8.50-20230315.114708.8661841c4-1.0~testing1) testing; urgency=medium

  * Remove unnecessary local file operations in FileProviderExt

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 15 Mar 2023 12:47:08 +0100

nextcloud-desktop (3.8.50-20230315.113714.221848f23-1.0~testing1) testing; urgency=medium

  * Properly set cancellation, pausing, and resuming handlers on FileProviderExtension task progress

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 15 Mar 2023 12:37:14 +0100

nextcloud-desktop (3.8.50-20230315.113648.607d72615-1.0~testing1) testing; urgency=medium

  * Add ability to set handlers from AlamoFire request on Progress extension

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 15 Mar 2023 12:36:48 +0100

nextcloud-desktop (3.8.50-20230315.111038.d4d5c8f8d-1.0~testing1) testing; urgency=medium

  * Removed unused tracking of outstanding session and ocID related tasks

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 15 Mar 2023 12:10:38 +0100

nextcloud-desktop (3.8.50-20230315.110933.a7616502a-1.0~testing1) testing; urgency=medium

  * Do not copy pause, cancel, and resuming handlers in Progress extension copyCurrentStateToProgress by default

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 15 Mar 2023 12:09:33 +0100

nextcloud-desktop (3.8.50-20230315.102714.5e8d7217a-1.0~testing1) testing; urgency=medium

  * Warn when retrieved size of file upload is different to the expected size in FileProviderExtension

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 15 Mar 2023 11:27:14 +0100

nextcloud-desktop (3.8.50-20230315.101930.b8224212c-1.0~testing1) testing; urgency=medium

  * Ensure item upload/download states are properly set and reset in FileProviderExtension

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 15 Mar 2023 11:19:30 +0100

nextcloud-desktop (3.8.50-20230315.100419.23e623ef0-1.0~testing1) testing; urgency=medium

  * Make it possible to disable building file provider module

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 15 Mar 2023 11:04:19 +0100

nextcloud-desktop (3.8.50-20230315.094740.dbd4de08a-1.0~testing1) testing; urgency=medium

  * Add availability guards around private implementation class of FileProviderDomainManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 15 Mar 2023 10:47:40 +0100

nextcloud-desktop (3.8.50-20230315.092916.d533d2a02-1.0~testing1) testing; urgency=medium

  * Do not try to compile code in FileProviderDomainManager requiring FileProvider components on macOS > 11.0

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 15 Mar 2023 10:29:16 +0100

nextcloud-desktop (3.8.50-20230315.092610.6e5c2ee04-1.0~testing1) testing; urgency=medium

  * Do not initialise file provider components if system does not support file provider

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 15 Mar 2023 10:26:10 +0100

nextcloud-desktop (3.8.50-20230315.085847.19dfbd053-1.0~testing1) testing; urgency=medium

  * Add method to detect if File Provider functionality is available or not

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 15 Mar 2023 09:58:47 +0100

nextcloud-desktop (3.8.50-20230315.085537.f16f89118-1.0~testing1) testing; urgency=medium

  * Set deployment target for FileProviderExt to macOS 11.0

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 15 Mar 2023 09:55:37 +0100

nextcloud-desktop (3.8.50-20230314.222714.4e536dcd6-1.0~testing1) testing; urgency=medium

  * Ensure upload errors for modified files are recorded in FileProviderExtension

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 14 Mar 2023 23:27:14 +0100

nextcloud-desktop (3.8.50-20230314.222108.f4be264ee-1.0~testing1) testing; urgency=medium

  * Ensure existing metadatas being uploaded are set to uploading status in FileProviderExtension

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 14 Mar 2023 23:21:08 +0100

nextcloud-desktop (3.8.50-20230314.221502.9083f982d-1.0~testing1) testing; urgency=medium

  * Use completion handler to retrieve updated metadata after status change, fixing race condition in FileProviderDatabaseManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 14 Mar 2023 23:15:02 +0100

nextcloud-desktop (3.8.50-20230314.210550.7967ced04-1.0~testing1) testing; urgency=medium

  * Properly handle logging interpolation in NextcloudFilesDatabaseManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 14 Mar 2023 22:05:50 +0100

nextcloud-desktop (3.8.50-20230314.203620.c88fb7fb3-1.0~testing1) testing; urgency=medium

  * Do not hide interpolated log strings in FileProviderSocketLineProcessor

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 14 Mar 2023 21:36:20 +0100

nextcloud-desktop (3.8.50-20230314.203408.5ae193632-1.0~testing1) testing; urgency=medium

  * Handle different interpolated string types differently in FileProviderExtension logging

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 14 Mar 2023 21:34:08 +0100

nextcloud-desktop (3.8.50-20230314.202652.89164d99e-1.0~testing1) testing; urgency=medium

  * Make privacy level of interpolated strings in FileProviderEnumerator logging more granular

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 14 Mar 2023 21:26:52 +0100

nextcloud-desktop (3.8.50-20230314.201409.3082850e6-1.0~testing1) testing; urgency=medium

  * Ensure errors are always publicly displayed in unified logging of File Provider

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 14 Mar 2023 21:14:09 +0100

nextcloud-desktop (3.8.50-20230314.200753.545fe6d56-1.0~testing1) testing; urgency=medium

  * Finish replacing NSLog with use of Logger in LocalFilesUtils

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 14 Mar 2023 21:07:53 +0100

nextcloud-desktop (3.8.50-20230314.200736.810c7d0b1-1.0~testing1) testing; urgency=medium

  * Also use logger in FileProviderSocketLineProcessor

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 14 Mar 2023 21:07:36 +0100

nextcloud-desktop (3.8.50-20230314.200716.854b11e47-1.0~testing1) testing; urgency=medium

  * Use Logger materialisedFileHandling for logging in FileProviderMaterialisedEnumerationObserver

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 14 Mar 2023 21:07:16 +0100

nextcloud-desktop (3.8.50-20230314.200404.5c72c6a2e-1.0~testing1) testing; urgency=medium

  * Replace NSLog in FileProviderExtension with use of Logger

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 14 Mar 2023 21:04:04 +0100

nextcloud-desktop (3.8.50-20230314.200349.75f18b8bd-1.0~testing1) testing; urgency=medium

  * Use enumeration category and logger for FileProviderEnumerator

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 14 Mar 2023 21:03:49 +0100

nextcloud-desktop (3.8.50-20230314.200330.b16bf2494-1.0~testing1) testing; urgency=medium

  * Improve logging in files database manager with use of Logger

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 14 Mar 2023 21:03:30 +0100

nextcloud-desktop (3.8.50-20230314.200225.0f6ceef06-1.0~testing1) testing; urgency=medium

  * Add a logger extensions to use system unified logging in File Provider components

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 14 Mar 2023 21:02:25 +0100

nextcloud-desktop (3.8.50-20230314.182349.8994f31cb-1.0~testing1) testing; urgency=medium

  * Remove unnecessary full reimport after initial account configuration in FileProviderExtension

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 14 Mar 2023 19:23:49 +0100

nextcloud-desktop (3.8.50-20230314.180134.7863ba859-1.0~testing1) testing; urgency=medium

  * Improve error handling in fetchContents if path is not available FileProviderExtension

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 14 Mar 2023 19:01:34 +0100

nextcloud-desktop (3.8.50-20230314.150620.68044891f-1.0~testing1) testing; urgency=medium

  * Properly respond to errors in working set enumerateItems in FileProviderEnumerator

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 14 Mar 2023 16:06:20 +0100

nextcloud-desktop (3.8.50-20230314.150253.287c98f7f-1.0~testing1) testing; urgency=medium

  * Add directoryMetadataLogString convenience method for logging in NextcloudFilesDatabaseManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 14 Mar 2023 16:02:53 +0100

nextcloud-desktop (3.8.50-20230314.150134.134e373f1-1.0~testing1) testing; urgency=medium

  * Do not delete "no longer existing files" when doing enumeration of items in FileProviderEnumerator

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 14 Mar 2023 16:01:34 +0100

nextcloud-desktop (3.8.50-20230314.134034.b532b9693-1.0~testing1) testing; urgency=medium

  * Add helper itemMetadataLogString static func for logging in NextcloudFilesDatabaseManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 14 Mar 2023 14:40:34 +0100

nextcloud-desktop (3.8.50-20230314.132228.2ca2609e0-1.0~testing1) testing; urgency=medium

  * Properly write item metadata status update to database in NextcloudFilesDatabaseManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 14 Mar 2023 14:22:28 +0100

nextcloud-desktop (3.8.50-20230313.170234.017de893f-1.0~testing1) testing; urgency=medium

  * Run poll timer for enumerator signalling to notify accounts without push notifications in FileProviderDomainManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 13 Mar 2023 18:02:34 +0100

nextcloud-desktop (3.8.50-20230313.165855.bb2718824-1.0~testing1) testing; urgency=medium

  * Use new convenience method to check if push notifications ready for account in FileProviderDomainManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 13 Mar 2023 17:58:55 +0100

nextcloud-desktop (3.8.50-20230313.164852.4901b0653-1.0~testing1) testing; urgency=medium

  * Add convenience method to retrieve registered domain ids in private FileProviderDomainManager class

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 13 Mar 2023 17:48:52 +0100

nextcloud-desktop (3.8.50-20230313.164830.9dfa3d76a-1.0~testing1) testing; urgency=medium

  * Add some additional converters for domain and account identifiers in FileProviderDomainManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 13 Mar 2023 17:48:30 +0100

nextcloud-desktop (3.8.50-20230313.162457.fd87bffee-1.0~testing1) testing; urgency=medium

  * Signal enumerator after reconnecting file provider domain

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 13 Mar 2023 17:24:57 +0100

nextcloud-desktop (3.8.50-20230313.154718.89d48ec8c-1.0~testing1) testing; urgency=medium

  * Submit tasks to do after readding file provider domain as completion blocks

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 13 Mar 2023 16:47:18 +0100

nextcloud-desktop (3.8.50-20230313.154652.002a75bca-1.0~testing1) testing; urgency=medium

  * Add completion handler to readdFileProviderDomain method in fileproviderdomainmanager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 13 Mar 2023 16:46:52 +0100

nextcloud-desktop (3.8.50-20230313.152912.810fa8d1c-1.0~testing1) testing; urgency=medium

  * Handle situations where we might not get a manager for our desired domain in fileproviderdomainmanager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 13 Mar 2023 16:29:12 +0100

nextcloud-desktop (3.8.50-20230313.152849.520e0cf2c-1.0~testing1) testing; urgency=medium

  * Add readdFileProviderDomain convenience method to fileproviderdomainmanager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 13 Mar 2023 16:28:49 +0100

nextcloud-desktop (3.8.50-20230313.152818.29f346d49-1.0~testing1) testing; urgency=medium

  * Ensure that wipeAllFileProviderDomains doesn't break on macOS 11

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 13 Mar 2023 16:28:18 +0100

nextcloud-desktop (3.8.50-20230313.152248.d31a8be85-1.0~testing1) testing; urgency=medium

  * Ensure registered domains are added and removed at appropriate times in fileproviderdomainmanager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 13 Mar 2023 16:22:48 +0100

nextcloud-desktop (3.8.50-20230313.141726.412fd0887-1.0~testing1) testing; urgency=medium

  * Provide file provider errors in FileProviderExtension methods

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 13 Mar 2023 15:17:26 +0100

nextcloud-desktop (3.8.50-20230313.140943.b9b408d60-1.0~testing1) testing; urgency=medium

  * Fix general error handling in FileProviderEnumerator

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 13 Mar 2023 15:09:43 +0100

nextcloud-desktop (3.8.50-20230313.140328.3873ad126-1.0~testing1) testing; urgency=medium

  * Use NKError extension properties instead of magic numbers in FileProviderEnumerator

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 13 Mar 2023 15:03:28 +0100

nextcloud-desktop (3.8.50-20230313.135946.1ee6d1a1c-1.0~testing1) testing; urgency=medium

  * Improve handling of no changes return in readFileOrFolder throughout FileProviderEnumerator

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 13 Mar 2023 14:59:46 +0100

nextcloud-desktop (3.8.50-20230313.135050.6ffbb5abf-1.0~testing1) testing; urgency=medium

  * Properly handle stopping when finding matching etags in readServerUrl of FileProviderEnumerator

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 13 Mar 2023 14:50:50 +0100

nextcloud-desktop (3.8.50-20230313.133821.d639baeea-1.0~testing1) testing; urgency=medium

  * Add no changes error code in NKError extension

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 13 Mar 2023 14:38:21 +0100

nextcloud-desktop (3.8.50-20230313.133547.a0c819fdb-1.0~testing1) testing; urgency=medium

  * Make NKError extension conversion more legible

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 13 Mar 2023 14:35:47 +0100

nextcloud-desktop (3.8.50-20230313.132717.109258f3c-1.0~testing1) testing; urgency=medium

  * Use NKError extension method in FileProviderEnumerator enumerate methods

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 13 Mar 2023 14:27:17 +0100

nextcloud-desktop (3.8.50-20230313.131803.fdaf0d5aa-1.0~testing1) testing; urgency=medium

  * Add NKError extension to make conversion to FileProviderError easier

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 13 Mar 2023 14:18:03 +0100

nextcloud-desktop (3.8.50-20230313.131532.6ef4f8a4f-1.0~testing1) testing; urgency=medium

  * Implement better error handling in enumerator changes

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 13 Mar 2023 14:15:32 +0100

nextcloud-desktop (3.8.50-20230313.124331.d1008df42-1.0~testing1) testing; urgency=medium

  * Respond to materializedItemsDidChange in FileProviderExtension

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 13 Mar 2023 13:43:31 +0100

nextcloud-desktop (3.8.50-20230313.123924.20363bd24-1.0~testing1) testing; urgency=medium

  * Add completion handler to materialised observer

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 13 Mar 2023 13:39:24 +0100

nextcloud-desktop (3.8.50-20230313.122808.61890ddd7-1.0~testing1) testing; urgency=medium

  * Added FileProviderMaterialisedEnumerationObserver to handle clean up operations after materialisation changes

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 13 Mar 2023 13:28:08 +0100

nextcloud-desktop (3.8.50-20230313.114327.52f5b6a52-1.0~testing1) testing; urgency=medium

  * Split up the huge NextcloudFilesDatabaseTables file into separate files for each table schema

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 13 Mar 2023 12:43:27 +0100

nextcloud-desktop (3.8.50-20230313.113854.32e5dbad4-1.0~testing1) testing; urgency=medium

  * Rename misleading FileProviderFilesUtils to LocalFilesUtils

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 13 Mar 2023 12:38:54 +0100

nextcloud-desktop (3.8.50-20230313.113759.c24ed9b7a-1.0~testing1) testing; urgency=medium

  * Remove isFileSynced function which does not work as intended

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 13 Mar 2023 12:37:59 +0100

nextcloud-desktop (3.8.50-20230313.113405.1d1578447-1.0~testing1) testing; urgency=medium

  * Move parentItemIdentifierMetadata helper method to the database manager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 13 Mar 2023 12:34:05 +0100

nextcloud-desktop (3.8.50-20230313.113027.3ec9968fc-1.0~testing1) testing; urgency=medium

  * Move file provider database files into own folder

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 13 Mar 2023 12:30:27 +0100

nextcloud-desktop (3.8.50-20230311.152646.ed4b40b41-1.0~testing1) testing; urgency=medium

  * Disconnect and reconnect file provider domains depending on account state

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 11 Mar 2023 16:26:46 +0100

nextcloud-desktop (3.8.50-20230311.152628.178caaa7a-1.0~testing1) testing; urgency=medium

  * Allow specifying disconnection of file provider domain message

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 11 Mar 2023 16:26:28 +0100

nextcloud-desktop (3.8.50-20230311.145546.287a4e4c0-1.0~testing1) testing; urgency=medium

  * Unauthenticate the file provider extension when account is logged out

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 11 Mar 2023 15:55:46 +0100

nextcloud-desktop (3.8.50-20230311.144056.6d1fe0b4f-1.0~testing1) testing; urgency=medium

  * Do not send account details to File Provider extension through socket controller if account not ready

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 11 Mar 2023 15:40:56 +0100

nextcloud-desktop (3.8.50-20230311.134611.d6126f477-1.0~testing1) testing; urgency=medium

  * Make file provider domain disconnection reason string translatable

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 11 Mar 2023 14:46:11 +0100

nextcloud-desktop (3.8.50-20230311.133648.7a18d9df3-1.0~testing1) testing; urgency=medium

  * Disconnect the file provider domains when Nextcloud client is closed

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 11 Mar 2023 14:36:48 +0100

nextcloud-desktop (3.8.50-20230311.130620.bc3fecfb0-1.0~testing1) testing; urgency=medium

  * Use asserts to check validity of pointers in private impl of fileproviderdomainmanager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 11 Mar 2023 14:06:20 +0100

nextcloud-desktop (3.8.50-20230311.130551.30b453f85-1.0~testing1) testing; urgency=medium

  * Use specific functions for creating/converting domain identifiers and account Ids, prevent mismatches

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 11 Mar 2023 14:05:51 +0100

nextcloud-desktop (3.8.50-20230311.125138.712dde0a2-1.0~testing1) testing; urgency=medium

  * Prevent removal of FileProvider domains on app shutdown

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 11 Mar 2023 13:51:38 +0100

nextcloud-desktop (3.8.50-20230311.125112.57f174d9e-1.0~testing1) testing; urgency=medium

  * Ensure we wait for check for existing file provider domains to finish before rushing into creation of new domains in FileProviderDomainManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 11 Mar 2023 13:51:12 +0100

nextcloud-desktop (3.8.50-20230311.123416.ddd564bc5-1.0~testing1) testing; urgency=medium

  * Ensure file provider domain pointers are correctly retained and released in fileproviderdomainmanager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 11 Mar 2023 13:34:16 +0100

nextcloud-desktop (3.8.50-20230311.114337.dcf39aa9d-1.0~testing1) testing; urgency=medium

  * Ensure FileProvider gets set up after accountmanager has set up accounts

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 11 Mar 2023 12:43:37 +0100

nextcloud-desktop (3.8.50-20230311.114124.85b9e7df0-1.0~testing1) testing; urgency=medium

  * Modernise Obj-C property notation in fileproviderdomainmanager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 11 Mar 2023 12:41:24 +0100

nextcloud-desktop (3.8.50-20230311.113512.c593bd8a5-1.0~testing1) testing; urgency=medium

  * Fix variable related warnings in FileProvider

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 11 Mar 2023 12:35:12 +0100

nextcloud-desktop (3.8.50-20230311.024120.c4d3c4ba8-1.0~testing1) testing; urgency=medium

  * Improve reliability of modifyItem in FileProviderExtension

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 11 Mar 2023 03:41:20 +0100

nextcloud-desktop (3.8.50-20230311.013054.882e58aa6-1.0~testing1) testing; urgency=medium

  * Don't compare un-persisted properties of NextcloudItemMetadataTable in isInSameRemoteState, fixing constant updating of metadatas

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 11 Mar 2023 02:30:54 +0100

nextcloud-desktop (3.8.50-20230311.005620.d528adf34-1.0~testing1) testing; urgency=medium

  * Sprinkle constness over C++ and Obj-C pointers

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 11 Mar 2023 01:56:20 +0100

nextcloud-desktop (3.8.50-20230311.004425.1cc0cf712-1.0~testing1) testing; urgency=medium

  * Fix compatibility with latest NextloudKit version TypeClassFile in NKCommon

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 11 Mar 2023 01:44:25 +0100

nextcloud-desktop (3.8.50-20230311.003008.9b4ba22c4-1.0~testing1) testing; urgency=medium

  * Use const auto in FileProviderDomainManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 11 Mar 2023 01:30:08 +0100

nextcloud-desktop (3.8.50-20230311.002611.81fb05298-1.0~testing1) testing; urgency=medium

  * Be efficient in working set enumeration by only enumerating for new items or changes folders that have been explored already

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 11 Mar 2023 01:26:11 +0100

nextcloud-desktop (3.8.50-20230311.002505.b2d76abf8-1.0~testing1) testing; urgency=medium

  * Use push notifications to notify file provider of changes

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 11 Mar 2023 01:25:05 +0100

nextcloud-desktop (3.8.50-20230311.002313.0a258f818-1.0~testing1) testing; urgency=medium

  * Use consistent account ID type in fileproviderdomainmanager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 11 Mar 2023 01:23:13 +0100

nextcloud-desktop (3.8.50-20230310.233147.79d89c21c-1.0~testing1) testing; urgency=medium

  * Ensure no metadatas get deleted when updating metadata for scanned directory in FileProviderEnumerator

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 11 Mar 2023 00:31:47 +0100

nextcloud-desktop (3.8.50-20230310.233052.331ce22e6-1.0~testing1) testing; urgency=medium

  * Scan for existing file provider domains on FileProviderDomainManager init

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 11 Mar 2023 00:30:52 +0100

nextcloud-desktop (3.8.50-20230310.230025.4e9d51e48-1.0~testing1) testing; urgency=medium

  * Add method to private FileProviderDomainManager to signal enumerator

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 11 Mar 2023 00:00:25 +0100

nextcloud-desktop (3.8.50-20230310.225920.f7f6bffb0-1.0~testing1) testing; urgency=medium

  * Stop wiping file provider domains on desktop client close/open

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 10 Mar 2023 23:59:20 +0100

nextcloud-desktop (3.8.50-20230310.225820.2ebd518b8-1.0~testing1) testing; urgency=medium

  * Use std::unique_ptr for private implementation class of FileProviderDomainManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 10 Mar 2023 23:58:20 +0100

nextcloud-desktop (3.8.50-20230310.225300.6bfdc10f7-1.0~testing1) testing; urgency=medium

  * Use default constructor for private FileProviderDomainManager implementation class

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 10 Mar 2023 23:53:00 +0100

nextcloud-desktop (3.8.50-20230310.212528.d3f209486-1.0~testing1) testing; urgency=medium

  * Remove workarounds no longer needed for Realm thread crashing

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 10 Mar 2023 22:25:28 +0100

nextcloud-desktop (3.8.50-20230310.211105.17fea8845-1.0~testing1) testing; urgency=medium

  * Replace full depth scanning of changes on every enumerate changes request with smarter recursive algorithm

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 10 Mar 2023 22:11:05 +0100

nextcloud-desktop (3.8.50-20230310.210919.1a48e4e06-1.0~testing1) testing; urgency=medium

  * Fix root cause of threading issues with metadata updates

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 10 Mar 2023 22:09:19 +0100

nextcloud-desktop (3.8.50-20230310.175114.7c8aab38d-1.0~testing1) testing; urgency=medium

  * Fix erroneous deletion of metadata when updating serverUrl subject directory

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 10 Mar 2023 18:51:14 +0100

nextcloud-desktop (3.8.50-20230310.173700.2ac3a2252-1.0~testing1) testing; urgency=medium

  * Further improve/cleanup/simplify file provider extension init

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 10 Mar 2023 18:37:00 +0100

nextcloud-desktop (3.8.50-20230310.173625.3e269a958-1.0~testing1) testing; urgency=medium

  * Fix crash on thread clash with Realm when enumerating changes

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 10 Mar 2023 18:36:25 +0100

nextcloud-desktop (3.8.50-20230310.173601.147e06c40-1.0~testing1) testing; urgency=medium

  * Fix return of updated and deleted metadatas in database manager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 10 Mar 2023 18:36:01 +0100

nextcloud-desktop (3.8.50-20230310.170139.f427750f2-1.0~testing1) testing; urgency=medium

  * Ensure metadata handled in FileProviderItem is copy, preventing crashing due to accessing live table from different thread

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 10 Mar 2023 18:01:39 +0100

nextcloud-desktop (3.8.50-20230310.123444.24d6c5071-1.0~testing1) testing; urgency=medium

  * Create sortedDirectoryMetadatas convenience method in database manager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 10 Mar 2023 13:34:44 +0100

nextcloud-desktop (3.8.50-20230310.123223.64e32b48e-1.0~testing1) testing; urgency=medium

  * Add convenience method to get child directories from database manager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 10 Mar 2023 13:32:23 +0100

nextcloud-desktop (3.8.50-20230310.024230.65ab13c0f-1.0~testing1) testing; urgency=medium

  * Ensure we don't saturate the server with propfind requests

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 10 Mar 2023 03:42:30 +0100

nextcloud-desktop (3.8.50-20230310.022101.390403ef5-1.0~testing1) testing; urgency=medium

  * Properly report pagination for working set enumeration

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 10 Mar 2023 03:21:01 +0100

nextcloud-desktop (3.8.50-20230310.010924.b52b82134-1.0~testing1) testing; urgency=medium

  * Enumerate all known folders as workingSet enumeration

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 10 Mar 2023 02:09:24 +0100

nextcloud-desktop (3.8.50-20230310.001623.7302c953d-1.0~testing1) testing; urgency=medium

  * Rewrite working set handling to make it match the server remote, per Apple recommendation

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 10 Mar 2023 01:16:23 +0100

nextcloud-desktop (3.8.50-20230310.001553.32e81a693-1.0~testing1) testing; urgency=medium

  * Add method to get all item metadatas in database manager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 10 Mar 2023 01:15:53 +0100

nextcloud-desktop (3.8.50-20230310.000618.24b328f57-1.0~testing1) testing; urgency=medium

  * Add method to get all directory metadatas in database manager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 10 Mar 2023 01:06:18 +0100

nextcloud-desktop (3.8.50-20230309.180035.b73c1d72f-1.0~testing1) testing; urgency=medium

  * Better handle initial set up of the file provider extension

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 9 Mar 2023 19:00:35 +0100

nextcloud-desktop (3.8.50-20230309.155131.03c1731fb-1.0~testing1) testing; urgency=medium

  * Handle 404 errors from readFileOrFolder as special deletion case in FileProviderEnumerator

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 9 Mar 2023 16:51:31 +0100

nextcloud-desktop (3.8.50-20230309.154727.25a09e170-1.0~testing1) testing; urgency=medium

  * Use ocIds for directory metadata deletion, prevent deletion if no such directory found in NextcloudFilesDatabaseManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 9 Mar 2023 16:47:27 +0100

nextcloud-desktop (3.8.50-20230309.154528.65ed3ad84-1.0~testing1) testing; urgency=medium

  * Use ocIds for item metadata deletion in NextcloudFilesDatabaseManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 9 Mar 2023 16:45:28 +0100

nextcloud-desktop (3.8.50-20230309.144538.2b92e9b54-1.0~testing1) testing; urgency=medium

  * Improve handling of nil values in CompleteChangesObserver

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 9 Mar 2023 15:45:38 +0100

nextcloud-desktop (3.8.50-20230309.135113.47d50af14-1.0~testing1) testing; urgency=medium

  * Enumerate changed in the working set

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 9 Mar 2023 14:51:13 +0100

nextcloud-desktop (3.8.50-20230309.122757.1ffdc5f1c-1.0~testing1) testing; urgency=medium

  * Refactor change enumeration completion into separate static function

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 9 Mar 2023 13:27:57 +0100

nextcloud-desktop (3.8.50-20230309.121632.e2943ab04-1.0~testing1) testing; urgency=medium

  * Delete new updated items that are now E2EE

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 9 Mar 2023 13:16:32 +0100

nextcloud-desktop (3.8.50-20230309.121403.2cf4033f9-1.0~testing1) testing; urgency=medium

  * Enumerate changes for normal serverUrls in FileProviderEnumerator

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 9 Mar 2023 13:14:03 +0100

nextcloud-desktop (3.8.50-20230309.115418.53649c293-1.0~testing1) testing; urgency=medium

  * Rename completeObserver to completeEnumerationObserver

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 9 Mar 2023 12:54:18 +0100

nextcloud-desktop (3.8.50-20230309.010939.60dbf167b-1.0~testing1) testing; urgency=medium

  * Fix the serverUrl used to fetch database item metadatas on enumerateItems

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 9 Mar 2023 02:09:39 +0100

nextcloud-desktop (3.8.50-20230309.002938.773431641-1.0~testing1) testing; urgency=medium

  * Fix accidental purge of all metadatas caused by trying to call updateDirectoryMetadatasFromItemMetadatas when reading the root container

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 9 Mar 2023 01:29:38 +0100

nextcloud-desktop (3.8.50-20230309.001900.d478320dd-1.0~testing1) testing; urgency=medium

  * Refactor readFileOrFolder to be more adaptible to enumerating items or changes

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 9 Mar 2023 01:19:00 +0100

nextcloud-desktop (3.8.50-20230308.222745.61dd51ae0-1.0~testing1) testing; urgency=medium

  * Properly delete directory and all children when updating folder metadatas in database manager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 8 Mar 2023 23:27:45 +0100

nextcloud-desktop (3.8.50-20230308.165743.e7e850094-1.0~testing1) testing; urgency=medium

  * Also report all new, updated, and deleted metadatas from updateItemMetadatas in NextcloudFilesDatabaseManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 8 Mar 2023 17:57:43 +0100

nextcloud-desktop (3.8.50-20230308.165159.a10b563eb-1.0~testing1) testing; urgency=medium

  * Report new item metadatas and updated item metadatas in processItemMetadatasToUpdate in NextcloudFilesDatabaseManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 8 Mar 2023 17:51:59 +0100

nextcloud-desktop (3.8.50-20230308.164355.fc376b5fe-1.0~testing1) testing; urgency=medium

  * Report deletedItemMetadatas in processItemMetadatasToDelete in NextcloudFilesDatabaseManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 8 Mar 2023 17:43:55 +0100

nextcloud-desktop (3.8.50-20230307.232123.76311cc66-1.0~testing1) testing; urgency=medium

  * Properly handle readFileOrFolder of file vs folder

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 8 Mar 2023 00:21:23 +0100

nextcloud-desktop (3.8.50-20230307.223050.cc72cc361-1.0~testing1) testing; urgency=medium

  * Keep track of additional details about enumerating item in the FileProviderEnumerator

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 7 Mar 2023 23:30:50 +0100

nextcloud-desktop (3.8.50-20230307.214052.d22b8e0eb-1.0~testing1) testing; urgency=medium

  * Enumerate materialised items when system requests working set

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 7 Mar 2023 22:40:52 +0100

nextcloud-desktop (3.8.50-20230307.210646.3316d19b9-1.0~testing1) testing; urgency=medium

  * Add convenience method to get local file metadatas for an account in NextcloudItemMetadataTable form in NextcloudFilesDatabaseManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 7 Mar 2023 22:06:46 +0100

nextcloud-desktop (3.8.50-20230307.204808.a18c6dc25-1.0~testing1) testing; urgency=medium

  * Add convenience method to get all local file metadatas for an account in NextcloudFilesDatabaseManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 7 Mar 2023 21:48:08 +0100

nextcloud-desktop (3.8.50-20230307.191910.17f52982b-1.0~testing1) testing; urgency=medium

  * Properly report progress for download and upload operations in FileProviderExtension

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 7 Mar 2023 20:19:10 +0100

nextcloud-desktop (3.8.50-20230307.191823.628ff92de-1.0~testing1) testing; urgency=medium

  * Add a Progress extension with convenience methods for copying progress data from one progress object to another

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 7 Mar 2023 20:18:23 +0100

nextcloud-desktop (3.8.50-20230307.125918.53d2fc0c1-1.0~testing1) testing; urgency=medium

  * Prevent creation of symbolic link items in FileProviderExtension

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 7 Mar 2023 13:59:18 +0100

nextcloud-desktop (3.8.50-20230307.124701.ca298eff8-1.0~testing1) testing; urgency=medium

  * Handle version item requests in fetchContents of FileProviderExtension per the documentation

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 7 Mar 2023 13:47:01 +0100

nextcloud-desktop (3.8.50-20230307.004017.54587e8c0-1.0~testing1) testing; urgency=medium

  * Clarify current use of sync anchor in FileProviderEnumerator

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 7 Mar 2023 01:40:17 +0100

nextcloud-desktop (3.8.50-20230307.001509.06b59b675-1.0~testing1) testing; urgency=medium

  * Correctly fulfill delete item requests on server

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 7 Mar 2023 01:15:09 +0100

nextcloud-desktop (3.8.50-20230306.181134.3e0a9e991-1.0~testing1) testing; urgency=medium

  * Support reparenting file provider items correctly

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 6 Mar 2023 19:11:34 +0100

nextcloud-desktop (3.8.50-20230306.171846.a146b65f7-1.0~testing1) testing; urgency=medium

  * Properly handle several modify item fields at once in FileProviderExtension

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 6 Mar 2023 18:18:46 +0100

nextcloud-desktop (3.8.50-20230306.155836.020c5d510-1.0~testing1) testing; urgency=medium

  * Only try upload of modified item in FileProviderExtension if that had its contents changed and we have a valid content url

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 6 Mar 2023 16:58:36 +0100

nextcloud-desktop (3.8.50-20230306.151849.0f2fbf751-1.0~testing1) testing; urgency=medium

  * Handle renaming of both files and folders correctly in FileProviderExtension

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 6 Mar 2023 16:18:49 +0100

nextcloud-desktop (3.8.50-20230306.145258.c7660b50d-1.0~testing1) testing; urgency=medium

  * Add convenience method to rename file item metadatas in database

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 6 Mar 2023 15:52:58 +0100

nextcloud-desktop (3.8.50-20230227.220436.5f2452727-1.0~testing1) testing; urgency=medium

  * Properly handle renaming folders in FileProviderExtension modifyItem

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 27 Feb 2023 23:04:36 +0100

nextcloud-desktop (3.8.50-20230227.220350.c3f79eecc-1.0~testing1) testing; urgency=medium

  * Add methods to rename directory metadata and propagate modifications to all children in NextcloudFilesDatabaseManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 27 Feb 2023 23:03:50 +0100

nextcloud-desktop (3.8.50-20230227.172412.47d98a44a-1.0~testing1) testing; urgency=medium

  * Add methods to delete metadata types in NextcloudFilesDatabaseManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 27 Feb 2023 18:24:12 +0100

nextcloud-desktop (3.8.50-20230227.163135.c6cc87a4b-1.0~testing1) testing; urgency=medium

  * Extension can now upload modifications to items on the server

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 27 Feb 2023 17:31:35 +0100

nextcloud-desktop (3.8.50-20230221.135910.992ef7b62-1.0~testing1) testing; urgency=medium

  * Add ability for extension to create items correctly on the server

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 21 Feb 2023 14:59:10 +0100

nextcloud-desktop (3.8.50-20230220.124228.7d2c21c77-1.0~testing1) testing; urgency=medium

  * Don't unnecessarily fetch item metadata when fetching contents

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 20 Feb 2023 13:42:28 +0100

nextcloud-desktop (3.8.50-20230220.123710.81dd5966f-1.0~testing1) testing; urgency=medium

  * Unprivate direcotryMetadataFromItemMetadata in database manager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 20 Feb 2023 13:37:10 +0100

nextcloud-desktop (3.8.50-20230220.123627.dc2e14d57-1.0~testing1) testing; urgency=medium

  * Add convenience method to add directory metadata to database

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 20 Feb 2023 13:36:27 +0100

nextcloud-desktop (3.8.50-20230216.193841.91ad815a6-1.0~testing1) testing; urgency=medium

  * Add working file content fetching

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 16 Feb 2023 20:38:41 +0100

nextcloud-desktop (3.8.50-20230216.144344.b70e9d11b-1.0~testing1) testing; urgency=medium

  * Add convenience method to add local file metadata from item metadata to database

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 16 Feb 2023 15:43:44 +0100

nextcloud-desktop (3.8.50-20230216.134416.293512560-1.0~testing1) testing; urgency=medium

  * Add convenience method to add item metadata status

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 16 Feb 2023 14:44:16 +0100

nextcloud-desktop (3.8.50-20230214.124808.90d5c8f54-1.0~testing1) testing; urgency=medium

  * Add convenience method to update item metadata status

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 14 Feb 2023 13:48:08 +0100

nextcloud-desktop (3.8.50-20230214.120907.3342fb77c-1.0~testing1) testing; urgency=medium

  * Add convenience properties to NextcloudItemMetadataTable

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 14 Feb 2023 13:09:07 +0100

nextcloud-desktop (3.8.50-20230202.191335.230b55d7e-1.0~testing1) testing; urgency=medium

  * Stop using NextcloudKit.shared and NKCommon.shared, use specific NextcloudKit instance instead to prevent clashing between different FileProvider domains

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 2 Feb 2023 20:13:35 +0100

nextcloud-desktop (3.8.50-20230202.191239.f0524d44e-1.0~testing1) testing; urgency=medium

  * Switch to NCKit work/unsharedify-nckit branch

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 2 Feb 2023 20:12:39 +0100

nextcloud-desktop (3.8.50-20230202.191203.98afd95e5-1.0~testing1) testing; urgency=medium

  * Fix Realm crashes when trying to delete certain objects

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 2 Feb 2023 20:12:03 +0100

nextcloud-desktop (3.8.50-20230202.131846.6a258c0c3-1.0~testing1) testing; urgency=medium

  * Properly handle errors when trying to read server url in FileProviderEnumerator

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 2 Feb 2023 14:18:46 +0100

nextcloud-desktop (3.8.50-20230202.121148.2f12d9b2b-1.0~testing1) testing; urgency=medium

  * Remove setting connection status from fileproviderdomainmanager, this will be handled by the domain

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 2 Feb 2023 13:11:48 +0100

nextcloud-desktop (3.8.50-20230201.183508.3be08bb15-1.0~testing1) testing; urgency=medium

  * Fix scanning of child directories in FileProviderEnumerator

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 1 Feb 2023 19:35:08 +0100

nextcloud-desktop (3.8.50-20230201.172423.476d6a245-1.0~testing1) testing; urgency=medium

  * Don't unnecessarily fail to get serverUrl for enumerated item in FileProviderEnumerator when this can be acquired straight from the itemMetadata

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 1 Feb 2023 18:24:23 +0100

nextcloud-desktop (3.8.50-20230201.172044.c4580183e-1.0~testing1) testing; urgency=medium

  * Only reimport entire file provider domain if there have been no recorded files when ncAccount is configured

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 1 Feb 2023 18:20:44 +0100

nextcloud-desktop (3.8.50-20230201.171646.9c18d36f4-1.0~testing1) testing; urgency=medium

  * Add convenience method to check if any file metadatas have been stored for account in NextcloudFilesDatabaseManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 1 Feb 2023 18:16:46 +0100

nextcloud-desktop (3.8.50-20230201.171433.74222daa2-1.0~testing1) testing; urgency=medium

  * Don't unnecessarily fail to provide parentItemIdentifier in NextcloudFileProviderFilesUtils when we can get the root container straight from the item metadata in question

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 1 Feb 2023 18:14:33 +0100

nextcloud-desktop (3.8.50-20230201.162135.b15474057-1.0~testing1) testing; urgency=medium

  * Add ability for FileProviderDomainManager to wipe domains

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 1 Feb 2023 17:21:35 +0100

nextcloud-desktop (3.8.50-20230130.193310.5c0110900-1.0~testing1) testing; urgency=medium

  * Switch to develop branch of NextcloudKit

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 30 Jan 2023 20:33:10 +0100

nextcloud-desktop (3.8.50-20230130.193235.06f2714a9-1.0~testing1) testing; urgency=medium

  * Improve and fix enumerator signalling after initial account setup in FileProviderExtension

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 30 Jan 2023 20:32:35 +0100

nextcloud-desktop (3.8.50-20230130.192958.ff25f940e-1.0~testing1) testing; urgency=medium

  * Fix URL path composition for utility methods in NextcloudFileProviderFilesUtils

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 30 Jan 2023 20:29:58 +0100

nextcloud-desktop (3.8.50-20230130.192915.ceb9aa3b6-1.0~testing1) testing; urgency=medium

  * Fix try/catch indentation in NextcloudFileDatabaseManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 30 Jan 2023 20:29:15 +0100

nextcloud-desktop (3.8.50-20230130.192737.7cb49393f-1.0~testing1) testing; urgency=medium

  * Fix NextcloudItemMetadataTable status query type

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 30 Jan 2023 20:27:37 +0100

nextcloud-desktop (3.8.50-20230130.192525.38d1b95bd-1.0~testing1) testing; urgency=medium

  * Fix the webDavUrl for NextcloudAccount

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 30 Jan 2023 20:25:25 +0100

nextcloud-desktop (3.8.50-20230128.160713.2f5d0e6fe-1.0~testing1) testing; urgency=medium

  * Set up NextcloudKit account in FileProviderExtension

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sat, 28 Jan 2023 17:07:13 +0100

nextcloud-desktop (3.8.50-20230127.014434.325878b69-1.0~testing1) testing; urgency=medium

  * Improve logging in FileProviderEnumerator

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 27 Jan 2023 02:44:34 +0100

nextcloud-desktop (3.8.50-20230127.012627.67de82913-1.0~testing1) testing; urgency=medium

  * Keep track of requested enumerators when account is being configured, notify them as changed once account is set up

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 27 Jan 2023 02:26:27 +0100

nextcloud-desktop (3.8.50-20230127.005432.ba86824c7-1.0~testing1) testing; urgency=medium

  * Improve FileProvider logging

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 27 Jan 2023 01:54:32 +0100

nextcloud-desktop (3.8.50-20230127.004949.31732c2fb-1.0~testing1) testing; urgency=medium

  * Added missing network entitlement to FileProviderExt

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 27 Jan 2023 01:49:49 +0100

nextcloud-desktop (3.8.50-20230126.223600.a046eca3c-1.0~testing1) testing; urgency=medium

  * Use safer separator for account details socket message

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 26 Jan 2023 23:36:00 +0100

nextcloud-desktop (3.8.50-20230126.221043.f01b6a545-1.0~testing1) testing; urgency=medium

  * Fix path handling for file provider database setup

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 26 Jan 2023 23:10:43 +0100

nextcloud-desktop (3.8.50-20230126.220816.e7e985f35-1.0~testing1) testing; urgency=medium

  * Correctly register object schemas in Realm database

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 26 Jan 2023 23:08:16 +0100

nextcloud-desktop (3.8.50-20230126.220131.1cb7da9ba-1.0~testing1) testing; urgency=medium

  * Send account details over socket and simplify NextcloudAccount members, turn all to Strings

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 26 Jan 2023 23:01:31 +0100

nextcloud-desktop (3.8.50-20230126.195123.81b5c3357-1.0~testing1) testing; urgency=medium

  * Complete item method of FileProviderExtension

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 26 Jan 2023 20:51:23 +0100

nextcloud-desktop (3.8.50-20230126.195040.d801bfc8f-1.0~testing1) testing; urgency=medium

  * Complete basic barebones enumeration

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 26 Jan 2023 20:50:40 +0100

nextcloud-desktop (3.8.50-20230126.195010.5f0a4883f-1.0~testing1) testing; urgency=medium

  * Use NSLog instead of print in FileProvider

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 26 Jan 2023 20:50:10 +0100

nextcloud-desktop (3.8.50-20230126.194858.176303dcf-1.0~testing1) testing; urgency=medium

  * Use more modern Realm @Persisted

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 26 Jan 2023 20:48:58 +0100

nextcloud-desktop (3.8.50-20230126.180924.d0ac36faa-1.0~testing1) testing; urgency=medium

  * Make record updating methods safer by checking for existing metadatas internally

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 26 Jan 2023 19:09:24 +0100

nextcloud-desktop (3.8.50-20230126.175452.57d585201-1.0~testing1) testing; urgency=medium

  * Add method to get directory tables from database in manager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 26 Jan 2023 18:54:52 +0100

nextcloud-desktop (3.8.50-20230126.174734.7ff2379e3-1.0~testing1) testing; urgency=medium

  * Make sure to create copies of Realm objects to prevent issues with live-fire objects

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 26 Jan 2023 18:47:34 +0100

nextcloud-desktop (3.8.50-20230126.173501.496b94a9a-1.0~testing1) testing; urgency=medium

  * Add comparison helper to NextcloudDirectoryMetadataTable

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 26 Jan 2023 18:35:01 +0100

nextcloud-desktop (3.8.50-20230126.173307.c4014e8b6-1.0~testing1) testing; urgency=medium

  * Add parent directory server url data to directory table

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 26 Jan 2023 18:33:07 +0100

nextcloud-desktop (3.8.50-20230126.170919.d9e368cbe-1.0~testing1) testing; urgency=medium

  * Refactor updateDirectoryMetadatas in the database manager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 26 Jan 2023 18:09:19 +0100

nextcloud-desktop (3.8.50-20230126.150746.3354f3e4d-1.0~testing1) testing; urgency=medium

  * Add updateDirectoryMetadatasFromItemMetadatas to NextcloudFilesDatabaseManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 26 Jan 2023 16:07:46 +0100

nextcloud-desktop (3.8.50-20230125.192046.316ef61d8-1.0~testing1) testing; urgency=medium

  * Split off update and creation process of updateItemMetadatas of NextcloudFilesDatabaseManager to private method

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 25 Jan 2023 20:20:46 +0100

nextcloud-desktop (3.8.50-20230125.191851.4d2da1037-1.0~testing1) testing; urgency=medium

  * Split off deletion process of updateItemMetadatas of NextcloudFilesDatabaseManager to private method

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 25 Jan 2023 20:18:51 +0100

nextcloud-desktop (3.8.50-20230125.191513.39f4b7a8e-1.0~testing1) testing; urgency=medium

  * Add updateItemMetadatas method to NextcloudFilesDatabaseManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 25 Jan 2023 20:15:13 +0100

nextcloud-desktop (3.8.50-20230125.184714.e929940b4-1.0~testing1) testing; urgency=medium

  * Add convenience isInSameRemoteState method for NextcloudItemMetadataTable

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 25 Jan 2023 19:47:14 +0100

nextcloud-desktop (3.8.50-20230123.162500.f2970e2da-1.0~testing1) testing; urgency=medium

  * Add itemMetadatas method to NextcloudFilesDatabaseManager with status as parameter

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 23 Jan 2023 17:25:00 +0100

nextcloud-desktop (3.8.50-20230113.135340.06a5e4df8-1.0~testing1) testing; urgency=medium

  * Add NKFile to NextcloudItemMetadataTable converter methods to NextcloudFilesDatabaseManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 13 Jan 2023 14:53:40 +0100

nextcloud-desktop (3.8.50-20230113.131739.55f533dc3-1.0~testing1) testing; urgency=medium

  * Add clarifying comments to NextcloudFilesDatabaseTables

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 13 Jan 2023 14:17:39 +0100

nextcloud-desktop (3.8.50-20230113.131704.f466fd665-1.0~testing1) testing; urgency=medium

  * Add itemMetadatas method to NextcloudFilesDatabaseManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 13 Jan 2023 14:17:04 +0100

nextcloud-desktop (3.8.50-20230113.005950.df53aa249-1.0~testing1) testing; urgency=medium

  * Add directoryMetadata method to NextcloudFilesDatabaseManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 13 Jan 2023 01:59:50 +0100

nextcloud-desktop (3.8.50-20230113.003457.9e2c8f355-1.0~testing1) testing; urgency=medium

  * Add ncKitAccount property to NextcloudAccount

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 13 Jan 2023 01:34:57 +0100

nextcloud-desktop (3.8.50-20230112.205035.2b5425390-1.0~testing1) testing; urgency=medium

  * Add completeObserver method to FileProviderEnumerator

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 12 Jan 2023 21:50:35 +0100

nextcloud-desktop (3.8.50-20230112.204928.7d1b275d5-1.0~testing1) testing; urgency=medium

  * Fill out FileProviderItem

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 12 Jan 2023 21:49:28 +0100

nextcloud-desktop (3.8.50-20230112.203651.0e3d56515-1.0~testing1) testing; urgency=medium

  * Add localFileMetadataFromOcId method to NextcloudFilesDatabaseManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 12 Jan 2023 21:36:51 +0100

nextcloud-desktop (3.8.50-20230112.203421.63bcd0251-1.0~testing1) testing; urgency=medium

  * Add NextcloudLocalFileMetadataTable derived from iOS app

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 12 Jan 2023 21:34:21 +0100

nextcloud-desktop (3.8.50-20230112.201649.f15187c8b-1.0~testing1) testing; urgency=medium

  * Rename NextcloudFileMetadataTable to NextcloudItemMetadataTable to more accurately match functionality

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 12 Jan 2023 21:16:49 +0100

nextcloud-desktop (3.8.50-20230112.193407.9ff66bb94-1.0~testing1) testing; urgency=medium

  * Add isFileSynced helper func to FileProviderFilesUtils

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 12 Jan 2023 20:34:07 +0100

nextcloud-desktop (3.8.50-20230112.193322.5f9f0311d-1.0~testing1) testing; urgency=medium

  * Add transfer status enum to NextcloudFileMetadataTable

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 12 Jan 2023 20:33:22 +0100

nextcloud-desktop (3.8.50-20230112.173438.1a27f3c24-1.0~testing1) testing; urgency=medium

  * Add convenience parentItemIdentifierFromMetadata convenience function to NextcloudFileProviderFilesUtils

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 12 Jan 2023 18:34:38 +0100

nextcloud-desktop (3.8.50-20230112.173337.d7b9d7f21-1.0~testing1) testing; urgency=medium

  * Add convenience createFileOrDirectoryLocally func to NextcloudFileProviderFilesUtils

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 12 Jan 2023 18:33:37 +0100

nextcloud-desktop (3.8.50-20230112.165049.08436a129-1.0~testing1) testing; urgency=medium

  * Added convenience functions to create paths for NC files (and create directories and placeholder files if inexistent)

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 12 Jan 2023 17:50:49 +0100

nextcloud-desktop (3.8.50-20230112.155144.83230baea-1.0~testing1) testing; urgency=medium

  * Use pathForFileProviderExtData in NextcloudFilesDatabaseManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 12 Jan 2023 16:51:44 +0100

nextcloud-desktop (3.8.50-20230112.154729.730c30f32-1.0~testing1) testing; urgency=medium

  * Add pathForFileProviderExtData convenience method to NextcloudFileProviderFilesUtils

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 12 Jan 2023 16:47:29 +0100

nextcloud-desktop (3.8.50-20230112.153857.487b47fbf-1.0~testing1) testing; urgency=medium

  * Use pathForAppGroupContainer func in FileProviderExtension

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 12 Jan 2023 16:38:57 +0100

nextcloud-desktop (3.8.50-20230112.153433.583b91c98-1.0~testing1) testing; urgency=medium

  * Add NextcloudFileProviderFilesUtils for file-related utility funcs

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 12 Jan 2023 16:34:33 +0100

nextcloud-desktop (3.8.50-20230110.202128.4b48f0c42-1.0~testing1) testing; urgency=medium

  * Use server dav files URL in enumerator

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 10 Jan 2023 21:21:28 +0100

nextcloud-desktop (3.8.50-20230110.192526.9f6c2df4e-1.0~testing1) testing; urgency=medium

  * Complete FileProviderEnumerator init, get correct serverUrl for enumerator item identifier

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 10 Jan 2023 20:25:26 +0100

nextcloud-desktop (3.8.50-20230110.192434.fa7e441d8-1.0~testing1) testing; urgency=medium

  * Add directoryMetadataForFile method to NextcloudFilesDatabaseManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 10 Jan 2023 20:24:34 +0100

nextcloud-desktop (3.8.50-20230110.182333.3122dba6f-1.0~testing1) testing; urgency=medium

  * Refactor NextclouDFilesDatabaseManager methods slightly for consision

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 10 Jan 2023 19:23:33 +0100

nextcloud-desktop (3.8.50-20230110.181425.18119b32b-1.0~testing1) testing; urgency=medium

  * Add database table for directory from iOS NC

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 10 Jan 2023 19:14:25 +0100

nextcloud-desktop (3.8.50-20230110.173610.1ffc5949a-1.0~testing1) testing; urgency=medium

  * Add getFileMetadataFromFileProviderItemIdentifier method to NextcloudFilesDatabaseManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 10 Jan 2023 18:36:10 +0100

nextcloud-desktop (3.8.50-20230110.165800.8e90f6691-1.0~testing1) testing; urgency=medium

  * Add getFileMetadataFromOcId method to NextcloudFilesDatabaseManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 10 Jan 2023 17:58:00 +0100

nextcloud-desktop (3.8.50-20230105.195950.5337d5d65-1.0~testing1) testing; urgency=medium

  * Add basic NextcloudFilesDatabaseManager for FileProvider files

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 5 Jan 2023 20:59:50 +0100

nextcloud-desktop (3.8.50-20230105.195912.41fe92ebd-1.0~testing1) testing; urgency=medium

  * Add NextcloudFilesDatabaseTables for FileProvider files database

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 5 Jan 2023 20:59:12 +0100

nextcloud-desktop (3.8.50-20230104.204030.9095df248-1.0~testing1) testing; urgency=medium

  * Make ncAccount in FileProviderExtension an optional, make state of FileProviderDomainAccountData immediately on init

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 4 Jan 2023 21:40:30 +0100

nextcloud-desktop (3.8.50-20230104.201821.a8dfafabd-1.0~testing1) testing; urgency=medium

  * Make localSocketClient of FileProviderExtension a lazy var

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 4 Jan 2023 21:18:21 +0100

nextcloud-desktop (3.8.50-20230104.200948.e319516b8-1.0~testing1) testing; urgency=medium

  * Add URLSession to FileProviderExtension

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 4 Jan 2023 21:09:48 +0100

nextcloud-desktop (3.8.50-20230104.174439.4efb234f6-1.0~testing1) testing; urgency=medium

  * macosx: Add NextcloudKit and Realm dependencies

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 4 Jan 2023 18:44:39 +0100

nextcloud-desktop (3.8.50-20221230.185251.9b54e6414-1.0~testing1) testing; urgency=medium

  * Grab account keychain entry identifier data from socket in FileProviderExt

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 30 Dec 2022 19:52:51 +0100

nextcloud-desktop (3.8.50-20221230.153613.0b3f06a73-1.0~testing1) testing; urgency=medium

  * Add ability for fileprovidersocketcontroller to send keychain account identifier over socket

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 30 Dec 2022 16:36:13 +0100

nextcloud-desktop (3.8.50-20221230.153254.f795666d4-1.0~testing1) testing; urgency=medium

  * Add FileProviderDomainNextcloudAccountData that grabs account info from keychain

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 30 Dec 2022 16:32:54 +0100

nextcloud-desktop (3.8.50-20221228.234644.39850ab14-1.0~testing1) testing; urgency=medium

  * Move FinderSync-specific GET_STRINGS initial call out of LocalSocketClient and into FinderSync

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 29 Dec 2022 00:46:44 +0100

nextcloud-desktop (3.8.50-20221228.232133.cf606f19a-1.0~testing1) testing; urgency=medium

  * Add ability for FileProvider app extension to reply to file provider domain identifier request

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 29 Dec 2022 00:21:33 +0100

nextcloud-desktop (3.8.50-20221228.224440.ad665ff06-1.0~testing1) testing; urgency=medium

  * Add sendMessage method to LocalSocketClient public API

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 28 Dec 2022 23:44:40 +0100

nextcloud-desktop (3.8.50-20221228.221906.8ea09cb9d-1.0~testing1) testing; urgency=medium

  * Clean up public API of LocalSocketClient

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 28 Dec 2022 23:19:06 +0100

nextcloud-desktop (3.8.50-20221228.212830.969ee489e-1.0~testing1) testing; urgency=medium

  * Initialise file provider socket controller by requesting file provder domain data over socket from FileProviderExtension

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 28 Dec 2022 22:28:30 +0100

nextcloud-desktop (3.8.50-20221228.164612.9f2fff378-1.0~testing1) testing; urgency=medium

  * Add sendMessage to fileprovidersocketcontroller

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 28 Dec 2022 17:46:12 +0100

nextcloud-desktop (3.8.50-20221228.141043.28a79d476-1.0~testing1) testing; urgency=medium

  * Handle readyRead signal from socket in FileProviderSocketController

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 28 Dec 2022 15:10:43 +0100

nextcloud-desktop (3.8.50-20221226.231800.ada4b98a9-1.0~testing1) testing; urgency=medium

  * Added working socket connection between desktop client local socket server and app extension socket client

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 27 Dec 2022 00:18:00 +0100

nextcloud-desktop (3.8.50-20221223.172405.f20b11745-1.0~testing1) testing; urgency=medium

  * Modify FinderSyncExt to move components into shared Framework that can be used in FileProviderExt

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 23 Dec 2022 18:24:05 +0100

nextcloud-desktop (3.8.50-20221223.165216.16394d13d-1.0~testing1) testing; urgency=medium

  * Clean up LocalSocketClient code in shell extension

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 23 Dec 2022 17:52:16 +0100

nextcloud-desktop (3.8.50-20221222.150340.a7ec2c325-1.0~testing1) testing; urgency=medium

  * Rename OwnCloudFinderSync Xcode projext to NextcloudIntegration

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 22 Dec 2022 16:03:40 +0100

nextcloud-desktop (3.8.50-20221222.133730.c5560db69-1.0~testing1) testing; urgency=medium

  * Make the socket manager just manage the server, leave the socket controller in charge of controlling the socket

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 22 Dec 2022 14:37:30 +0100

nextcloud-desktop (3.8.50-20221222.123036.ffed4d793-1.0~testing1) testing; urgency=medium

  * Make fileprovidersocketmanager keep track of connected sockets

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 22 Dec 2022 13:30:36 +0100

nextcloud-desktop (3.8.50-20221222.123008.7fc80bc4e-1.0~testing1) testing; urgency=medium

  * Add basic FileProviderSocketController class to control the socket

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 22 Dec 2022 13:30:08 +0100

nextcloud-desktop (3.8.50-20221222.111210.92773e6b7-1.0~testing1) testing; urgency=medium

  * Rename FileProviderSocketController to FileProviderSocketManager, as it manages the sockets

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 22 Dec 2022 12:12:10 +0100

nextcloud-desktop (3.8.50-20221221.185320.de68b1bbb-1.0~testing1) testing; urgency=medium

  * Implement basic local socket server to communicate with file provider extension

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 21 Dec 2022 19:53:20 +0100

nextcloud-desktop (3.8.50-20221213.155336.8ccd0368a-1.0~testing1) testing; urgency=medium

  * Move file provider domain management to specific class

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 13 Dec 2022 16:53:36 +0100

nextcloud-desktop (3.8.50-20221130.161152.8ff2c24e8-1.0~testing1) testing; urgency=medium

  * Ensure file provider class is correctly deallocated and cleanup routines are run

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 30 Nov 2022 17:11:52 +0100

nextcloud-desktop (3.8.50-20221130.152443.2d27d6d07-1.0~testing1) testing; urgency=medium

  * Fix build with BUILD_TESTING activated

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 30 Nov 2022 16:24:43 +0100

nextcloud-desktop (3.8.50-20221130.142542.7d119457d-1.0~testing1) testing; urgency=medium

  * Move file provider components to macOS folder

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 30 Nov 2022 15:25:42 +0100

nextcloud-desktop (2.7.0-20220912.085142.e145c0c45-1.0~testing1) testing; urgency=medium

  * Added a build dependency on libkf5archive-dev

 -- István Váradi <ivaradi@varadiistvan.hu>  Mon, 12 Sep 2022 10:51:42 +0200

nextcloud-desktop (2.7.0-20220807.133353.9e749a572-1.0~testing1) testing; urgency=medium

  * Added install dependency on qml-module-qtquick-dialogs

 -- István Váradi <ivaradi@varadiistvan.hu>  Sun, 7 Aug 2022 15:33:53 +0200

nextcloud-desktop (3.8.50-20220708.124921.ed85334b6-1.0~testing1) testing; urgency=medium

  * Fix faulty quoting in shell integration CMakeLists

 -- Claudio Cambra <claudio.cambra@gmail.com>  Fri, 8 Jul 2022 14:49:21 +0200

nextcloud-desktop (2.7.0-20220522.111356.26b7fc2b8-1.0~testing1) testing; urgency=medium

  * Enable the Quick compiler

 -- István Váradi <ivaradi@varadiistvan.hu>  Sun, 22 May 2022 13:13:56 +0200

nextcloud-desktop (3.8.50-20220513.115017.d10b20865-1.0~testing1) testing; urgency=medium

  * Set connection status for file provider domains

 -- Claudio Cambra <claudio.cambra@gmail.com>  Fri, 13 May 2022 13:50:17 +0200

nextcloud-desktop (3.8.50-20220512.204932.9cb854450-1.0~testing1) testing; urgency=medium

  * Add a file provider domain per account

 -- Claudio Cambra <claudio.cambra@gmail.com>  Thu, 12 May 2022 22:49:32 +0200

nextcloud-desktop (3.8.50-20220511.165214.dcd1628ce-1.0~testing1) testing; urgency=medium

  * Ensure file provider domains appear in finder sidebar

 -- Claudio Cambra <claudio.cambra@gmail.com>  Wed, 11 May 2022 18:52:14 +0200

nextcloud-desktop (2.7.0-20220505.175430.3d5d1b032-1.0~testing1) testing; urgency=medium

  * Make qml-module-qt-labs-platform a dependency

 -- István Váradi <ivaradi@varadiistvan.hu>  Thu, 5 May 2022 19:54:30 +0200

nextcloud-desktop (2.7.0-20220504.173423.f69b0eb94-1.0~testing1) testing; urgency=medium

  * Make qml-module-qtmultimedia a dependency

 -- István Váradi <ivaradi@varadiistvan.hu>  Wed, 4 May 2022 19:34:23 +0200

nextcloud-desktop (2.7.0-20220504.172943.c556276f1-1.0~testing1) testing; urgency=medium

  * Disable automatic updater

 -- István Váradi <ivaradi@varadiistvan.hu>  Wed, 4 May 2022 19:29:43 +0200

nextcloud-desktop (3.8.50-20220329.130059.9a86bb2be-1.0~testing1) testing; urgency=medium

  * Add file provider init code

 -- Claudio Cambra <claudio.cambra@gmail.com>  Tue, 29 Mar 2022 15:00:59 +0200

nextcloud-desktop (3.8.50-20230512.043742.9b77da656-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Fri, 12 May 2023 04:37:42 +0000

nextcloud-desktop (3.8.50-20230511.095207.5cd32ff58-1.0~testing1) testing; urgency=medium

  * Merge pull request #5676 from nextcloud/Valdnet-patch-4

 -- rakekniven <2069590+rakekniven@users.noreply.github.com>  Thu, 11 May 2023 11:52:07 +0200

nextcloud-desktop (3.8.50-20230510.145303.cd69b0d03-1.0~testing1) testing; urgency=medium

  * i18n: Word separation

 -- Valdnet <47037905+Valdnet@users.noreply.github.com>  Wed, 10 May 2023 16:53:03 +0200

nextcloud-desktop (3.8.50-20230510.062817.00a5ef4d9-1.0~testing1) testing; urgency=medium

  * Merge pull request #5643 from nextcloud/update/changelog

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Wed, 10 May 2023 08:28:17 +0200

nextcloud-desktop (3.8.50-20230503.202752.9199e290c-1.0~testing1) testing; urgency=medium

  * Update CHANGELOG.

 -- Camila <hello@camila.codes>  Wed, 3 May 2023 17:27:52 -0300

nextcloud-desktop (3.8.50-20230510.044720.6339a0321-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Wed, 10 May 2023 04:47:20 +0000

nextcloud-desktop (3.8.50-20230509.172725.ff3695ebf-1.0~testing1) testing; urgency=medium

  * Merge pull request #5665 from nextcloud/enh/vfs-option-ui

 -- Camila <hello@camila.codes>  Tue, 9 May 2023 14:27:25 -0300

nextcloud-desktop (3.8.50-20230508.192330.3bdbed629-1.0~testing1) testing; urgency=medium

  * Use addLayout to insert the VFS option when setting account.

 -- Camila San <hello@camila.codes>  Mon, 8 May 2023 21:23:30 +0200

nextcloud-desktop (3.8.50-20230509.131655.127fef7fe-1.0~testing1) testing; urgency=medium

  * Merge pull request #5636 from nextcloud/feature/group-folders-visibility-improved

 -- allexzander <allexzander@users.noreply.github.com>  Tue, 9 May 2023 15:16:55 +0200

nextcloud-desktop (3.8.50-20230421.154844.3be820d9a-1.0~testing1) testing; urgency=medium

  * Group folder visibility improvements. Show dropdown in tray window.

 -- alex-z <blackslayer4@gmail.com>  Fri, 21 Apr 2023 17:48:44 +0200

nextcloud-desktop (3.8.50-20230509.042151.b0a215032-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Tue, 9 May 2023 04:21:51 +0000

nextcloud-desktop (3.8.50-20230508.154024.650b3e138-1.0~testing1) testing; urgency=medium

  * Merge pull request #5640 from nextcloud/bugfix/folder-migration-from-old

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 8 May 2023 23:40:24 +0800

nextcloud-desktop (3.8.50-20230430.151407.0ee850009-1.0~testing1) testing; urgency=medium

  * Correctly migrate accounts that have possible webflow but not correct authtype in settings

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sun, 30 Apr 2023 23:14:07 +0800

nextcloud-desktop (3.8.50-20230430.104119.bab20a3d8-1.0~testing1) testing; urgency=medium

  * Use canonical file paths rather than problematic relative config file paths during folder migration in FolderMan

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sun, 30 Apr 2023 18:41:19 +0800

nextcloud-desktop (3.8.50-20230430.104034.081871d79-1.0~testing1) testing; urgency=medium

  * Set discovered legacy config file path during account migration

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sun, 30 Apr 2023 18:40:34 +0800

nextcloud-desktop (3.8.50-20230430.103055.6cd68b863-1.0~testing1) testing; urgency=medium

  * Make variables in folderman::setupfoldermigration actually match what they are holding

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sun, 30 Apr 2023 18:30:55 +0800

nextcloud-desktop (3.8.50-20230430.102243.be4b8066c-1.0~testing1) testing; urgency=medium

  * Add static discoveredLegacyConfigPath member to configfile

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sun, 30 Apr 2023 18:22:43 +0800

nextcloud-desktop (3.8.50-20230430.102209.e128e321f-1.0~testing1) testing; urgency=medium

  * Remove unused private static members of ConfigFile

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sun, 30 Apr 2023 18:22:09 +0800

nextcloud-desktop (3.8.50-20230430.094946.bdc0ebd52-1.0~testing1) testing; urgency=medium

  * Restore a specific enum from AccountsManager::restore rather than vague boolean

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sun, 30 Apr 2023 17:49:46 +0800

nextcloud-desktop (3.8.50-20230426.122743.e56403997-1.0~testing1) testing; urgency=medium

  * Clean up pointer declaration and use in FolderMan::unescapeAlias

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 26 Apr 2023 20:27:43 +0800

nextcloud-desktop (3.8.50-20230426.081549.7f4608411-1.0~testing1) testing; urgency=medium

  * Modernise FolderMan::setupFoldersHelper, get rid of more single-letter variables

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 26 Apr 2023 16:15:49 +0800

nextcloud-desktop (3.8.50-20230426.081204.c2da86c65-1.0~testing1) testing; urgency=medium

  * Modernise code in FolderMan::backwardMigrationSettingsKeys

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 26 Apr 2023 16:12:04 +0800

nextcloud-desktop (3.8.50-20230426.080922.e60e1ec3f-1.0~testing1) testing; urgency=medium

  * Use const auto, rename unreadable variable names in FolderMan::setupFoldersMigration

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 26 Apr 2023 16:09:22 +0800

nextcloud-desktop (3.8.50-20230426.080133.170a6c832-1.0~testing1) testing; urgency=medium

  * Make folder migration in FolderMan::setupFolders() less unreadable, constify

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 26 Apr 2023 16:01:33 +0800

nextcloud-desktop (3.8.50-20230508.145538.bf910f9f6-1.0~testing1) testing; urgency=medium

  * Merge pull request #5493 from nextcloud/bugfix/attempt-sign-in-when-account-added

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 8 May 2023 22:55:38 +0800

nextcloud-desktop (3.8.50-20230303.165027.4da074e4c-1.0~testing1) testing; urgency=medium

  * Attempt sign in when an account state is added in AccountManager

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 3 Mar 2023 17:50:27 +0100

nextcloud-desktop (3.8.50-20230508.132023.a7eefe886-1.0~testing1) testing; urgency=medium

  * Merge pull request #5628 from nextcloud/bugfix/sync-now-button-error

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 8 May 2023 21:20:23 +0800

nextcloud-desktop (3.8.50-20230426.122847.385c13e40-1.0~testing1) testing; urgency=medium

  * Fix setting [undefined] to QFont in 'Sync now' button

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 26 Apr 2023 20:28:47 +0800

nextcloud-desktop (3.8.50-20230508.131655.9fba8dfed-1.0~testing1) testing; urgency=medium

  * Merge pull request #5645 from nextcloud/bugfix/folder-progress-bar-mac

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 8 May 2023 21:16:55 +0800

nextcloud-desktop (3.8.50-20230504.042212.396003264-1.0~testing1) testing; urgency=medium

  * Constify elements for progress bar rect calculation in FolderStatusDelegate::paint

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 4 May 2023 12:22:12 +0800

nextcloud-desktop (3.8.50-20230504.041042.d31a9ec9c-1.0~testing1) testing; urgency=medium

  * Use palatable Fusion backup style to correctly draw progress bar in folder settings instead of QCommonStyle

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 4 May 2023 12:10:42 +0800

nextcloud-desktop (3.8.50-20230504.040334.ac0d39e21-1.0~testing1) testing; urgency=medium

  * Use backup QCommonStyle to draw progress bar on macOS to avoid bug in QMacStyle

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 4 May 2023 12:03:34 +0800

nextcloud-desktop (3.8.50-20230504.022501.9f5f33c0b-1.0~testing1) testing; urgency=medium

  * Make FolderStatusDelegate::paint less horrible to read

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 4 May 2023 10:25:01 +0800

nextcloud-desktop (3.8.50-20230504.021104.19732d09b-1.0~testing1) testing; urgency=medium

  * Const auto-fy in FolderStatusDelegate::paint

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 4 May 2023 10:11:04 +0800

nextcloud-desktop (3.8.50-20230508.120347.5beba91e2-1.0~testing1) testing; urgency=medium

  * Merge pull request #5462 from nextcloud/bugfix/updater-channel-string

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 8 May 2023 20:03:47 +0800

nextcloud-desktop (3.8.50-20230223.153848.09d71b6a1-1.0~testing1) testing; urgency=medium

  * Replace validUpdateChannel anonymous namespace function with validUpdateChannels QSet

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 23 Feb 2023 16:38:48 +0100

nextcloud-desktop (3.8.50-20230223.153204.8cad4b826-1.0~testing1) testing; urgency=medium

  * Remove unused parameter in GeneralSettings slotUpdateChannelChanged

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 23 Feb 2023 16:32:04 +0100

nextcloud-desktop (3.8.50-20230222.193321.38133a165-1.0~testing1) testing; urgency=medium

  * Prevent returning a bad update channel from config

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 22 Feb 2023 20:33:21 +0100

nextcloud-desktop (3.8.50-20230222.191845.5bcb69eaf-1.0~testing1) testing; urgency=medium

  * Guard against setting bad channels in config

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 22 Feb 2023 20:18:45 +0100

nextcloud-desktop (3.8.50-20230222.191448.e30188d8e-1.0~testing1) testing; urgency=medium

  * Handle conversion from input QComboBox index to update channel string more safely

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 22 Feb 2023 20:14:48 +0100

nextcloud-desktop (3.8.50-20230222.190342.71fde8876-1.0~testing1) testing; urgency=medium

  * Fix channel string check in general settings' slotUpdateChannelChanged

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 22 Feb 2023 20:03:42 +0100

nextcloud-desktop (3.8.50-20230508.102435.7a01e625e-1.0~testing1) testing; urgency=medium

  * Merge pull request #5655 from nextcloud/bugfix/e2ee-checksum-validation-freeze-fix

 -- allexzander <allexzander@users.noreply.github.com>  Mon, 8 May 2023 12:24:35 +0200

nextcloud-desktop (3.8.50-20230505.141509.90e3a37a2-1.0~testing1) testing; urgency=medium

  * E2EE. Fix freeze on metadata checksum validation.

 -- alex-z <blackslayer4@gmail.com>  Fri, 5 May 2023 16:15:09 +0200

nextcloud-desktop (3.8.50-20230508.043137.c1bfd8b13-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Mon, 8 May 2023 04:31:37 +0000

nextcloud-desktop (3.8.50-20230506.043240.f62101d64-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sat, 6 May 2023 04:32:40 +0000

nextcloud-desktop (3.8.50-20230505.164802.70db1c433-1.0~testing1) testing; urgency=medium

  * Merge pull request #4714 from nextcloud/big-sur-icon-annotations

 -- Elsie Hupp <github@elsiehupp.com>  Fri, 5 May 2023 12:48:02 -0400

nextcloud-desktop (3.8.50-20230404.204147.04d16b782-1.0~testing1) testing; urgency=medium

  * Annotated version of Big Sur icon

 -- Elsie Hupp <github@elsiehupp.com>  Tue, 4 Apr 2023 16:41:47 -0400

nextcloud-desktop (3.8.50-20230504.140643.19d796e75-1.0~testing1) testing; urgency=medium

  * Merge pull request #5634 from nextcloud/feature/sql-logs-unclutter

 -- allexzander <allexzander@users.noreply.github.com>  Thu, 4 May 2023 16:06:43 +0200

nextcloud-desktop (3.8.50-20230428.084610.77f59c26d-1.0~testing1) testing; urgency=medium

  * Remove some SQL debug logs to unclutter the output.

 -- alex-z <blackslayer4@gmail.com>  Fri, 28 Apr 2023 10:46:10 +0200

nextcloud-desktop (3.8.50-20230504.093331.cc697011b-1.0~testing1) testing; urgency=medium

  * Merge pull request #5637 from nextcloud/bugfix/fix-crash-ptr-deref

 -- allexzander <allexzander@users.noreply.github.com>  Thu, 4 May 2023 11:33:31 +0200

nextcloud-desktop (3.8.50-20230428.124507.cda8da3e9-1.0~testing1) testing; urgency=medium

  * Edit locally. Fix crash on _chekTokenJob pointer deref.

 -- alex-z <blackslayer4@gmail.com>  Fri, 28 Apr 2023 14:45:07 +0200

nextcloud-desktop (3.8.50-20230504.042856.5bde78900-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Thu, 4 May 2023 04:28:56 +0000

nextcloud-desktop (3.8.50-20230503.042829.daf748b88-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Wed, 3 May 2023 04:28:29 +0000

nextcloud-desktop (3.8.50-20230502.043005.eb6cc929c-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Tue, 2 May 2023 04:30:05 +0000

nextcloud-desktop (3.8.50-20230429.043105.8be32c928-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sat, 29 Apr 2023 04:31:05 +0000

nextcloud-desktop (3.8.50-20230428.043106.2f2f14b29-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Fri, 28 Apr 2023 04:31:06 +0000

nextcloud-desktop (3.8.50-20230427.152136.13916dfcc-1.0~testing1) testing; urgency=medium

  * Merge pull request #5630 from nextcloud/ci/fiwWindowsBuilds

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Thu, 27 Apr 2023 17:21:36 +0200

nextcloud-desktop (3.8.50-20230427.122338.1a352d862-1.0~testing1) testing; urgency=medium

  * no longer override the pixman default version

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 27 Apr 2023 14:23:38 +0200

nextcloud-desktop (3.8.50-20230427.124601.6eb248b37-1.0~testing1) testing; urgency=medium

  * Merge pull request #5622 from nextcloud/feature/bring-back-missing-share-options

 -- allexzander <allexzander@users.noreply.github.com>  Thu, 27 Apr 2023 14:46:01 +0200

nextcloud-desktop (3.8.50-20230419.182807.f39a0903c-1.0~testing1) testing; urgency=medium

  * Implement missing share settings

 -- alex-z <blackslayer4@gmail.com>  Wed, 19 Apr 2023 20:28:07 +0200

nextcloud-desktop (3.8.50-20230427.043632.7edc0a43a-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Thu, 27 Apr 2023 04:36:32 +0000

nextcloud-desktop (3.8.50-20230426.043718.466c9e88b-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Wed, 26 Apr 2023 04:37:18 +0000

nextcloud-desktop (3.8.50-20230425.152358.94c1c02a1-1.0~testing1) testing; urgency=medium

  * disable by default the use of clang-tidy

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 25 Apr 2023 17:23:58 +0200

nextcloud-desktop (3.8.50-20230425.113118.e40977923-1.0~testing1) testing; urgency=medium

  * Merge pull request #5607 from nextcloud/feature/unlock-office-files

 -- allexzander <allexzander@users.noreply.github.com>  Tue, 25 Apr 2023 13:31:18 +0200

nextcloud-desktop (3.8.50-20230407.190906.da6a7d3da-1.0~testing1) testing; urgency=medium

  * Unlock Office files when they are closed.

 -- alex-z <blackslayer4@gmail.com>  Fri, 7 Apr 2023 21:09:06 +0200

nextcloud-desktop (3.8.50-20230425.042659.4cc85d6da-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Tue, 25 Apr 2023 04:26:59 +0000

nextcloud-desktop (3.8.50-20230424.063734.8ef21545f-1.0~testing1) testing; urgency=medium

  * Merge pull request #5613 from nextcloud/bugfix/sharees-parse-lookup

 -- allexzander <allexzander@users.noreply.github.com>  Mon, 24 Apr 2023 08:37:34 +0200

nextcloud-desktop (3.8.50-20230424.043924.167b5db58-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Mon, 24 Apr 2023 04:39:24 +0000

nextcloud-desktop (3.8.50-20230424.031442.44296357d-1.0~testing1) testing; urgency=medium

  * Merge pull request #4957 from xavi-b/master

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 24 Apr 2023 11:14:42 +0800

nextcloud-desktop (3.8.50-20230418.154542.6bb064098-1.0~testing1) testing; urgency=medium

  * Parse sharees 'lookup' key to include federated sharees.

 -- alex-z <blackslayer4@gmail.com>  Tue, 18 Apr 2023 17:45:42 +0200

nextcloud-desktop (3.8.50-20220919.222111.5113802da-1.0~testing1) testing; urgency=medium

  * Fix MacOS UTF-8 normalization issue

 -- xavi-b <developer@xavi-b.fr>  Tue, 20 Sep 2022 00:21:11 +0200

nextcloud-desktop (3.8.50-20230423.165153.e57fd7d66-1.0~testing1) testing; urgency=medium

  * Merge pull request #5243 from mayonezo/patch-1

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 24 Apr 2023 00:51:53 +0800

nextcloud-desktop (3.8.50-20221207.095455.360100844-1.0~testing1) testing; urgency=medium

  * Update nextcloudcmd.rst

 -- mayonezo <haselnuss87@gmail.com>  Wed, 7 Dec 2022 10:54:55 +0100

nextcloud-desktop (3.8.50-20230423.154106.39c605ef7-1.0~testing1) testing; urgency=medium

  * Merge pull request #5583 from nextcloud/bugfix/edit-locally-error-messages

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Sun, 23 Apr 2023 23:41:06 +0800

nextcloud-desktop (3.8.50-20230412.090607.348c2536c-1.0~testing1) testing; urgency=medium

  * Remove unneeded setupFinished signal from EditLocallyJob

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 12 Apr 2023 17:06:07 +0800

nextcloud-desktop (3.8.50-20230407.082915.401ecd8e3-1.0~testing1) testing; urgency=medium

  * Ensure errors are emitted and loading dialog destroyed when fatal errors are met during edit locally

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 7 Apr 2023 16:29:15 +0800

nextcloud-desktop (3.8.50-20230407.081155.e836ff4a1-1.0~testing1) testing; urgency=medium

  * Provide error when erasing the blacklist error for an item fails during edit locally

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 7 Apr 2023 16:11:55 +0800

nextcloud-desktop (3.8.50-20230407.072343.6431d66ae-1.0~testing1) testing; urgency=medium

  * Remove unnecessary signalling response to start edit locally, just start it within the job

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 7 Apr 2023 15:23:43 +0800

nextcloud-desktop (3.8.50-20230423.043104.17ebe0314-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sun, 23 Apr 2023 04:31:04 +0000

nextcloud-desktop (3.8.50-20230422.043613.613357af7-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sat, 22 Apr 2023 04:36:13 +0000

nextcloud-desktop (3.8.50-20230421.101540.d661bdb41-1.0~testing1) testing; urgency=medium

  * Merge pull request #5603 from nextcloud/bugfix/fix-log-crash

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Fri, 21 Apr 2023 12:15:40 +0200

nextcloud-desktop (3.8.50-20230418.213034.9c8b624ef-1.0~testing1) testing; urgency=medium

  * protect all access to shared data by mutexes

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 18 Apr 2023 23:30:34 +0200

nextcloud-desktop (3.8.50-20230413.164144.c2d72109b-1.0~testing1) testing; urgency=medium

  * protext all access to _logstream with the existing mutex

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 13 Apr 2023 18:41:44 +0200

nextcloud-desktop (3.8.50-20230413.105050.1f1d9d6db-1.0~testing1) testing; urgency=medium

  * Ensure we are making all file modifications under mutex protection

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 13 Apr 2023 18:50:50 +0800

nextcloud-desktop (3.8.50-20230413.104948.711359ef4-1.0~testing1) testing; urgency=medium

  * Ensure we are closing current log file before entering next log file

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 13 Apr 2023 18:49:48 +0800

nextcloud-desktop (3.8.50-20230420.142943.38ae92bef-1.0~testing1) testing; urgency=medium

  * Merge pull request #5612 from nextcloud/bugfix/edit-locally-loadin-dialog-ellide

 -- allexzander <allexzander@users.noreply.github.com>  Thu, 20 Apr 2023 16:29:43 +0200

nextcloud-desktop (3.8.50-20230418.135726.3a00c1d43-1.0~testing1) testing; urgency=medium

  * Edit locally. Elide loading dialog filename label middle.

 -- alex-z <blackslayer4@gmail.com>  Tue, 18 Apr 2023 15:57:26 +0200

nextcloud-desktop (3.8.50-20230420.044200.3f3daec14-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Thu, 20 Apr 2023 04:42:00 +0000

nextcloud-desktop (3.8.50-20230419.042928.a3166d9af-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Wed, 19 Apr 2023 04:29:28 +0000

nextcloud-desktop (3.8.50-20230418.031118.984688eb9-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Tue, 18 Apr 2023 03:11:18 +0000

nextcloud-desktop (3.8.50-20230416.042741.446203c71-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sun, 16 Apr 2023 04:27:41 +0000

nextcloud-desktop (3.8.50-20230414.114707.6bd369d5a-1.0~testing1) testing; urgency=medium

  * Fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Fri, 14 Apr 2023 11:47:07 +0000

nextcloud-desktop (3.8.50-20230413.043340.9371931d0-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Thu, 13 Apr 2023 04:33:40 +0000

nextcloud-desktop (3.8.50-20230412.163152.da45b6f52-1.0~testing1) testing; urgency=medium

  * Merge pull request #5577 from nextcloud/bugfix/migrateE2eeMetadata

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Wed, 12 Apr 2023 18:31:52 +0200

nextcloud-desktop (3.8.50-20230406.094902.94869783d-1.0~testing1) testing; urgency=medium

  * allow to read v1.2 from buggy v3.8.0 client

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 6 Apr 2023 11:49:02 +0200

nextcloud-desktop (3.8.50-20230406.085413.7118fc465-1.0~testing1) testing; urgency=medium

  * use a better name for encryption status attributes

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 6 Apr 2023 10:54:13 +0200

nextcloud-desktop (3.8.50-20230405.155648.619607b05-1.0~testing1) testing; urgency=medium

  * properly preserve the format of e2ee metadata during DB operations

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 5 Apr 2023 17:56:48 +0200

nextcloud-desktop (3.8.50-20230412.114350.d5bddb9c4-1.0~testing1) testing; urgency=medium

  * Merge pull request #5595 from nextcloud/bugfix/use-vfs-ui

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Wed, 12 Apr 2023 13:43:50 +0200

nextcloud-desktop (3.8.50-20230411.221948.6a4d6b9c9-1.0~testing1) testing; urgency=medium

  * Alway add the item at the end of the layout.

 -- Camila <hello@camila.codes>  Tue, 11 Apr 2023 19:19:48 -0300

nextcloud-desktop (3.8.50-20230412.043327.6b8732474-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Wed, 12 Apr 2023 04:33:27 +0000

nextcloud-desktop (3.8.50-20230412.024607.3860a4cc6-1.0~testing1) testing; urgency=medium

  * Merge pull request #5580 from nextcloud/bugfix/log-sizes

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 12 Apr 2023 10:46:07 +0800

nextcloud-desktop (3.8.50-20230406.131810.eed5ca17b-1.0~testing1) testing; urgency=medium

  * Enter next log file if the current log file is larger than 512 KB when writing log line

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 6 Apr 2023 21:18:10 +0800

nextcloud-desktop (3.8.50-20230411.150542.e0a577172-1.0~testing1) testing; urgency=medium

  * Merge pull request #5587 from nextcloud/ci/fullyQualifyTypeForSignalsSlots

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Tue, 11 Apr 2023 17:05:42 +0200

nextcloud-desktop (3.8.50-20230407.152714.5cb3266f7-1.0~testing1) testing; urgency=medium

  * fix compilation with clazy and fully-qualified-moc-types checks enabled

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 7 Apr 2023 17:27:14 +0200

nextcloud-desktop (3.8.50-20230411.085014.663b0d9c3-1.0~testing1) testing; urgency=medium

  * Merge pull request #5588 from nextcloud/feature/restart-folder-sync

 -- allexzander <allexzander@users.noreply.github.com>  Tue, 11 Apr 2023 10:50:14 +0200

nextcloud-desktop (3.8.50-20230407.153750.54c13a560-1.0~testing1) testing; urgency=medium

  * Edit locally. Restart current folder sync immediately after file opened.

 -- alex-z <blackslayer4@gmail.com>  Fri, 7 Apr 2023 17:37:50 +0200

nextcloud-desktop (3.8.50-20230410.043925.d4f5081f9-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Mon, 10 Apr 2023 04:39:25 +0000

nextcloud-desktop (3.8.50-20230409.043127.a425d75cf-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sun, 9 Apr 2023 04:31:27 +0000

nextcloud-desktop (3.8.50-20230408.043352.740fb55f4-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sat, 8 Apr 2023 04:33:52 +0000

nextcloud-desktop (3.8.50-20230407.153846.ef5325e6e-1.0~testing1) testing; urgency=medium

  * Merge pull request #5566 from nextcloud/bugfix/tolerateMissingPrivateKey

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Fri, 7 Apr 2023 17:38:46 +0200

nextcloud-desktop (3.8.50-20230404.070624.a852eda93-1.0~testing1) testing; urgency=medium

  * in case server has no private key, let e2ee init fail

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 4 Apr 2023 09:06:24 +0200

nextcloud-desktop (3.8.50-20230407.140753.b655fce7e-1.0~testing1) testing; urgency=medium

  * Merge pull request #5567 from nextcloud/Valdnet-patch-4

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Fri, 7 Apr 2023 16:07:53 +0200

nextcloud-desktop (3.8.50-20230404.085831.1f8239b13-1.0~testing1) testing; urgency=medium

  * i18n: Separate words

 -- Valdnet <47037905+Valdnet@users.noreply.github.com>  Tue, 4 Apr 2023 10:58:31 +0200

nextcloud-desktop (3.8.50-20230404.085735.8ed69d1e9-1.0~testing1) testing; urgency=medium

  * i18n: Separate words

 -- Valdnet <47037905+Valdnet@users.noreply.github.com>  Tue, 4 Apr 2023 10:57:35 +0200

nextcloud-desktop (3.8.50-20230404.085329.06b2f2b73-1.0~testing1) testing; urgency=medium

  * i18n: Add dot

 -- Valdnet <47037905+Valdnet@users.noreply.github.com>  Tue, 4 Apr 2023 10:53:29 +0200

nextcloud-desktop (3.8.50-20230407.080832.0aa3ad8ee-1.0~testing1) testing; urgency=medium

  * Merge pull request #5579 from nextcloud/feature/improve-error-information-when-hydrating

 -- allexzander <allexzander@users.noreply.github.com>  Fri, 7 Apr 2023 10:08:32 +0200

nextcloud-desktop (3.8.50-20230406.202635.a428c17c3-1.0~testing1) testing; urgency=medium

  * Do not display error status and messages when aborting a sync during hydration request in VFS mode.

 -- alex-z <blackslayer4@gmail.com>  Thu, 6 Apr 2023 22:26:35 +0200

nextcloud-desktop (3.8.50-20230406.043854.8a7f0d92e-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Thu, 6 Apr 2023 04:38:54 +0000

nextcloud-desktop (3.8.50-20230405.191334.c3c1b1e84-1.0~testing1) testing; urgency=medium

  * Merge pull request #5574 from nextcloud/bugfix/unit-test-securefiledrop

 -- allexzander <allexzander@users.noreply.github.com>  Wed, 5 Apr 2023 21:13:34 +0200

nextcloud-desktop (3.8.50-20230404.173353.31c3aee44-1.0~testing1) testing; urgency=medium

  * Fix unit tests SecureFileDrop

 -- alex-z <blackslayer4@gmail.com>  Tue, 4 Apr 2023 19:33:53 +0200

nextcloud-desktop (3.8.50-20230405.043841.73f996289-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Wed, 5 Apr 2023 04:38:41 +0000

nextcloud-desktop (3.8.50-20230404.160126.c9cf248e5-1.0~testing1) testing; urgency=medium

  * fix compilation

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 4 Apr 2023 18:01:26 +0200

nextcloud-desktop (3.8.50-20230404.154710.9e7197a37-1.0~testing1) testing; urgency=medium

  * Merge pull request #5572 from nextcloud/bugfix/tryHardToRecoverBrokenE2eeChecksums

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Tue, 4 Apr 2023 17:47:10 +0200

nextcloud-desktop (3.8.50-20230404.152724.b0c69481f-1.0~testing1) testing; urgency=medium

  * try different permutation to try to recover the broken checksum

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 4 Apr 2023 17:27:24 +0200

nextcloud-desktop (3.8.50-20230404.130613.27f46eb24-1.0~testing1) testing; urgency=medium

  * Merge pull request #5568 from nextcloud/bugfix/sortBeforeComputingChecksum

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Tue, 4 Apr 2023 15:06:13 +0200

nextcloud-desktop (3.8.50-20230404.125412.a76d9fe46-1.0~testing1) testing; urgency=medium

  * sort encrypted files by their id to compute checksum

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 4 Apr 2023 14:54:12 +0200

nextcloud-desktop (3.8.50-20230404.111414.3ffdb9b7b-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Tue, 4 Apr 2023 11:14:14 +0000

nextcloud-desktop (3.8.50-20230404.043137.7767ae9c6-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Tue, 4 Apr 2023 04:31:37 +0000

nextcloud-desktop (3.8.50-20230403.043020.22d7a6245-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Mon, 3 Apr 2023 04:30:20 +0000

nextcloud-desktop (3.8.50-20230402.042915.0efb7cf99-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sun, 2 Apr 2023 04:29:15 +0000

nextcloud-desktop (3.8.50-20230331.160457.5b1238ddb-1.0~testing1) testing; urgency=medium

  * compilation fixes for windows

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 31 Mar 2023 18:04:57 +0200

nextcloud-desktop (3.8.50-20230331.152303.3304f9d2d-1.0~testing1) testing; urgency=medium

  * development of 3.9 release is starting

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 31 Mar 2023 17:23:03 +0200

nextcloud-desktop (3.7.50-20230331.151858.086eb14b8-1.0~testing1) testing; urgency=medium

  * Merge pull request #5560 from nextcloud/feature/e2eeFixes

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Fri, 31 Mar 2023 17:18:58 +0200

nextcloud-desktop (3.7.50-20230331.151726.6bf4570b9-1.0~testing1) testing; urgency=medium

  * compatibility with final file drop implementation

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 31 Mar 2023 17:17:26 +0200

nextcloud-desktop (3.7.50-20230330.090615.e22b130d9-1.0~testing1) testing; urgency=medium

  * prevent syncing with downgraded metadata format

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 30 Mar 2023 11:06:15 +0200

nextcloud-desktop (3.7.50-20230330.071426.593ad6ee9-1.0~testing1) testing; urgency=medium

  * better track encrypted item status

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 30 Mar 2023 09:14:26 +0200

nextcloud-desktop (3.7.50-20230329.104211.8659df226-1.0~testing1) testing; urgency=medium

  * prevent downgrading e2ee metadata format after initial migration

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 29 Mar 2023 12:42:11 +0200

nextcloud-desktop (3.7.50-20230329.093517.b121a127c-1.0~testing1) testing; urgency=medium

  * improve logging when receiving metadata for encrypted folder

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 29 Mar 2023 11:35:17 +0200

nextcloud-desktop (3.7.50-20230329.093446.6fb16ce5f-1.0~testing1) testing; urgency=medium

  * when uplaoding e2ee metadata add an empty filedrop entry

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 29 Mar 2023 11:34:46 +0200

nextcloud-desktop (3.7.50-20230329.092732.8b10b3a92-1.0~testing1) testing; urgency=medium

  * optimize the computation of checksum for metadata

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 29 Mar 2023 11:27:32 +0200

nextcloud-desktop (3.7.50-20230329.092620.8ec5518d8-1.0~testing1) testing; urgency=medium

  * checksum has to be computer from the encrypted metadataKey

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 29 Mar 2023 11:26:20 +0200

nextcloud-desktop (3.7.50-20230329.072222.7c655cf67-1.0~testing1) testing; urgency=medium

  * use a getter to query encryption status

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 29 Mar 2023 09:22:22 +0200

nextcloud-desktop (3.7.50-20230328.145302.1e018d1e5-1.0~testing1) testing; urgency=medium

  * display some logs when checksum verification is failed

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 28 Mar 2023 16:53:02 +0200

nextcloud-desktop (3.7.50-20230328.145235.ee3c18f9f-1.0~testing1) testing; urgency=medium

  * put sane order over #include

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 28 Mar 2023 16:52:35 +0200

nextcloud-desktop (3.7.50-20230328.095924.f181b9187-1.0~testing1) testing; urgency=medium

  * when migrating older metadata, do not check missing checksum

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 28 Mar 2023 11:59:24 +0200

nextcloud-desktop (3.7.50-20230328.085755.d1c18ecf2-1.0~testing1) testing; urgency=medium

  * when uploading new e2e metadata, adds a checksum

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 28 Mar 2023 10:57:55 +0200

nextcloud-desktop (3.7.50-20230327.224528.1b14c127a-1.0~testing1) testing; urgency=medium

  * check checksum when getting e2ee metadata

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 28 Mar 2023 00:45:28 +0200

nextcloud-desktop (3.7.50-20230320.143146.1b0a93eab-1.0~testing1) testing; urgency=medium

  * Migrate E2EE from v1 to v1.1

 -- alex-z <blackslayer4@gmail.com>  Mon, 20 Mar 2023 15:31:46 +0100

nextcloud-desktop (3.7.50-20230328.100714.6a4028564-1.0~testing1) testing; urgency=medium

  * fix indentation style

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 28 Mar 2023 12:07:14 +0200

nextcloud-desktop (3.7.50-20230331.072205.a4445642c-1.0~testing1) testing; urgency=medium

  * Merge pull request #5546 from nextcloud/bugfix/overrideLocalDirReallyWithExistingFolder

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Fri, 31 Mar 2023 09:22:05 +0200

nextcloud-desktop (3.7.50-20230324.112941.20422f024-1.0~testing1) testing; urgency=medium

  * when local sync folder is overriden, respect this choice

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 24 Mar 2023 12:29:41 +0100

nextcloud-desktop (3.7.50-20230331.044313.a3fbbda7f-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Fri, 31 Mar 2023 04:43:13 +0000

nextcloud-desktop (3.7.50-20230327.103700.ebf7fc27c-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Mon, 27 Mar 2023 10:37:00 +0000

nextcloud-desktop (3.7.50-20230324.042402.0749ca3c5-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Fri, 24 Mar 2023 04:24:02 +0000

nextcloud-desktop (3.7.50-20230323.043539.a7cf6c0d3-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Thu, 23 Mar 2023 04:35:39 +0000

nextcloud-desktop (3.7.50-20230322.155805.04a32cbe3-1.0~testing1) testing; urgency=medium

  * Merge pull request #5532 from nextcloud/bugfix/stopAfterCreatingConfigFile

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Wed, 22 Mar 2023 16:58:05 +0100

nextcloud-desktop (3.7.50-20230316.194005.d2cd4efaa-1.0~testing1) testing; urgency=medium

  * fix the logic generating the config file

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 16 Mar 2023 20:40:05 +0100

nextcloud-desktop (3.7.50-20230316.193939.85a202098-1.0~testing1) testing; urgency=medium

  * tidy up code in Theme class

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 16 Mar 2023 20:39:39 +0100

nextcloud-desktop (3.7.50-20230316.192356.903c475d5-1.0~testing1) testing; urgency=medium

  * store in config file that we want to enable vfs when generating config

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 16 Mar 2023 20:23:56 +0100

nextcloud-desktop (3.7.50-20230321.105007.54a11e869-1.0~testing1) testing; urgency=medium

  * Merge pull request #5530 from nextcloud/feature/obeyShouldNotifyFlag

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Tue, 21 Mar 2023 11:50:07 +0100

nextcloud-desktop (3.7.50-20230316.202822.e0bdbd138-1.0~testing1) testing; urgency=medium

  * follow shouldNotify flag to hide notifications when needed

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 16 Mar 2023 21:28:22 +0100

nextcloud-desktop (3.7.50-20230320.093528.5e505d9ee-1.0~testing1) testing; urgency=medium

  * Merge pull request #5534 from nextcloud/feature/e2ee-deryption-cut-extra-zeroes

 -- allexzander <allexzander@users.noreply.github.com>  Mon, 20 Mar 2023 10:35:28 +0100

nextcloud-desktop (3.7.50-20230319.042731.29b0f02b4-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sun, 19 Mar 2023 04:27:31 +0000

nextcloud-desktop (3.7.50-20230318.043057.a4070e734-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sat, 18 Mar 2023 04:30:57 +0000

nextcloud-desktop (3.7.50-20230317.150443.09f316dcf-1.0~testing1) testing; urgency=medium

  * E2EE cut extra zeroes from derypted byte array.

 -- alex-z <blackslayer4@gmail.com>  Fri, 17 Mar 2023 16:04:43 +0100

nextcloud-desktop (3.7.50-20230316.043243.4cb7d8c57-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Thu, 16 Mar 2023 04:32:43 +0000

nextcloud-desktop (3.7.50-20230315.092502.a0e32d95f-1.0~testing1) testing; urgency=medium

  * Merge pull request #5521 from ivaradi/fix-build-classification

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Wed, 15 Mar 2023 10:25:02 +0100

nextcloud-desktop (3.7.50-20230312.132328.5dacf60fa-1.0~testing1) testing; urgency=medium

  * Debian build classification 'beta' cannot override 'release'.

 -- István Váradi <ivaradi@varadiistvan.hu>  Sun, 12 Mar 2023 14:23:28 +0100

nextcloud-desktop (3.7.50-20230314.161437.60968de50-1.0~testing1) testing; urgency=medium

  * Merge pull request #5520 from ivaradi/add-lunar

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Tue, 14 Mar 2023 17:14:37 +0100

nextcloud-desktop (3.7.50-20230312.131534.806a7d495-1.0~testing1) testing; urgency=medium

  * Add Ubuntu Lunar

 -- István Váradi <ivaradi@varadiistvan.hu>  Sun, 12 Mar 2023 14:15:34 +0100

nextcloud-desktop (3.7.50-20230314.150224.2b5408752-1.0~testing1) testing; urgency=medium

  * Merge pull request #5525 from nextcloud/update-changelog

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Tue, 14 Mar 2023 16:02:24 +0100

nextcloud-desktop (3.7.50-20230314.135010.4b16a23cd-1.0~testing1) testing; urgency=medium

  * Add changelog for 3.7.4.

 -- Camila <hello@camila.codes>  Tue, 14 Mar 2023 14:50:10 +0100

nextcloud-desktop (3.7.50-20230314.132310.73d5b6bec-1.0~testing1) testing; urgency=medium

  * Add changelog for 3.7.1.

 -- Camila <hello@camila.codes>  Tue, 14 Mar 2023 14:23:10 +0100

nextcloud-desktop (3.7.50-20230314.102905.b3bd48399-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Tue, 14 Mar 2023 10:29:05 +0000

nextcloud-desktop (3.7.50-20230314.092611.5ce3ceef1-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Tue, 14 Mar 2023 09:26:11 +0000

nextcloud-desktop (3.7.50-20230314.091442.40708be83-1.0~testing1) testing; urgency=medium

  * no longer substitute de_DE to de locale when fetching from transifex

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 14 Mar 2023 10:14:42 +0100

nextcloud-desktop (3.7.50-20230314.042928.bfb2e3536-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Tue, 14 Mar 2023 04:29:28 +0000

nextcloud-desktop (3.7.50-20230313.200452.c39bb82c3-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Mon, 13 Mar 2023 20:04:52 +0000

nextcloud-desktop (3.7.50-20230313.194631.ce2c5007f-1.0~testing1) testing; urgency=medium

  * add an extension when translating desktop file

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 13 Mar 2023 20:46:31 +0100

nextcloud-desktop (3.7.50-20230313.165710.1aaf6d83f-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Mon, 13 Mar 2023 16:57:10 +0000

nextcloud-desktop (3.7.50-20230313.042727.bc8d7f4c7-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Mon, 13 Mar 2023 04:27:27 +0000

nextcloud-desktop (3.7.50-20230312.042553.d8fac8603-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sun, 12 Mar 2023 04:25:53 +0000

nextcloud-desktop (3.7.50-20230311.042757.6a068cf06-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sat, 11 Mar 2023 04:27:57 +0000

nextcloud-desktop (3.7.50-20230310.170237.9f85f3daa-1.0~testing1) testing; urgency=medium

  * Merge pull request #5513 from Alkl58/main-window-server-name

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 10 Mar 2023 18:02:37 +0100

nextcloud-desktop (3.7.50-20230310.140807.1e3769715-1.0~testing1) testing; urgency=medium

  * Show server name in tray main window Signed-off-by: Alkl58 <alkl58@protonmail.com>

 -- alkl58 <alkl58@protonmail.com>  Fri, 10 Mar 2023 15:08:07 +0100

nextcloud-desktop (3.7.50-20230310.043247.b53b14bac-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Fri, 10 Mar 2023 04:32:47 +0000

nextcloud-desktop (3.7.50-20230309.085246.6a6b7fb06-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Thu, 9 Mar 2023 08:52:46 +0000

nextcloud-desktop (3.7.50-20230309.084452.38815ba02-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Thu, 9 Mar 2023 08:44:52 +0000

nextcloud-desktop (3.7.50-20230309.043255.587c743a7-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Thu, 9 Mar 2023 04:32:55 +0000

nextcloud-desktop (3.7.50-20230308.122821.30cfba49c-1.0~testing1) testing; urgency=medium

  * Merge pull request #5486 from nextcloud/bugfix/5421

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Wed, 8 Mar 2023 13:28:21 +0100

nextcloud-desktop (3.7.50-20230228.172400.ec7b5481d-1.0~testing1) testing; urgency=medium

  * Fix display of 2FA notification.

 -- Camila <hello@camila.codes>  Tue, 28 Feb 2023 18:24:00 +0100

nextcloud-desktop (3.7.50-20230308.094237.20e20a6ef-1.0~testing1) testing; urgency=medium

  * Merge pull request #5498 from nextcloud/bugfix/doNotRestoreVirtualFiles

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Wed, 8 Mar 2023 10:42:37 +0100

nextcloud-desktop (3.7.50-20230306.154017.cbf7ba78a-1.0~testing1) testing; urgency=medium

  * prevent restoration of files that are not plain old files

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 6 Mar 2023 16:40:17 +0100

nextcloud-desktop (3.7.50-20230306.171650.baf9c8b63-1.0~testing1) testing; urgency=medium

  * add test for windows CfApi

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 6 Mar 2023 18:16:50 +0100

nextcloud-desktop (3.7.50-20230306.152757.9afd7265b-1.0~testing1) testing; urgency=medium

  * add a new automated test for virtual files and data restoration

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 6 Mar 2023 16:27:57 +0100

nextcloud-desktop (3.7.50-20230306.152855.b8bebab2e-1.0~testing1) testing; urgency=medium

  * add assert to prevent upload of virtual files

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 6 Mar 2023 16:28:55 +0100

nextcloud-desktop (3.7.50-20230308.043132.68df7cad4-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Wed, 8 Mar 2023 04:31:32 +0000

nextcloud-desktop (3.7.50-20230307.114114.f0ddc5463-1.0~testing1) testing; urgency=medium

  * Merge pull request #5161 from xllndr/master

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 7 Mar 2023 12:41:14 +0100

nextcloud-desktop (3.7.50-20221110.121332.664e0c18e-1.0~testing1) testing; urgency=medium

  * Resize WebView widget once the loginpage rendered

 -- Axel Lender <lender@b1-systems.de>  Thu, 10 Nov 2022 13:13:32 +0100

nextcloud-desktop (3.7.50-20230307.042532.22d9a743a-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Tue, 7 Mar 2023 04:25:32 +0000

nextcloud-desktop (3.7.50-20230306.042911.7d093b112-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Mon, 6 Mar 2023 04:29:11 +0000

nextcloud-desktop (3.7.50-20230305.042821.aaf640da4-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sun, 5 Mar 2023 04:28:21 +0000

nextcloud-desktop (3.7.50-20230304.042707.44eca1a2a-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sat, 4 Mar 2023 04:27:07 +0000

nextcloud-desktop (3.7.50-20230303.223823.ee19f8e19-1.0~testing1) testing; urgency=medium

  * Merge pull request #5485 from nextcloud/feature/global-search-sharees

 -- allexzander <allexzander@users.noreply.github.com>  Fri, 3 Mar 2023 23:38:23 +0100

nextcloud-desktop (3.7.50-20230224.130629.31de652d9-1.0~testing1) testing; urgency=medium

  * Display 'Search globally' as the last sharees list element

 -- alex-z <blackslayer4@gmail.com>  Fri, 24 Feb 2023 14:06:29 +0100

nextcloud-desktop (3.7.50-20230303.034450.355dbd1fa-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Fri, 3 Mar 2023 03:44:50 +0000

nextcloud-desktop (3.7.50-20230302.192613.abe922159-1.0~testing1) testing; urgency=medium

  * Merge pull request #5327 from nextcloud/feature/secure-file-drop

 -- allexzander <allexzander@users.noreply.github.com>  Thu, 2 Mar 2023 20:26:13 +0100

nextcloud-desktop (3.7.50-20230112.175504.b6ba1fe0d-1.0~testing1) testing; urgency=medium

  * Implement Secure filedrop link share. Move data from 'filedrop' to 'files' when syncing E2EE folders.

 -- alex-z <blackslayer4@gmail.com>  Thu, 12 Jan 2023 18:55:04 +0100

nextcloud-desktop (3.7.50-20230301.194444.33e1a900a-1.0~testing1) testing; urgency=medium

  * Merge pull request #5472 from nextcloud/work/fix-infinite-loading-share-dialog-disabled-share-links

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 1 Mar 2023 20:44:44 +0100

nextcloud-desktop (3.7.50-20230228.221805.2e69a9c59-1.0~testing1) testing; urgency=medium

  * Move sharesChanged signal emission to handlePlaceholderLinkShare rather than repeating each time this method is called

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 28 Feb 2023 23:18:05 +0100

nextcloud-desktop (3.7.50-20230224.124058.f05e44a24-1.0~testing1) testing; urgency=medium

  * Don't display the placeholder link share of public link shares are not available

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 24 Feb 2023 13:40:58 +0100

nextcloud-desktop (3.7.50-20230224.124017.356026347-1.0~testing1) testing; urgency=medium

  * Don't block loading if public link shares are disabled

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Fri, 24 Feb 2023 13:40:17 +0100

nextcloud-desktop (3.7.50-20230301.040056.9b4cc36b8-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Wed, 1 Mar 2023 04:00:56 +0000

nextcloud-desktop (3.7.50-20230228.221930.52f4588a5-1.0~testing1) testing; urgency=medium

  * Merge pull request #5478 from nextcloud/bugfix/sync-status-labels

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 28 Feb 2023 23:19:30 +0100

nextcloud-desktop (3.7.50-20230227.135811.4bbe851da-1.0~testing1) testing; urgency=medium

  * Fix text labels in Sync Status component

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 27 Feb 2023 14:58:11 +0100

nextcloud-desktop (3.7.50-20230228.181423.e58045edc-1.0~testing1) testing; urgency=medium

  * Merge pull request #5453 from nextcloud/bugfix/account-settings-avatars

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Tue, 28 Feb 2023 19:14:23 +0100

nextcloud-desktop (3.7.50-20230220.135102.a0107c43f-1.0~testing1) testing; urgency=medium

  * Fetch account avatar info on account action construction, fixing avatar only showing up when action is clicked

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 20 Feb 2023 14:51:02 +0100

nextcloud-desktop (3.7.50-20230220.134906.f676979b2-1.0~testing1) testing; urgency=medium

  * Set placeholder image always as account action icon, as at app start there will not be a valid avatar to use ever

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Mon, 20 Feb 2023 14:49:06 +0100

nextcloud-desktop (3.7.50-20230228.131451.444a116c9-1.0~testing1) testing; urgency=medium

  * Merge pull request #5474 from nextcloud/bugfix/dehydrateCfapiFiles

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Tue, 28 Feb 2023 14:14:51 +0100

nextcloud-desktop (3.7.50-20230224.153721.41dc09b9a-1.0~testing1) testing; urgency=medium

  * with cfapi when dehydrating files add missing flag

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 24 Feb 2023 16:37:21 +0100

nextcloud-desktop (3.7.50-20230228.122722.a5d0d6692-1.0~testing1) testing; urgency=medium

  * Merge pull request #5451 from nextcloud/bugfix/connectNormalizedArgs

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Tue, 28 Feb 2023 13:27:22 +0100

nextcloud-desktop (3.7.50-20230217.160635.01ecb639a-1.0~testing1) testing; urgency=medium

  * use new connect syntax

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 17 Feb 2023 17:06:35 +0100

nextcloud-desktop (3.7.50-20230228.034548.56b47870d-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Tue, 28 Feb 2023 03:45:48 +0000

nextcloud-desktop (3.7.50-20230227.034419.d9d33b7c2-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Mon, 27 Feb 2023 03:44:19 +0000

nextcloud-desktop (3.7.50-20230226.034206.60a2bd002-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sun, 26 Feb 2023 03:42:06 +0000

nextcloud-desktop (3.7.50-20230224.035245.c05b0b13b-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Fri, 24 Feb 2023 03:52:45 +0000

nextcloud-desktop (3.7.50-20230223.114053.1335a98a5-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Thu, 23 Feb 2023 11:40:53 +0000

nextcloud-desktop (3.7.50-20230223.113657.206a7ef5a-1.0~testing1) testing; urgency=medium

  * Merge pull request #5459 from nextcloud/bugfix/discover-blacklisted-folders

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Thu, 23 Feb 2023 12:36:57 +0100

nextcloud-desktop (3.7.50-20230221.183734.5574ddb74-1.0~testing1) testing; urgency=medium

  * Always discover blacklisted folders locally, to avoid data loss of non-uploaded files when modifying selectivesync list.

 -- alex-z <blackslayer4@gmail.com>  Tue, 21 Feb 2023 19:37:34 +0100

nextcloud-desktop (3.7.50-20230223.034432.23bc40429-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Thu, 23 Feb 2023 03:44:32 +0000

nextcloud-desktop (3.7.50-20230222.165345.73ae8a11c-1.0~testing1) testing; urgency=medium

  * Merge pull request #5436 from nextcloud/ci/clangTidyChecksInitVariables

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Wed, 22 Feb 2023 17:53:45 +0100

nextcloud-desktop (3.7.50-20230221.211610.151d17aed-1.0~testing1) testing; urgency=medium

  * fix ignored return values in windows specific code

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 21 Feb 2023 22:16:10 +0100

nextcloud-desktop (3.7.50-20230221.211512.5b2a691f4-1.0~testing1) testing; urgency=medium

  * use of QStringLiteral() is invalid: QString() must be used

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 21 Feb 2023 22:15:12 +0100

nextcloud-desktop (3.7.50-20230221.211422.c0549c5c0-1.0~testing1) testing; urgency=medium

  * fix issues reported by compiling windows code with clang-tidy

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 21 Feb 2023 22:14:22 +0100

nextcloud-desktop (3.7.50-20230215.102948.c895359e6-1.0~testing1) testing; urgency=medium

  * manually fix some variables without init values

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 15 Feb 2023 11:29:48 +0100

nextcloud-desktop (3.7.50-20230215.084822.a4f883723-1.0~testing1) testing; urgency=medium

  * do not use static_cast to downcast: can generate runtime issues

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 15 Feb 2023 09:48:22 +0100

nextcloud-desktop (3.7.50-20230215.083720.011d668a2-1.0~testing1) testing; urgency=medium

  * modernize use auto

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 15 Feb 2023 09:37:20 +0100

nextcloud-desktop (3.7.50-20230215.082350.6df6c8d44-1.0~testing1) testing; urgency=medium

  * sets clang-tidy configuration in cmake to get automatic checking

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 15 Feb 2023 09:23:50 +0100

nextcloud-desktop (3.7.50-20230222.151255.41a24b497-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Wed, 22 Feb 2023 15:12:55 +0000

nextcloud-desktop (3.7.50-20230222.034320.616d7c166-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Wed, 22 Feb 2023 03:43:20 +0000

nextcloud-desktop (3.7.50-20230221.132250.df19b79a6-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Tue, 21 Feb 2023 13:22:50 +0000

nextcloud-desktop (3.7.50-20230221.090926.ee4b38277-1.0~testing1) testing; urgency=medium

  * Merge pull request #5427 from nextcloud/rakekniven-patch-1

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Tue, 21 Feb 2023 10:09:26 +0100

nextcloud-desktop (3.7.50-20230210.103004.c19551304-1.0~testing1) testing; urgency=medium

  * l10n: Added dot to end of sentence

 -- rakekniven <2069590+rakekniven@users.noreply.github.com>  Fri, 10 Feb 2023 11:30:04 +0100

nextcloud-desktop (3.7.50-20230221.034221.7ef5ca81a-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Tue, 21 Feb 2023 03:42:21 +0000

nextcloud-desktop (3.7.50-20230220.174933.96dfa7add-1.0~testing1) testing; urgency=medium

  * Merge pull request #5448 from nextcloud/bugfix/ignoreInvalidE2EMetadata

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Mon, 20 Feb 2023 18:49:33 +0100

nextcloud-desktop (3.7.50-20230216.220705.a8a5dfe6c-1.0~testing1) testing; urgency=medium

  * skip e2e encrypted files with empty filename in metadata

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 16 Feb 2023 23:07:05 +0100

nextcloud-desktop (3.7.50-20230220.034131.b99775bb2-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Mon, 20 Feb 2023 03:41:31 +0000

nextcloud-desktop (3.7.50-20230219.034102.f6901fa06-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sun, 19 Feb 2023 03:41:02 +0000

nextcloud-desktop (3.7.50-20230217.102156.ec7fd9542-1.0~testing1) testing; urgency=medium

  * Merge pull request #5444 from nextcloud/bugfix/useProperUserIdForEditLocally

 -- Matthieu Gallien <matthieu_gallien@yahoo.fr>  Fri, 17 Feb 2023 11:21:56 +0100

nextcloud-desktop (3.7.50-20230216.093948.24fc49f99-1.0~testing1) testing; urgency=medium

  * fix edit locally job not finding the user account: wrong user id

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 16 Feb 2023 10:39:48 +0100

nextcloud-desktop (3.7.50-20230217.034154.8843ea788-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Fri, 17 Feb 2023 03:41:54 +0000

nextcloud-desktop (3.7.50-20230216.124732.7deef8fce-1.0~testing1) testing; urgency=medium

  * Merge pull request #5442 from nextcloud/bugfix/fix-share-load

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Thu, 16 Feb 2023 13:47:32 +0100

nextcloud-desktop (3.7.50-20230215.174947.89ebfcae8-1.0~testing1) testing; urgency=medium

  * Try to initialise share manager again if we receive updated sharing permissions that would have previously prevented sharing

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 15 Feb 2023 18:49:47 +0100

nextcloud-desktop (3.7.50-20230215.174717.2fbdf1be8-1.0~testing1) testing; urgency=medium

  * Simplify check for file record sharing permission

 -- Claudio Cambra <claudio.cambra@nextcloud.com>  Wed, 15 Feb 2023 18:47:17 +0100

nextcloud-desktop (3.7.50-20230216.034049.9bd5823ba-1.0~testing1) testing; urgency=medium

  * Fix(l10n): 🔠 Update translations from Transifex

